<?xml version="1.0" encoding="UTF-8"?>
<!--
Schematron
Generated by CoreFiling: generator revision 485913
Mon Sep 18 14:08:17 BST 2017
-->
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" queryBinding="exslt">
  <sch:title>Schematron for CT</sch:title>
  <sch:ns prefix="hd" uri="http://www.govtalk.gov.uk/CM/envelope"/>
  <sch:ns prefix="dsig" uri="http://www.w3.org/2000/09/xmldsig#"/>
  <sch:ns prefix="ct" uri="http://www.govtalk.gov.uk/taxation/CT/5"/>
    <sch:pattern id="p2">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:IRheader/ct:Keys/ct:Key">
        <sch:assert test="count(/hd:GovTalkMessage/hd:GovTalkDetails/hd:Keys/hd:Key[@Type = current()/@Type and . = current()]) &gt; 0" id="a_CTIRheader.1" diagnostics="errorCode.CTIRheader.1 transactional.CTIRheader.1 transactional.en.CTIRheader.1 transactional.cy.CTIRheader.1 ">Keys in the IR header must also exist in the GovTalk header with the same value</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p1">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:IRheader">
        <sch:assert test="count(ct:Keys/ct:Key) &gt; 0" id="a_CTIRheader.0" diagnostics="errorCode.CTIRheader.0 transactional.CTIRheader.0 transactional.en.CTIRheader.0 transactional.cy.CTIRheader.0 ">At least one key must exist</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p4">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:Reference">
        <sch:assert test="count(../../../ct:IRheader/ct:Keys/ct:Key[@Type = &quot;UTR&quot; and . = current()]) &gt; 0" id="a_N007.0" diagnostics="errorCode.N007.0 transactional.N007.0 transactional.en.N007.0 transactional.cy.N007.0 ">There must be a Key element in the Irheader whose Type attribute is UTR and whose content is the same as the entry in [3].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p6">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer">
        <sch:assert test="../ct:SME" id="a_N009c.0" diagnostics="errorCode.N009c.0 transactional.N009c.0 transactional.en.N009c.0 ">If [7] is present then [6] must be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p7">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances">
        <sch:assert test="not((.)) or ../../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600G" id="a_N009d.0" diagnostics="errorCode.N009d.0 transactional.N009d.0 transactional.en.N009d.0 ">[125] should be present if [8] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p5">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:NorthernIreland">
        <sch:assert test="(round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:PeriodCovered/ct:To)) div 86400))" id="a_N009.0" diagnostics="errorCode.N009.0 transactional.N009.0 transactional.en.N009.0 ">If [N009] is present then [35] must be on or after '2050-04-01'</sch:assert>
        <sch:assert test="not(ct:NItradingActivity) or ct:SME or ct:NIemployer or ct:SpecialCircumstances or ../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600G" id="a_N009.1" diagnostics="errorCode.N009.1 transactional.N009.1 transactional.en.N009.1 ">[125] should be present if [5] is present but all of [6], [7] and [8] are absent</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p9">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:PeriodCovered/ct:From">
        <sch:assert test="(round(date:seconds(normalize-space(.)) div 86400) &lt; round(date:seconds(normalize-space(date:date())) div 86400))" id="a_N012.2" diagnostics="errorCode.N012.2 transactional.N012.2 transactional.en.N012.2 transactional.cy.N012.2 ">[30] cannot be later than yesterday</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p10">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:PeriodCovered/ct:To">
        <sch:assert test="translate(.,&apos;-&apos;,&apos;&apos;) &gt;= translate(../ct:From,&apos;-&apos;,&apos;&apos;)" id="a_N013.1" diagnostics="errorCode.N013.1 transactional.N013.1 transactional.en.N013.1 transactional.cy.N013.1 ">[35] should be on or after [30]</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(date:date())) div 86400)) or ../../ct:CompanyType = 3" id="a_N013.2" diagnostics="errorCode.N013.2 transactional.N013.2 transactional.en.N013.2 transactional.cy.N013.2 ">[35] cannot be later than today unless [4] = 3.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p8">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyInformation/ct:PeriodCovered">
        <sch:assert test="translate(date:add(normalize-space(string(ct:To)),normalize-space(&apos;-P12M&apos;)),&apos;-&apos;,&apos;&apos;) &lt; translate(ct:From,&apos;-&apos;,&apos;&apos;)" id="a_N010.1" diagnostics="errorCode.N010.1 transactional.N010.1 transactional.en.N010.1 transactional.cy.N010.1 ">[35] should be less than 12 months after [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p11">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:RegisteredAvoidanceScheme">
        <sch:assert test="not ((.)) or ../../@ReturnType = &apos;amended&apos; or ../ct:SupplementaryPages/ct:CT600J" id="a_N021.1" diagnostics="errorCode.N021.1 transactional.N021.1 transactional.en.N021.1 transactional.cy.N021.1 ">[140] must equal 'yes' if [65] equals 'yes' and [N003] does not equal 'amended'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p12">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:TransferPricing">
        <sch:assert test="not(ct:Adjustment = &apos;yes&apos; and ct:SME = &apos;yes&apos;)" id="a_N022.1" diagnostics="errorCode.N022.1 transactional.N022.1 transactional.en.N022.1 transactional.cy.N022.1 "> [70] and [75] cannot both be 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p14">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:Accounts/ct:NoAccountsReason">
        <sch:assert test="count(../../../ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts) = 0" id="a_N028.3" diagnostics="errorCode.N028.3 transactional.N028.3 transactional.en.N028.3 transactional.cy.N028.3 ">If [90A] is present, then there must be no Accounts element as a child of [N107]</sch:assert>
        <sch:assert test="not((.) = &apos;Amendment - a/cs already submitted&apos;) or (../../../@ReturnType = &apos;amended&apos;)" id="a_N028.4" diagnostics="errorCode.N028.4 transactional.N028.4 transactional.en.N028.4 transactional.cy.N028.4 ">If [90A] equals 'Amendment - a/cs already submitted' then [N003] must equal 'amended'.</sch:assert>
        <sch:assert test="not((.) = &quot;PDF accounts attached with explanation&quot;) or (count(../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;accounts&apos;]) &gt; 0)" id="a_N028.5" diagnostics="errorCode.N028.5 transactional.N028.5 transactional.en.N028.5 transactional.cy.N028.5 ">If [90A] is "PDF accounts attached with explanation", then there must be at least one instance of [N106] with type = 'accounts'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p13">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:Accounts">
        <sch:assert test="ct:NoAccountsReason = &quot;PDF accounts attached with explanation&quot; or count(../../ct:AttachedFiles/ct:Attachment[@Type=&apos;accounts&apos;]) = 0" id="a_N028.2" diagnostics="errorCode.N028.2 transactional.N028.2 transactional.en.N028.2 transactional.cy.N028.2 ">If [90A] is absent or not "PDF accounts attached with explanation", then there must be no instance of [N106] with a type attribute of 'accounts'.</sch:assert>
        <sch:assert test="ct:NoAccountsReason or (count(../../ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts) &gt; 0)" id="a_N025.0" diagnostics="errorCode.N025.0 transactional.N025.0 transactional.en.N025.0 transactional.cy.N025.0 ">If [90A] is absent then the Accounts child of [N107] must be present.</sch:assert>
        <sch:assert test="not(not(ct:NoAccountsReason) or ct:NoAccountsReason = &quot;PDF accounts attached with explanation&quot;) or (count(ct:ThisPeriodAccounts) + count(ct:DifferentPeriod)) = 1" id="a_N025.1" diagnostics="errorCode.N025.1 transactional.N025.1 transactional.en.N025.1 transactional.cy.N025.1 ">If [90A] is absent or "PDF accounts attached with explanation", then exactly one of [80A] or [85A] must be present.</sch:assert>
        <sch:assert test="not(ct:NoAccountsReason) or ct:NoAccountsReason = &quot;PDF accounts attached with explanation&quot; or (count(ct:ThisPeriodAccounts) + count(ct:DifferentPeriod)) = 0" id="a_N025.2" diagnostics="errorCode.N025.2 transactional.N025.2 transactional.en.N025.2 transactional.cy.N025.2 ">If [90A] is present and not "PDF accounts attached with explanation", then neither [80A] nor [85A] may be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p16">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:Computations/ct:NoComputationsReason">
        <sch:assert test="count(../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;computations&apos;]) = 0" id="a_N028d.4" diagnostics="errorCode.N028d.4 transactional.N028d.4 transactional.en.N028d.4 transactional.cy.N028d.4 ">If [90B] is present, then there must be no instance of [N106] with a type attribute of 'computations'</sch:assert>
        <sch:assert test="count(../../../ct:AttachedFiles/ct:XBRLsubmission/ct:Computation) = 0" id="a_N028d.5" diagnostics="errorCode.N028d.5 transactional.N028d.5 transactional.en.N028d.5 transactional.cy.N028d.5 ">If [90B] is present, then there must be no Computation element as a child of [N107]</sch:assert>
        <sch:assert test="not((.) = &apos;Amendment - comps already submitted&apos;) or (../../../@ReturnType = &apos;amended&apos;)" id="a_N028d.6" diagnostics="errorCode.N028d.6 transactional.N028d.6 transactional.en.N028d.6 transactional.cy.N028d.6 ">If [90B] equals 'Amendment - comps already submitted' then [N003] must equal 'amended'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p15">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:Computations">
        <sch:assert test="ct:NoComputationsReason or (count(../../ct:AttachedFiles/ct:Attachment[@Type=&apos;computations&apos;]) &gt; 0) or (count(../../ct:AttachedFiles/ct:XBRLsubmission/ct:Computation) &gt; 0)" id="a_N028a.0" diagnostics="errorCode.N028a.0 transactional.N028a.0 transactional.en.N028a.0 transactional.cy.N028a.0 ">If [90B] is absent, then there must be a Computations element as a child of [N107], or at least one instance of [N106] with type = 'computations'.</sch:assert>
        <sch:assert test="ct:NoComputationsReason or not((count(../../ct:AttachedFiles/ct:Attachment[@Type=&apos;computations&apos;]) &gt; 0) and (count(../../ct:AttachedFiles/ct:XBRLsubmission/ct:Computation) &gt; 0))" id="a_N028a.1" diagnostics="errorCode.N028a.1 transactional.N028a.1 transactional.en.N028a.1 transactional.cy.N028a.1 ">If [90B] is absent, then there must not be both a Computations element as a child of [N107] and any instances of [N106] with type = 'computations'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p17">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600A">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:LoansByCloseCompanies" id="a_N030.0" diagnostics="errorCode.N030.0 transactional.N030.0 transactional.en.N030.0 transactional.cy.N030.0 ">If [95] equals 'yes' and [N003] equals 'new', then [N095] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p18">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600B">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:ControlledForeignCompanies" id="a_N031.0" diagnostics="errorCode.N031.0 transactional.N031.0 transactional.en.N031.0 transactional.cy.N031.0 ">If [100] equals 'yes' and [N003] equals 'new', then there must be a [N096] page present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p19">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600C">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:GroupAndConsortium" id="a_N032.0" diagnostics="errorCode.N032.0 transactional.N032.0 transactional.en.N032.0 transactional.cy.N032.0 ">If [105] equals 'yes' and [N003] equals 'new', then there must be a [N097] page present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p20">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600D">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:Insurance" id="a_N033.0" diagnostics="errorCode.N033.0 transactional.N033.0 transactional.en.N033.0 transactional.cy.N033.0 ">If [110] equals 'yes' and [N003] equals 'new', then [N098] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p21">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600E">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:Charity" id="a_N034.0" diagnostics="errorCode.N034.0 transactional.N034.0 transactional.en.N034.0 transactional.cy.N034.0 ">If [115] equals 'yes' and [N003] equals 'new', then [N099] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p22">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600F">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:TonnageTax" id="a_N035.0" diagnostics="errorCode.N035.0 transactional.N035.0 transactional.en.N035.0 transactional.cy.N035.0 ">If [120] equals 'yes' and [N003] equals 'new', then [N100] must be present.</sch:assert>
        <sch:assert test="not((.) = &apos;yes&apos;) or ../../../ct:CompanyTaxCalculation/ct:Income/ct:TonnageTaxProfits" id="a_N002.13" diagnostics="errorCode.N002.13 transactional.N002.13 transactional.en.N002.13 transactional.cy.N002.13 ">[200] should be present if [120] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p23">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600G">
        <sch:assert test="not(not(../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME or ../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer))" id="a_N036.0" diagnostics="errorCode.N036.0 transactional.N036.0 transactional.en.N036.0 ">[125] should not be present if [8] is absent and ( [6] is present or [7] is present )</sch:assert>
        <sch:assert test="../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity" id="a_N036.1" diagnostics="errorCode.N036.1 transactional.N036.1 transactional.en.N036.1 ">[125] should not be present if [5] is absent</sch:assert>
        <sch:assert test="not((.) = &apos;yes&apos;) or ../../../ct:NorthernIreland" id="a_N036.2" diagnostics="errorCode.N036.2 transactional.N036.2 transactional.en.N036.2 ">If [125] equals 'yes', [N101] must be present</sch:assert>
        <sch:assert test="not((.) and ../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedBack) or ../../../ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLossesCarriedBack" id="a_N036.3" diagnostics="errorCode.N036.3 transactional.N036.3 transactional.en.N036.3 ">[G90] must be present if [125] and [280] are present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p24">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600H">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:CrossBorderRoyalties" id="a_N037.0" diagnostics="errorCode.N037.0 transactional.N037.0 transactional.en.N037.0 transactional.cy.N037.0 ">If [130] equals 'yes' and [N003] equals 'new', then [N102] must be present.</sch:assert>
        <sch:assert test="(../../../ct:IndicatorsAndInformation/ct:CrossBorderRoyalty = &apos;yes&apos;) or not((.) = &apos;yes&apos;)" id="a_N037.1" diagnostics="errorCode.N037.1 transactional.N037.1 transactional.en.N037.1 transactional.cy.N037.1 ">If [130] equals 'yes' then [645] must equal 'yes'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p25">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:RingFenceTrade" id="a_N038.1" diagnostics="errorCode.N038.1 transactional.N038.1 transactional.en.N038.1 transactional.cy.N038.1 ">If [135] equals 'yes' and [N003] equals 'new', then [N103] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p26">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600J">
        <sch:assert test="(../../ct:RegisteredAvoidanceScheme = &apos;yes&apos;) or not((.) = &apos;yes&apos;)" id="a_N039.1" diagnostics="errorCode.N039.1 transactional.N039.1 transactional.en.N039.1 transactional.cy.N039.1 ">If [140] equals 'yes' then [65] must equal 'yes'</sch:assert>
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:TaxAvoidanceSchemes" id="a_N039.2" diagnostics="errorCode.N039.2 transactional.N039.2 transactional.en.N039.2 transactional.cy.N039.2 ">If [140] equals 'yes' and [N003] equals 'new', then [N104] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p27">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600K">
        <sch:assert test="not((.) = &apos;yes&apos; and ../../../@ReturnType = &apos;new&apos;) or ../../../ct:RestitutionTax" id="a_N112.0" diagnostics="errorCode.N112.0 transactional.N112.0 transactional.en.N112.0 transactional.cy.N112.0 ">If [141] = 'yes' and [N003] = 'new', then [N113] should be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p31">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:LossesBroughtForward">
        <sch:assert test=". &lt;= sum(../ct:Profits)" id="a_F002.1" diagnostics="errorCode.F002.1 transactional.F002.1 transactional.en.F002.1 transactional.cy.F002.1 ">[160] should not exceed [155]</sch:assert>
        <sch:assert test="sum(../ct:Profits) &gt; 0" id="a_F002.0" diagnostics="errorCode.F002.0 transactional.F002.0 transactional.en.F002.0 transactional.cy.F002.0 ">[155] should be greater than 0 if [160] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p32">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:NetProfits">
        <sch:assert test="(math:abs((.) - ((sum(../ct:Profits) - sum(../ct:LossesBroughtForward)))) &lt; 0.001)" id="a_F003.1" diagnostics="errorCode.F003.1 transactional.F003.1 transactional.en.F003.1 transactional.cy.F003.1 ">[165] should equal [155] minus [160]</sch:assert>
        <sch:assert test="../../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.2" diagnostics="errorCode.F014.2 transactional.F014.2 transactional.en.F014.2 transactional.cy.F014.2 ">[235] should be present if [165] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p30">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:Trading">
        <sch:assert test="not(sum(ct:Profits) &gt; 0) or ct:NetProfits" id="a_N043.0" diagnostics="errorCode.N043.0 transactional.N043.0 transactional.en.N043.0 transactional.cy.N043.0 ">[165] should be present if [155] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p33">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:NonTradingLoanProfitsAndGains">
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.3" diagnostics="errorCode.F014.3 transactional.F014.3 transactional.en.F014.3 transactional.cy.F014.3 ">[235] should be present if [170] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p34">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:NonLoanAnnuitiesAnnualPaymentsDiscounts">
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.4" diagnostics="errorCode.F014.4 transactional.F014.4 transactional.en.F014.4 transactional.cy.F014.4 ">[235] should be present if [175] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p35">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:NonUKdividends">
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.5" diagnostics="errorCode.F014.5 transactional.F014.5 transactional.en.F014.5 transactional.cy.F014.5 ">[235] should be present if [180] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p36">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:DeductedIncome">
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.6" diagnostics="errorCode.F014.6 transactional.F014.6 transactional.en.F014.6 transactional.cy.F014.6 ">[235] should be present if [185] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p37">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:PropertyBusinessIncome">
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.7" diagnostics="errorCode.F014.7 transactional.F014.7 transactional.en.F014.7 transactional.cy.F014.7 ">[235] should be present if [190] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p38">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income/ct:TonnageTaxProfits">
        <sch:assert test="(../../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600F = &apos;yes&apos;) or (../../../@ReturnType = &apos;amended&apos;)" id="a_F175.0" diagnostics="errorCode.F175.0 transactional.F175.0 transactional.en.F175.0 transactional.cy.F175.0 ">[120] should equal 'yes' or [N003] should equal 'amended' if [200] is present</sch:assert>
        <sch:assert test="not(../../../ct:TonnageTax/ct:TonnageTax/ct:QualifyingShips/ct:Total) or (. = sum(../../../ct:TonnageTax/ct:TonnageTax/ct:QualifyingShips/ct:Total))" id="a_F175.1" diagnostics="errorCode.F175.1 transactional.F175.1 transactional.en.F175.1 transactional.cy.F175.1 ">[200] must equal [F70] if [F70] is present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p29">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:Income">
        <sch:assert test="../ct:ProfitsBeforeOtherDeductions or not((sum(ct:NonTradingGainsIntangibles) + sum(ct:TonnageTaxProfits) + sum(ct:OtherIncome)) &gt; 0)" id="a_F014.8" diagnostics="errorCode.F014.8 transactional.F014.8 transactional.en.F014.8 transactional.cy.F014.8 ">[235] should be present if the sum of [195], [200] and [205] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p39">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargeableGains/ct:AllowableLosses">
        <sch:assert test=". &lt;= sum(../ct:GrossGains)" id="a_F012.1" diagnostics="errorCode.F012.1 transactional.F012.1 transactional.en.F012.1 transactional.cy.F012.1 ">[215] should not exceed [210]</sch:assert>
        <sch:assert test="sum(../ct:GrossGains) &gt; 0" id="a_F012.2" diagnostics="errorCode.F012.2 transactional.F012.2 transactional.en.F012.2 transactional.cy.F012.2 ">[210] should be greater than 0 if [215] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p40">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargeableGains/ct:NetChargeableGains">
        <sch:assert test="(math:abs((.) - ((sum(../ct:GrossGains) - sum(../ct:AllowableLosses)))) &lt; 0.001)" id="a_F013.1" diagnostics="errorCode.F013.1 transactional.F013.1 transactional.en.F013.1 transactional.cy.F013.1 ">[220] should equal [210] minus [215]</sch:assert>
        <sch:assert test="../../ct:ProfitsBeforeOtherDeductions or not((.) &gt; 0)" id="a_F014.9" diagnostics="errorCode.F014.9 transactional.F014.9 transactional.en.F014.9 transactional.cy.F014.9 ">[235] should be present if [220] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p41">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:LossesBroughtForward">
        <sch:assert test="((.) - ((sum(../ct:Income/ct:NonTradingLoanProfitsAndGains) + sum(../ct:Income/ct:NonLoanAnnuitiesAnnualPaymentsDiscounts) + sum(../ct:Income/ct:NonUKdividends) + sum(../ct:Income/ct:DeductedIncome) + sum(../ct:Income/ct:PropertyBusinessIncome) + sum(../ct:Income/ct:NonTradingGainsIntangibles) + sum(../ct:Income/ct:TonnageTaxProfits) + sum(../ct:Income/ct:OtherIncome) + sum(../ct:ChargeableGains/ct:NetChargeableGains))) &lt; 0.001)" id="a_F020.0" diagnostics="errorCode.F020.0 transactional.F020.0 transactional.en.F020.0 transactional.cy.F020.0 ">[225] should not exceed the sum of [170], [175], [180], [185], [190], [195], [200], [205] and [220]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p42">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:NonTradeDeficitsOnLoans">
        <sch:assert test="((.) - (((sum(../ct:Income/ct:NonTradingLoanProfitsAndGains) + sum(../ct:Income/ct:NonLoanAnnuitiesAnnualPaymentsDiscounts) + sum(../ct:Income/ct:NonUKdividends) + sum(../ct:Income/ct:DeductedIncome) + sum(../ct:Income/ct:PropertyBusinessIncome) + sum(../ct:Income/ct:NonTradingGainsIntangibles) + sum(../ct:Income/ct:TonnageTaxProfits) + sum(../ct:Income/ct:OtherIncome) + sum(../ct:ChargeableGains/ct:NetChargeableGains)) - sum(../ct:LossesBroughtForward))) &lt; 0.001)" id="a_F139.0" diagnostics="errorCode.F139.0 transactional.F139.0 transactional.en.F139.0 transactional.cy.F139.0 ">[230] should not exceed the sum of [170], [175], [180], [185], [190], [195], [200], [205] and [220] minus [225]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p43">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ProfitsBeforeOtherDeductions">
        <sch:assert test="(math:abs((.) - (((sum(../ct:Income/ct:Trading/ct:NetProfits) + sum(../ct:Income/ct:NonTradingLoanProfitsAndGains) + sum(../ct:Income/ct:NonLoanAnnuitiesAnnualPaymentsDiscounts) + sum(../ct:Income/ct:NonUKdividends) + sum(../ct:Income/ct:DeductedIncome) + sum(../ct:Income/ct:PropertyBusinessIncome) + (sum(../ct:Income/ct:NonTradingGainsIntangibles) + sum(../ct:Income/ct:TonnageTaxProfits) + sum(../ct:Income/ct:OtherIncome)) + sum(../ct:ChargeableGains/ct:NetChargeableGains)) - (sum(../ct:LossesBroughtForward) + sum(../ct:NonTradeDeficitsOnLoans))))) &lt; 0.001)" id="a_F014.1" diagnostics="errorCode.F014.1 transactional.F014.1 transactional.en.F014.1 transactional.cy.F014.1 ">[235] should equal the sum of [165], [170], [175], [180], [185], [190], [195], [200], [205] and [220] minus ( [225] plus [230] )</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p45">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UnquotedShares">
        <sch:assert test=". &lt;= sum(../../ct:ProfitsBeforeOtherDeductions)" id="a_F015.1" diagnostics="errorCode.F015.1 transactional.F015.1 transactional.en.F015.1 transactional.cy.F015.1 ">[240] should not exceed [235]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p46">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:ManagementExpenses">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - sum(../ct:UnquotedShares))) &lt; 0.001)" id="a_F018.1" diagnostics="errorCode.F018.1 transactional.F018.1 transactional.en.F018.1 transactional.cy.F018.1 ">[245] should not exceed [235] minus [240]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p47">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses)))) &lt; 0.001)" id="a_F085.0" diagnostics="errorCode.F085.0 transactional.F085.0 transactional.en.F085.0 transactional.cy.F085.0 ">[250] should not exceed [235] minus ( [240] plus [245] )</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p48">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CapitalAllowances">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses)))) &lt; 0.001)" id="a_F086.0" diagnostics="errorCode.F086.0 transactional.F086.0 transactional.en.F086.0 transactional.cy.F086.0 ">[255] should not exceed [235] minus the sum of [240], [245] and [250]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p49">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeDeficits">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances)))) &lt; 0.001)" id="a_F140.0" diagnostics="errorCode.F140.0 transactional.F140.0 transactional.en.F140.0 transactional.cy.F140.0 ">[260] should not exceed [235] minus the sum of [240], [245], [250] and [255]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p50">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits)))) &lt; 0.001)" id="a_F238.0" diagnostics="errorCode.F238.0 transactional.F238.0 transactional.en.F238.0 transactional.cy.F238.0 ">[263] should not exceed [235] minus the sum of [240], [245], [250], [255], and [260]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p51">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles">
        <sch:assert test=". &lt;= sum(../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:NonTradingLossesIntangibles/ct:Arising)" id="a_F198.3" diagnostics="errorCode.F198.3 transactional.F198.3 transactional.en.F198.3 transactional.cy.F198.3 ">[265] should be less than or equal to the 'Arising' element of [830/835]</sch:assert>
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits) + sum(../ct:CarriedForwardNonTradeDeficits)))) &lt; 0.001)" id="a_F198.0" diagnostics="errorCode.F198.0 transactional.F198.0 transactional.en.F198.0 transactional.cy.F198.0 ">[265] should not exceed [235] minus the sum of [240], [245], [250], [255], [260] and [263]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p52">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLosses">
        <sch:assert test="../ct:TradingLossesCarriedBack  or (. &lt;= sum(../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesUK/ct:Arising))" id="a_F016.1" diagnostics="errorCode.F016.1 transactional.F016.1 transactional.en.F016.1 transactional.cy.F016.1 ">If [280] is not 'yes' then [275] must be less than or equal to the 'Arising' element of [780/785]</sch:assert>
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits) + sum(../ct:CarriedForwardNonTradeDeficits) + sum(../ct:NonTradingLossIntangibles)))) &lt; 0.001)" id="a_F016.0" diagnostics="errorCode.F016.0 transactional.F016.0 transactional.en.F016.0 transactional.cy.F016.0 ">[275] should not exceed [235] minus the sum of [240], [245], [250], [255], [260], [263] and [265]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p53">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedBack">
        <sch:assert test="sum(../ct:TradingLosses) &gt; 0" id="a_F904.0" diagnostics="errorCode.F904.0 transactional.F904.0 transactional.en.F904.0 transactional.cy.F904.0 ">[275] should exceed 0 if [280] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p54">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits) + sum(../ct:CarriedForwardNonTradeDeficits) + sum(../ct:NonTradingLossIntangibles) + sum(../ct:TradingLosses)))) &lt; 0.001)" id="a_F239.0" diagnostics="errorCode.F239.0 transactional.F239.0 transactional.en.F239.0 transactional.cy.F239.0 ">[285] should not exceed [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], and [275]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p55">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances">
        <sch:assert test="((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits) + sum(../ct:CarriedForwardNonTradeDeficits) + sum(../ct:NonTradingLossIntangibles) + sum(../ct:TradingLosses) + sum(../ct:TradingLossesCarriedForward)))) &lt; 0.001)" id="a_F019.0" diagnostics="errorCode.F019.0 transactional.F019.0 transactional.en.F019.0 transactional.cy.F019.0 ">[290] should not exceed [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275] and [285]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p56">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:Total">
        <sch:assert test=". &lt;= sum(../../ct:ProfitsBeforeOtherDeductions)" id="a_F021.2" diagnostics="errorCode.F021.2 transactional.F021.2 transactional.en.F021.2 transactional.cy.F021.2 ">[295] should not exceed [235]</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:UnquotedShares) + sum(../ct:ManagementExpenses) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:CapitalAllowances) + sum(../ct:NonTradeDeficits) + sum(../ct:CarriedForwardNonTradeDeficits) + sum(../ct:NonTradingLossIntangibles) + sum(../ct:TradingLosses) + sum(../ct:TradingLossesCarriedForward) + sum(../ct:NonTradeCapitalAllowances)))) &lt; 0.001)" id="a_F021.0" diagnostics="errorCode.F021.0 transactional.F021.0 transactional.en.F021.0 transactional.cy.F021.0 ">[295] should equal the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p44">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:DeductionsAndReliefs">
        <sch:assert test="not(
              (((sum(ct:UnquotedShares) + 
                 sum(ct:ManagementExpenses) + 
                 sum(ct:UKpropertyBusinessLosses) + 
                 sum(ct:CapitalAllowances) + 
                 sum(ct:NonTradeDeficits) + 
                 sum(ct:CarriedForwardNonTradeDeficits) + 
                 sum(ct:NonTradingLossIntangibles) + 
                 sum(ct:TradingLosses) + 
                 sum(ct:TradingLossesCarriedForward) + 
                 sum(ct:NonTradeCapitalAllowances))) - (0) &gt;= 0.001)
            )
          or
            ct:Total" id="a_N046.0" diagnostics="errorCode.N046.0 transactional.N046.0 transactional.en.N046.0 transactional.cy.N046.0 ">[295] should be present if the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p57">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief">
        <sch:assert test="sum(../ct:QualifyingDonations) &lt;= ." id="a_F022.1" diagnostics="errorCode.F022.1 transactional.F022.1 transactional.en.F022.1 transactional.cy.F022.1 ">If [300] present then [305] must not exceed [300]</sch:assert>
        <sch:assert test="(math:abs((../../ct:ChargeableProfits) - (((.) - (sum(../ct:QualifyingDonations) + sum(../ct:GroupRelief) + sum(../ct:GroupReliefForCarriedForwardLosses))))) &lt; 0.001)" id="a_F022.3" diagnostics="errorCode.F022.3 transactional.F022.3 transactional.en.F022.3 transactional.cy.F022.3 ">If [300] is present then [315] must equal [300] minus ( [305] + [310] + [312] ).</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../../ct:DeductionsAndReliefs/ct:UnquotedShares) + sum(../../ct:DeductionsAndReliefs/ct:ManagementExpenses) + sum(../../ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses) + sum(../../ct:DeductionsAndReliefs/ct:CapitalAllowances) + sum(../../ct:DeductionsAndReliefs/ct:NonTradeDeficits) + sum(../../ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits) + sum(../../ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles) + sum(../../ct:DeductionsAndReliefs/ct:TradingLosses) + sum(../../ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward) + sum(../../ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances))))) &lt; 0.001)" id="a_F022.0" diagnostics="errorCode.F022.0 transactional.F022.0 transactional.en.F022.0 transactional.cy.F022.0 ">[300] should equal [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p58">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:QualifyingDonations">
        <sch:assert test="../ct:ProfitsBeforeDonationsAndGroupRelief 
                or 
                  ((.) - ((
                      sum(../../ct:ProfitsBeforeOtherDeductions)
                      - ( sum(../../ct:DeductionsAndReliefs/ct:UnquotedShares)
                          + sum(../../ct:DeductionsAndReliefs/ct:ManagementExpenses)
                          + sum(../../ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses)
                          + sum(../../ct:DeductionsAndReliefs/ct:CapitalAllowances)
                          + sum(../../ct:DeductionsAndReliefs/ct:NonTradeDeficits)
                          + sum(../../ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits)
                          + sum(../../ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles)
                          + sum(../../ct:DeductionsAndReliefs/ct:TradingLosses)
                          + sum(../../ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward)
                          + sum(../../ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances)
                      )
                    )) &lt; 0.001)" id="a_F023.0" diagnostics="errorCode.F023.0 transactional.F023.0 transactional.en.F023.0 transactional.cy.F023.0 ">If [300] is absent then [305] should not exceed [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p59">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief">
        <sch:assert test="not(../../../@ReturnType = &apos;new&apos;) or (.) &lt;= 0 or ../../../ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:CompanyInformation/ct:TotalAmountClaimed" id="a_F025.2" diagnostics="errorCode.F025.2 transactional.F025.2 transactional.en.F025.2 transactional.cy.F025.2 ">If [N003] equals 'new' and [310] is greater than zero then [C10] must be present</sch:assert>
        <sch:assert test="(../../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600C = &apos;yes&apos;) or (../../../@ReturnType = &apos;amended&apos;)" id="a_F025.0" diagnostics="errorCode.F025.0 transactional.F025.0 transactional.en.F025.0 transactional.cy.F025.0 ">[105] should equal 'yes' or [N003] should equal 'amended' if [310] is present</sch:assert>
        <sch:assert test="not(../../../@ReturnType = &apos;new&apos;) or (.) &lt;= 0 or ../../../ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:ClaimAuthorisation/ct:CopyOfNoticesOfConsentAttached or ../../../ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:ClaimAuthorisation/ct:AuthorisationForSimplifiedArrangements" id="a_F025.3" diagnostics="errorCode.F025.3 transactional.F025.3 transactional.en.F025.3 transactional.cy.F025.3 ">If [N003] is 'new' and [310] is greater than zero then [SC161] or [AUTHORISATION] must be present</sch:assert>
        <sch:assert test="((.) - (((sum(../../ct:ProfitsBeforeOtherDeductions) - (sum(../../ct:DeductionsAndReliefs/ct:UnquotedShares) + sum(../../ct:DeductionsAndReliefs/ct:ManagementExpenses) + sum(../../ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses) + sum(../../ct:DeductionsAndReliefs/ct:CapitalAllowances) + sum(../../ct:DeductionsAndReliefs/ct:NonTradeDeficits) + sum(../../ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits) + sum(../../ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles) + sum(../../ct:DeductionsAndReliefs/ct:TradingLosses) + sum(../../ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward) + sum(../../ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances))) - sum(../ct:QualifyingDonations))) &lt; 0.001)" id="a_F025.1" diagnostics="errorCode.F025.1 transactional.F025.1 transactional.en.F025.1 transactional.cy.F025.1 ">[310] should not exceed ( [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290] ) minus [305]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p60">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses">
        <sch:assert test="(../../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600C = &apos;yes&apos;) or (../../../@ReturnType = &apos;amended&apos;)" id="a_F240.0" diagnostics="errorCode.F240.0 transactional.F240.0 transactional.en.F240.0 transactional.cy.F240.0 ">If [312] is present the following should be true: ( [105] equals 'yes' ) or ( [N003] equals 'amended' )</sch:assert>
        <sch:assert test="((.) - ((
                    ( sum(../../ct:ProfitsBeforeOtherDeductions)
                      -
                      ( sum(../../ct:DeductionsAndReliefs/ct:UnquotedShares)
                        + sum(../../ct:DeductionsAndReliefs/ct:ManagementExpenses)
                        + sum(../../ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses)
                        + sum(../../ct:DeductionsAndReliefs/ct:CapitalAllowances)
                        + sum(../../ct:DeductionsAndReliefs/ct:NonTradeDeficits)
                        + sum(../../ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits)
                        + sum(../../ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles)
                        + sum(../../ct:DeductionsAndReliefs/ct:TradingLosses)
                        + sum(../../ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward)
                        + sum(../../ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances)
                      )
                    )
                    - sum(../ct:QualifyingDonations)
                    - sum(../ct:GroupRelief)
                  )) &lt; 0.001)" id="a_F240.1" diagnostics="errorCode.F240.1 transactional.F240.1 transactional.en.F240.1 transactional.cy.F240.1 ">[312] should not exceed ( [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285] and [290] ) minus [305] minus [310]</sch:assert>
        <sch:assert test="not( ../../../@ReturnType = &apos;new&apos; and (.) &gt; 0 ) or ../../../ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:CompanyInformation/ct:TotalAmountClaimed" id="a_F240.2" diagnostics="errorCode.F240.2 transactional.F240.2 transactional.en.F240.2 transactional.cy.F240.2 ">If [N003] is 'new' and there is an entry greater than zero in [312] then [C130] must be submitted.</sch:assert>
        <sch:assert test="not( ../../../@ReturnType = &apos;new&apos; and (.) &gt; 0 ) or ../../../ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:ClaimAuthorisation/ct:CopyOfNoticesOfConsentAttached or ../../../ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:ClaimAuthorisation/ct:AuthorisationForSimplifiedArrangements" id="a_F240.3" diagnostics="errorCode.F240.3 transactional.F240.3 transactional.en.F240.3 transactional.cy.F240.3 ">If [N003] is 'new' and [312] is greater than zero then [SC172] or [AUTHORISATION2] must be present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p61">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:ChargeableProfits">
        <sch:assert test=". = sum(../ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Details/ct:Profit) + sum(../ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Details/ct:Profit)" id="a_F900.1" diagnostics="errorCode.F900.1 transactional.F900.1 transactional.en.F900.1 transactional.cy.F900.1 ">[315] must equal the sum of all iterations of [335] plus the sum of all iterations of [385]</sch:assert>
        <sch:assert test="(math:abs(((.)) - (sum(../ct:ProfitsBeforeOtherDeductions)
                  - ( sum(../ct:DeductionsAndReliefs/ct:UnquotedShares)
                      + sum(../ct:DeductionsAndReliefs/ct:ManagementExpenses)
                      + sum(../ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses)
                      + sum(../ct:DeductionsAndReliefs/ct:CapitalAllowances)
                      + sum(../ct:DeductionsAndReliefs/ct:NonTradeDeficits)
                      + sum(../ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits)
                      + sum(../ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles)
                      + sum(../ct:DeductionsAndReliefs/ct:TradingLosses)
                      + sum(../ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward)
                      + sum(../ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances)
                      + sum(../ct:ChargesAndReliefs/ct:QualifyingDonations)
                      + sum(../ct:ChargesAndReliefs/ct:GroupRelief)
                      + sum(../ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses)
                    ))) &lt; 0.001)
              or
                ../ct:ChargesAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief" id="a_F900.2" diagnostics="errorCode.F900.2 transactional.F900.2 transactional.en.F900.2 transactional.cy.F900.2 ">If [300] is absent then [315] should equal [235] minus the sum of [240], [245], [250], [255], [260], [263], [265], [275], [285], [290], [305], [310] and [312]</sch:assert>
        <sch:assert test="(date:year(normalize-space(date:add(normalize-space(../../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;-P3M&apos;)))) - date:year(normalize-space(date:add(normalize-space(../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(&apos;-P3M&apos;)))) != 1) or ../ct:CorporationTaxChargeable/ct:FinancialYearTwo or not((.) &gt; 0)" id="a_F900.0" diagnostics="errorCode.F900.0 transactional.F900.0 transactional.en.F900.0 transactional.cy.F900.0 ">[N052b] must be submitted if [315] is greater than 0 and [35] falls in the financial year following the financial year of [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p62">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:RingFenceProfitsIncluded">
        <sch:assert test=". &lt;= ../ct:ChargeableProfits" id="a_F229.2" diagnostics="errorCode.F229.2 transactional.F229.2 transactional.en.F229.2 transactional.cy.F229.2 ">[320] should not exceed [315]</sch:assert>
        <sch:assert test="(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;) or (../../@ReturnType = &apos;amended&apos;)" id="a_F229.3" diagnostics="errorCode.F229.3 transactional.F229.3 transactional.en.F229.3 transactional.cy.F229.3 ">[135] should equal 'yes' or [N003] should equal 'amended' if [320] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p63">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:NorthernIrelandProfitsIncluded">
        <sch:assert test="../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity" id="a_F241.0" diagnostics="errorCode.F241.0 transactional.F241.0 transactional.en.F241.0 ">If [325] is present then [5] must be present</sch:assert>
        <sch:assert test=". &lt;= ../ct:ChargeableProfits" id="a_F241.1" diagnostics="errorCode.F241.1 transactional.F241.1 transactional.en.F241.1 ">[325] must not exceed [315]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p64">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Year">
        <sch:assert test="(.) = date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;))))" id="a_F032.1" diagnostics="errorCode.F032.1 transactional.F032.1 transactional.en.F032.1 transactional.cy.F032.1 ">[330] should equal the equivalent financial year of the date in [30]</sch:assert>
        <sch:assert test="not (
                    date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;)))) = date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)),normalize-space(&apos;-P3M&apos;))))
                  )
                  or (
                    sum(../ct:Details/ct:Profit) = ../../../ct:ChargeableProfits
                  )" id="a_F032.3" diagnostics="errorCode.F032.3 transactional.F032.3 transactional.en.F032.3 transactional.cy.F032.3 ">Where [30] and [35] are in the same financial year, the sum of all iterations of [335] must equal [315].</sch:assert>
        <sch:assert test="date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;)))) = date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)),normalize-space(&apos;-P3M&apos;))))
                    or
                      sum(../ct:Details/ct:Profit) = round(../../../ct:ChargeableProfits * round((date:seconds(normalize-space(date:difference(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(concat( (.) + 1 , &apos;-03-31&apos;))))) div 86400) + 1) div round((date:seconds(normalize-space(date:difference(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))))) div 86400) + 1))" id="a_F032.4" diagnostics="errorCode.F032.4 transactional.F032.4 transactional.en.F032.4 transactional.cy.F032.4 ">Where [30] and [35] are in different financial years, the sum of all iterations of [335] must equal [315] divided by the number of days between [30] and [35] inclusive multiplied by the number of days between [30] and the end of financial year [330] inclusive. Rounding is applied such that values from x.5 upwards are rounded up, and values less than x.5 are rounded down (where x represents a whole number).</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p65">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Details/ct:TaxRate">
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 5)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      ((math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))" id="a_F034.5" diagnostics="errorCode.F034.5 transactional.F034.5 transactional.en.F034.5 transactional.cy.F034.5 ">If [4] equals '5' then [340] should equal an applicable value from [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 0)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))
                    or
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F034.4" diagnostics="errorCode.F034.4 transactional.F034.4 transactional.en.F034.4 ">If [4] equals '0' then [340] should equal an applicable value from [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 4) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)" id="a_F034.3" diagnostics="errorCode.F034.3 transactional.F034.3 transactional.en.F034.3 ">If [4] equals '4' then [340] should equal [FULL RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 1) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001)" id="a_F034.1" diagnostics="errorCode.F034.1 transactional.F034.1 transactional.en.F034.1 transactional.cy.F034.1 ">If [4] equals '1' then [340] should equal [EQUIV. LOW CT RATE]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 2) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)" id="a_F034.2" diagnostics="errorCode.F034.2 transactional.F034.2 transactional.en.F034.2 ">If [4] equals '2' then [340] should equal [FULL RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 3) or 
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001) or 
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F034.6" diagnostics="errorCode.F034.6 transactional.F034.6 transactional.en.F034.6 ">If [4] equals '3' then [340] should equal an applicable value from [FULL RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 6 or ../../../../../ct:CompanyInformation/ct:CompanyType = 7 or ../../../../../ct:CompanyInformation/ct:CompanyType = 8 or ../../../../../ct:CompanyInformation/ct:CompanyType = 9)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F034.7" diagnostics="errorCode.F034.7 transactional.F034.7 transactional.en.F034.7 ">If [4] equals '6', '7', '8' or '9' then [340] should equal [FULL RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 3 or ../../../../../ct:CompanyInformation/ct:CompanyType = 6 or ../../../../../ct:CompanyInformation/ct:CompanyType = 7 or ../../../../../ct:CompanyInformation/ct:CompanyType = 8 or ../../../../../ct:CompanyInformation/ct:CompanyType = 9 or ../../../../../ct:CompanyInformation/ct:CompanyType = 0)
                      or
                        ../../../../../ct:TaxReconciliation/ct:NIcorporationTaxIncluded
                      or
                        not((round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400)))
                      or
                        not((math:abs((.) - (19)) &lt; 0.001))
                      or
                        (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001)
                      or
                        (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                      or
                        ( (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                      or
                        ( (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))" id="a_F034.8" diagnostics="errorCode.F034.8 transactional.F034.8 transactional.en.F034.8 ">If [4] equals '3', '6', '7', '8', '9', or '0' and [CT RATE FOR NI TRADING PROFITS] is different to all other CT rates and [CT RATE FOR NI TRADING PROFITS] appears in [340] then [586] must be completed.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p66">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Details/ct:Tax">
        <sch:assert test="(math:abs((.) - (( round ( (../ct:Profit * (translate(string(../ct:TaxRate),&apos;.&apos;,&apos;&apos;))) div 100 ) * 100) div 10000)) &lt; 0.001)" id="a_F035.0" diagnostics="errorCode.F035.0 transactional.F035.0 transactional.en.F035.0 transactional.cy.F035.0 ">For each iteration of [N053], [345] should equal [335] multiplied by ([340] divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down)</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p68">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Year">
        <sch:assert test="(math:abs((.) - ((../../ct:FinancialYearOne/ct:Year + 1))) &lt; 0.001)" id="a_F039.0" diagnostics="errorCode.F039.0 transactional.F039.0 transactional.en.F039.0 transactional.cy.F039.0 ">[380] should equal [330] plus 1</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p69">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Details/ct:TaxRate">
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 5)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      ((math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))" id="a_F041.5" diagnostics="errorCode.F041.5 transactional.F041.5 transactional.en.F041.5 transactional.cy.F041.5 ">If [4] equals '5' then [390] should equal an applicable value from [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 0)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                    or
                      (((../../../../ct:RingFenceProfitsIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded or ../../../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded or ../../../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)) and (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))
                    or
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F041.4" diagnostics="errorCode.F041.4 transactional.F041.4 transactional.en.F041.4 ">If [4] equals '0' then [390] must equal an applicable value from [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 4) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)" id="a_F041.3" diagnostics="errorCode.F041.3 transactional.F041.3 transactional.en.F041.3 ">If [4] equals '4' then [390] should equal [FULL RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 1) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001)" id="a_F041.1" diagnostics="errorCode.F041.1 transactional.F041.1 transactional.en.F041.1 transactional.cy.F041.1 ">If [4] equals '1' then [390] should equal [EQUIV. LOW CT RATE]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 2) or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)" id="a_F041.2" diagnostics="errorCode.F041.2 transactional.F041.2 transactional.en.F041.2 ">If [4] equals '2' then [390] should equal [FULL RATE OF CT]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 3) or 
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001) or 
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F041.6" diagnostics="errorCode.F041.6 transactional.F041.6 transactional.en.F041.6 ">If [4] equals '3' then [390] should equal an applicable value from [FULL RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 6 or ../../../../../ct:CompanyInformation/ct:CompanyType = 7 or ../../../../../ct:CompanyInformation/ct:CompanyType = 8 or ../../../../../ct:CompanyInformation/ct:CompanyType = 9)
                    or
                      (math:abs((.) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                    or
                      ((../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity and (not(../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SME) or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:NIemployer or ../../../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances) and (round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) and (math:abs((.) - (19)) &lt; 0.001))" id="a_F041.7" diagnostics="errorCode.F041.7 transactional.F041.7 transactional.en.F041.7 ">If [4] equals '6', '7', '8' or '9' then [390] should equal [FULL RATE OF CT] or [CT RATE FOR NI TRADING PROFITS]</sch:assert>
        <sch:assert test="not(../../../../../ct:CompanyInformation/ct:CompanyType = 3 or ../../../../../ct:CompanyInformation/ct:CompanyType = 6 or ../../../../../ct:CompanyInformation/ct:CompanyType = 7 or ../../../../../ct:CompanyInformation/ct:CompanyType = 8 or ../../../../../ct:CompanyInformation/ct:CompanyType = 9 or ../../../../../ct:CompanyInformation/ct:CompanyType = 0)
                      or
                        ../../../../../ct:TaxReconciliation/ct:NIcorporationTaxIncluded
                      or
                        not((round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400)))
                      or
                        not((math:abs((.) - (19)) &lt; 0.001))
                      or
                        (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    20)) &lt; 0.001)
                      or
                        (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400))) *
    20

+
    number((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2020-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    17)) &lt; 0.001)
                      or
                        ( (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    30

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    30)) &lt; 0.001))
                      or
                        ( (math:abs((19) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    19

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    19)) &lt; 0.001))" id="a_F041.8" diagnostics="errorCode.F041.8 transactional.F041.8 transactional.en.F041.8 ">If [4] equals '3', '6', '7', '8', '9', or '0' and [CT RATE FOR NI TRADING PROFITS] is different to all other CT rates and [CT RATE FOR NI TRADING PROFITS] appears in [390] then [586] must be completed.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p70">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Details/ct:Tax">
        <sch:assert test="(math:abs((.) - (( round ( (../ct:Profit * (translate(string(../ct:TaxRate),&apos;.&apos;,&apos;&apos;))) div 100 ) * 100) div 10000)) &lt; 0.001)" id="a_F042.0" diagnostics="errorCode.F042.0 transactional.F042.0 transactional.en.F042.0 transactional.cy.F042.0 ">For each iteration of [N053b] [395] should equal [385] multiplied by ([390] divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down)</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p67">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTaxChargeable/ct:FinancialYearTwo">
        <sch:assert test="date:year(normalize-space(date:add(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(&apos;-P3M&apos;)))) != date:year(normalize-space(date:add(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;-P3M&apos;))))" id="a_N052b.0" diagnostics="errorCode.N052b.0 transactional.N052b.0 transactional.en.N052b.0 transactional.cy.N052b.0 ">[N052b] should not be present if [30] and [35] both fall within the same financial year</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p71">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:CorporationTax">
        <sch:assert test="(math:abs((.) - (sum(../ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Details/ct:Tax) + sum(../ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Details/ct:Tax))) &lt; 0.001)" id="a_F046.0" diagnostics="errorCode.F046.0 transactional.F046.0 transactional.en.F046.0 transactional.cy.F046.0 ">[430] should equal the sum all iterations of [345] plus all iterations of [395]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p72">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:MarginalReliefForRingFenceTrades">
        <sch:assert test=". &lt; sum(../ct:CorporationTax)" id="a_F047.4" diagnostics="errorCode.F047.4 transactional.F047.4 transactional.en.F047.4 transactional.cy.F047.4 ">[435] should be less than [430]</sch:assert>
        <sch:assert test="../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;" id="a_F047.1" diagnostics="errorCode.F047.1 transactional.F047.1 transactional.en.F047.1 transactional.cy.F047.1 ">[135] should equal 'yes' if [435] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p73">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable">
        <sch:assert test="(math:abs((.) - ((sum(../ct:CorporationTax) - sum(../ct:MarginalReliefForRingFenceTrades)))) &lt; 0.001)" id="a_F220.3" diagnostics="errorCode.F220.3 transactional.F220.3 transactional.en.F220.3 transactional.cy.F220.3 ">[440] should equal [430] minus [435]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p75">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:CommunityInvestmentRelief">
        <sch:assert test=". &lt;= ../../ct:NetCorporationTaxChargeable" id="a_F202.0" diagnostics="errorCode.F202.0 transactional.F202.0 transactional.en.F202.0 transactional.cy.F202.0 ">[445] should not exceed [440]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p76">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:DoubleTaxation/ct:DoubleTaxationRelief">
        <sch:assert test="((.) - ((../../../ct:NetCorporationTaxChargeable - sum(../../ct:CommunityInvestmentRelief))) &lt; 0.001)" id="a_F048.0" diagnostics="errorCode.F048.0 transactional.F048.0 transactional.en.F048.0 transactional.cy.F048.0 ">[450] should not exceed [440] minus [445]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p77">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:DoubleTaxation/ct:UnderlyingRate">
        <sch:assert test="sum(../ct:DoubleTaxationRelief) &gt; 0" id="a_F214.0" diagnostics="errorCode.F214.0 transactional.F214.0 transactional.en.F214.0 transactional.cy.F214.0 ">[450] should exceed 0 if [455] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p78">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:DoubleTaxation/ct:AmountCarriedBack">
        <sch:assert test="sum(../ct:DoubleTaxationRelief) &gt; 0" id="a_F186.0" diagnostics="errorCode.F186.0 transactional.F186.0 transactional.en.F186.0 transactional.cy.F186.0 ">[450] should exceed 0 if [460] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p79">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:AdvancedCorporationTax">
        <sch:assert test="((.) - ((../../ct:NetCorporationTaxChargeable - (sum(../ct:CommunityInvestmentRelief) + sum(../ct:DoubleTaxation/ct:DoubleTaxationRelief)))) &lt; 0.001)" id="a_F049.0" diagnostics="errorCode.F049.0 transactional.F049.0 transactional.en.F049.0 transactional.cy.F049.0 ">[465] should not exceed [440] minus ( [445] plus [450] )</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p80">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions">
        <sch:assert test="(math:abs((.) - ((sum(../ct:CommunityInvestmentRelief) + sum(../ct:DoubleTaxation/ct:DoubleTaxationRelief) + sum(../ct:AdvancedCorporationTax)))) &lt; 0.001)" id="a_F051.0" diagnostics="errorCode.F051.0 transactional.F051.0 transactional.en.F051.0 transactional.cy.F051.0 ">[470] should equal the sum of [445], [450] and [465]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p74">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions">
        <sch:assert test="not(ct:CommunityInvestmentRelief) or ct:TotalReliefsAndDeductions" id="a_F051.4" diagnostics="errorCode.F051.4 transactional.F051.4 transactional.en.F051.4 transactional.cy.F051.4 ">[470] should be present if [445] is present</sch:assert>
        <sch:assert test="not(ct:DoubleTaxation/ct:DoubleTaxationRelief) or ct:TotalReliefsAndDeductions" id="a_F051.5" diagnostics="errorCode.F051.5 transactional.F051.5 transactional.en.F051.5 transactional.cy.F051.5 ">[470] should be present if [450] is present</sch:assert>
        <sch:assert test="not( ct:AdvancedCorporationTax) or ct:TotalReliefsAndDeductions" id="a_F051.6" diagnostics="errorCode.F051.6 transactional.F051.6 transactional.en.F051.6 transactional.cy.F051.6 ">[470] should be present if [465] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p28">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CompanyTaxCalculation">
        <sch:assert test="not(../ct:TonnageTax/ct:TonnageTax/ct:OffshoreTrainingAllowance/ct:OffsetAgainstCorpTax)
              or
                (
                  ct:TaxReliefsAndDeductions/ct:DoubleTaxation/ct:DoubleTaxationRelief
                and
                  ((sum(ct:TaxReliefsAndDeductions/ct:DoubleTaxation/ct:DoubleTaxationRelief)) - (sum(../ct:TonnageTax/ct:TonnageTax/ct:OffshoreTrainingAllowance/ct:OffsetAgainstCorpTax)) &gt; -0.001)
                )" id="a_N041.1" diagnostics="errorCode.N041.1 transactional.N041.1 transactional.en.N041.1 transactional.cy.N041.1 ">If [F45] is present then [450] must be present and greater than or equal to [F45]</sch:assert>
        <sch:assert test="not(ct:ChargeableProfits &gt; 0) or ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Year" id="a_N002.10" diagnostics="errorCode.N002.10 transactional.N002.10 transactional.en.N002.10 transactional.cy.N002.10 ">[330] should be present if [315] exceeds 0</sch:assert>
        <sch:assert test="not(ct:CorporationTaxChargeable/ct:FinancialYearOne/ct:Details/ct:Tax or ct:CorporationTaxChargeable/ct:FinancialYearTwo/ct:Details/ct:Tax) or ct:CorporationTax" id="a_N002.11" diagnostics="errorCode.N002.11 transactional.N002.11 transactional.en.N002.11 transactional.cy.N002.11 ">[430] should be present if [345] or [395] is present.</sch:assert>
        <sch:assert test="not(sum(ct:ProfitsBeforeOtherDeductions) &gt; 0) or ct:ChargesAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief" id="a_N041.2" diagnostics="errorCode.N041.2 transactional.N041.2 transactional.en.N041.2 transactional.cy.N041.2 ">[300] should be present if [235] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p82">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:NetCorporationTaxLiability">
        <sch:assert test="(math:abs((.) - ((../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable - sum(../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions)))) &lt; 0.001)" id="a_F052.1" diagnostics="errorCode.F052.1 transactional.F052.1 transactional.en.F052.1 transactional.cy.F052.1 ">[475] should equal [440] minus [470]</sch:assert>
        <sch:assert test="not(../ct:TaxChargeable) or (math:abs((sum(../ct:TaxChargeable)) - (((.) + sum(../ct:LoansToParticipators) + sum(../ct:CFCandBankLevyTotal) + sum(../ct:SupplementaryCharge)))) &lt; 0.001)" id="a_F093.1" diagnostics="errorCode.F093.1 transactional.F093.1 transactional.en.F093.1 transactional.cy.F093.1 ">If [475] is present then [510] should equal the sum of [475], [480], [500] and [505]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p83">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:LoansToParticipators">
        <sch:assert test="not(((../../@ReturnType = &apos;new&apos;) and not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600A = &apos;yes&apos;)) and (.))" id="a_F097.0" diagnostics="errorCode.F097.0 transactional.F097.0 transactional.en.F097.0 transactional.cy.F097.0 ">[480] should not be present if [N003] equals 'new' and [95] does not equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p84">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:CT600AreliefDue">
        <sch:assert test="../ct:LoansToParticipators" id="a_F096.0" diagnostics="errorCode.F096.0 transactional.F096.0 transactional.en.F096.0 transactional.cy.F096.0 ">[480] should be present if [485] is present</sch:assert>
        <sch:assert test="not(
                  (../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600A = &apos;yes&apos;) and not(../../ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:ReliefDue)
                ) or (
                  not((.) = &apos;yes&apos;)
                )" id="a_F096.1" diagnostics="errorCode.F096.1 transactional.F096.1 transactional.en.F096.1 transactional.cy.F096.1 ">If [95] equals 'yes' and [A70] is absent then [485] should not equal 'yes'</sch:assert>
        <sch:assert test="not(
                  (../../@ReturnType = &apos;new&apos;) and not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600A = &apos;yes&apos;)
                ) or (
                  not((.))
                )" id="a_F096.2" diagnostics="errorCode.F096.2 transactional.F096.2 transactional.en.F096.2 transactional.cy.F096.2 ">If [N003] equals 'new' and [95] does not equal 'yes' then [485] must not equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p85">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:CFCtaxPayable">
        <sch:assert test="not((../../@ReturnType = &apos;new&apos;) and (not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600B = &apos;yes&apos;)))" id="a_F098a.0" diagnostics="errorCode.F098a.0 transactional.F098a.0 transactional.en.F098a.0 transactional.cy.F098a.0 ">[490] should not be present if [N003] equals 'new' and [100] does not equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p86">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:CFCandBankLevyTotal">
        <sch:assert test="(math:abs((.) - ((sum(../ct:CFCtaxPayable) + sum(../ct:BankLevyPayable) + sum(../ct:BankSurchargePayable)))) &lt; 0.001)" id="a_F098.1" diagnostics="errorCode.F098.1 transactional.F098.1 transactional.en.F098.1 transactional.cy.F098.1 ">[500] should equal [490] plus [495] plus [496].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p87">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge">
        <sch:assert test="not(((../../@ReturnType = &apos;new&apos;) and (not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;))) and (.))" id="a_F203.1" diagnostics="errorCode.F203.1 transactional.F203.1 transactional.en.F203.1 transactional.cy.F203.1 ">[505] should not be present if [N003] equals 'new' and [135] does not equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p88">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxChargeable">
        <sch:assert test="../ct:NetCorporationTaxLiability or (math:abs((.) - (((../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable - sum(../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions)) + sum(../ct:LoansToParticipators) + sum(../ct:CFCandBankLevyTotal) + sum(../ct:SupplementaryCharge)))) &lt; 0.001)" id="a_F093.2" diagnostics="errorCode.F093.2 transactional.F093.2 transactional.en.F093.2 transactional.cy.F093.2 ">If [475] is absent then [510] should equal the sum of [440], [480], [500] and [505] minus [470]</sch:assert>
        <sch:assert test="not(../ct:IncomeTax/ct:TaxRepayable) or (math:abs((sum(../ct:IncomeTax/ct:TaxRepayable)) - ((sum(../ct:IncomeTax/ct:DeductedIncomeTax) - (.)))) &lt; 0.001)" id="a_F055.1" diagnostics="errorCode.F055.1 transactional.F055.1 transactional.en.F055.1 transactional.cy.F055.1 ">If [510] is present then [520] should equal [515] minus [510]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p89">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:IncomeTax/ct:TaxRepayable">
        <sch:assert test="../../ct:TaxChargeable or (math:abs(((.)) - ((sum(../ct:DeductedIncomeTax) + sum(../../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions) - (../../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable + sum(../../ct:LoansToParticipators) + sum(../../ct:CFCandBankLevyTotal) + sum(../../ct:SupplementaryCharge))))) &lt; 0.001)" id="a_F055.2" diagnostics="errorCode.F055.2 transactional.F055.2 transactional.en.F055.2 transactional.cy.F055.2 ">If [510] is absent then [520] should equal [515] plus [470] minus the sum of [440], [480], [500] and [505]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p90">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable">
        <sch:assert test="not(../ct:TaxChargeable) or ((((sum(../ct:TaxChargeable) - sum(../ct:IncomeTax/ct:DeductedIncomeTax))) - (0) &gt; -0.001) and (math:abs((.) - ((sum(../ct:TaxChargeable) - sum(../ct:IncomeTax/ct:DeductedIncomeTax)))) &lt; 0.001)) or ((((sum(../ct:TaxChargeable) - sum(../ct:IncomeTax/ct:DeductedIncomeTax))) - (0) &lt;= -0.001) and (. = 0))" id="a_F163.0" diagnostics="errorCode.F163.0 transactional.F163.0 transactional.en.F163.0 transactional.cy.F163.0 ">If [510] is present then [525] should equal [510] minus [515], where the result is equal to or greater than zero. Enter 0.00 if [510] minus [515] is negative</sch:assert>
        <sch:assert test="../ct:TaxChargeable or ((((../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable + sum(../ct:LoansToParticipators) + sum(../ct:CFCandBankLevyTotal) + sum(../ct:SupplementaryCharge) - (sum(../ct:IncomeTax/ct:DeductedIncomeTax) + sum(../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions)))) - (0) &gt; -0.001) and (math:abs((.) - ((../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable + sum(../ct:LoansToParticipators) + sum(../ct:CFCandBankLevyTotal) + sum(../ct:SupplementaryCharge) - (sum(../ct:IncomeTax/ct:DeductedIncomeTax) + sum(../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions))))) &lt; 0.001)) or ((((../../ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable + sum(../ct:LoansToParticipators) + sum(../ct:CFCandBankLevyTotal) + sum(../ct:SupplementaryCharge) - (sum(../ct:IncomeTax/ct:DeductedIncomeTax) + sum(../../ct:CompanyTaxCalculation/ct:TaxReliefsAndDeductions/ct:TotalReliefsAndDeductions)))) - (0) &lt;= -0.001) and (. = 0))" id="a_F163.1" diagnostics="errorCode.F163.1 transactional.F163.1 transactional.en.F163.1 transactional.cy.F163.1 ">If [510] is absent then [525] should equal the sum of [440], [480], [500] and [505] minus ( [515] plus [470] ), where the result is equal to or greater than zero. Enter 0.00 if that sum is negative.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p91">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:RestitutionTax">
        <sch:assert test="not(../../@ReturnType = &apos;new&apos;) or ../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600K = &apos;yes&apos;" id="a_F236.0" diagnostics="errorCode.F236.0 transactional.F236.0 transactional.en.F236.0 transactional.cy.F236.0 ">[527] should not be present if [N003] equals 'new' and [141] does not equal 'yes'.</sch:assert>
        <sch:assert test="../../ct:RestitutionTax/ct:TaxCalculation/ct:RestitutionTaxNowPayable or ../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600K = &apos;yes&apos; or (math:abs((.) - (0)) &lt; 0.001)" id="a_F236.1" diagnostics="errorCode.F236.1 transactional.F236.1 transactional.en.F236.1 ">If [K35] is not submitted and [141] is not equal to 'yes' then [527] must equal zero.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p92">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayableIncludingRestitutionTax">
        <sch:assert test="(math:abs((.) - ((../ct:TaxPayable + sum(../ct:RestitutionTax)))) &lt; 0.001)" id="a_F237.0" diagnostics="errorCode.F237.0 transactional.F237.0 transactional.en.F237.0 transactional.cy.F237.0 ">[528] should equal [525] plus [527].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p81">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CalculationOfTaxOutstandingOrOverpaid">
        <sch:assert test="not(sum(ct:CFCtaxPayable) &gt; 0) or ct:CFCandBankLevyTotal" id="a_F050.0" diagnostics="errorCode.F050.0 transactional.F050.0 transactional.en.F050.0 transactional.cy.F050.0 ">[500] should be present if [490] exceeds 0</sch:assert>
        <sch:assert test="not(sum(ct:BankLevyPayable) &gt; 0) or ct:CFCandBankLevyTotal" id="a_F050.1" diagnostics="errorCode.F050.1 transactional.F050.1 transactional.en.F050.1 transactional.cy.F050.1 ">[500] should be present if [495] exceeds 0</sch:assert>
        <sch:assert test="not(ct:NetCorporationTaxLiability) or ct:TaxChargeable" id="a_F050.2" diagnostics="errorCode.F050.2 transactional.F050.2 transactional.en.F050.2 transactional.cy.F050.2 ">[510] should be present if [475] is present</sch:assert>
        <sch:assert test="not(ct:LoansToParticipators) or ct:TaxChargeable" id="a_F050.3" diagnostics="errorCode.F050.3 transactional.F050.3 transactional.en.F050.3 transactional.cy.F050.3 ">[510] should be present if [480] is present</sch:assert>
        <sch:assert test="not(ct:CFCandBankLevyTotal) or ct:TaxChargeable" id="a_F050.4" diagnostics="errorCode.F050.4 transactional.F050.4 transactional.en.F050.4 transactional.cy.F050.4 ">[510] should be present if [500] is present</sch:assert>
        <sch:assert test="not(ct:SupplementaryCharge) or ct:TaxChargeable" id="a_F050.5" diagnostics="errorCode.F050.5 transactional.F050.5 transactional.en.F050.5 transactional.cy.F050.5 ">[510] should be present if [505] is present</sch:assert>
        <sch:assert test="not(sum(ct:BankSurchargePayable) &gt; 0) or ct:CFCandBankLevyTotal" id="a_F050.6" diagnostics="errorCode.F050.6 transactional.F050.6 transactional.en.F050.6 transactional.cy.F050.6 ">[500] should be present if [496] exceeds 0.</sch:assert>
        <sch:assert test="not(ct:RestitutionTax) or ct:TaxPayableIncludingRestitutionTax" id="a_F050.7" diagnostics="errorCode.F050.7 transactional.F050.7 transactional.en.F050.7 transactional.cy.F050.7 ">[528] should be present if [527] is present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p94">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:VaccineCredit">
        <sch:assert test="not((.))" id="a_F179b.0" diagnostics="errorCode.F179b.0 transactional.F179b.0 transactional.en.F179b.0 ">[535] must not be used.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p95">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit">
        <sch:assert test="(math:abs((.) - ((sum(../ct:ResearchAndDevelopmentCredit) + sum(../ct:VaccineCredit) + sum(../ct:CreativeCredit)))) &lt; 0.001)" id="a_F179.0" diagnostics="errorCode.F179.0 transactional.F179.0 transactional.en.F179.0 transactional.cy.F179.0 ">[545] should equal the sum of [530], [535] and [540]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p96">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:LandOrLifeCredit">
        <sch:assert test="(math:abs((.) - ((sum(../ct:LandRemediationCredit) + sum(../ct:LifeAssuranceCompanyCredit)))) &lt; 0.001)" id="a_F184.0" diagnostics="errorCode.F184.0 transactional.F184.0 transactional.en.F184.0 transactional.cy.F184.0 ">[560] should equal [550] plus [555]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p97">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable">
        <sch:assert test="(((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) - ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable) - (0) &lt;= -0.001) and (. = 0)) or (((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) - ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable) - (0) &gt; -0.001) and (math:abs((.) - (sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) - ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable)) &lt; 0.001))" id="a_F180.0" diagnostics="errorCode.F180.0 transactional.F180.0 transactional.en.F180.0 transactional.cy.F180.0 ">[570] must equal [545] minus [525], where the result is equal to or greater than zero. Enter 0.00 if [545] minus [525] is negative</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p98">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:LandOrLifeCreditPayable">
        <sch:assert test="(((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) - (../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable))) - (0) &lt;= -0.001) and (. = 0)) or (((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) - (../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable))) - (0) &gt; -0.001) and (math:abs((.) - (sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) - (../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable)))) &lt; 0.001))" id="a_F185.0" diagnostics="errorCode.F185.0 transactional.F185.0 transactional.en.F185.0 transactional.cy.F185.0 ">[575] must equal ( [545] plus [560] ) minus ( [525] plus [570] ), where the result is equal to or greater than zero. Enter 0.00 if ( [545] plus [560] ) minus ( [525] plus [570] ) is negative</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:LandOrLifeCredit)" id="a_F185.3" diagnostics="errorCode.F185.3 transactional.F185.3 transactional.en.F185.3 transactional.cy.F185.3 ">[575] should not exceed [560]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p99">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:CapitalAllowancesFirstYearCreditPayable">
        <sch:assert test=". &lt;= sum(../ct:CapitalAllowancesFirstYearCredit)" id="a_F815.1" diagnostics="errorCode.F815.1 transactional.F815.1 transactional.en.F815.1 transactional.cy.F815.1 ">[580] should not exceed [565]</sch:assert>
        <sch:assert test="(((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) + sum(../ct:CapitalAllowancesFirstYearCredit) - ( ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable) + sum(../ct:LandOrLifeCreditPayable) )) - (0) &lt;= -0.001) and ((.) = 0)) or (((sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) + sum(../ct:CapitalAllowancesFirstYearCredit) - ( ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable) + sum(../ct:LandOrLifeCreditPayable) )) - (0) &gt; -0.001) and (math:abs((.) - (sum(../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../ct:LandOrLifeCredit) + sum(../ct:CapitalAllowancesFirstYearCredit) - ( ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable + sum(../ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable) + sum(../ct:LandOrLifeCreditPayable) ))) &lt; 0.001))" id="a_F815.2" diagnostics="errorCode.F815.2 transactional.F815.2 transactional.en.F815.2 transactional.cy.F815.2 ">[580] should equal the sum of [545], [560] and [565] minus the sum of [525], [570] and [575], where the result is equal to or greater than zero. Enter 0.00 if the sum of [545], [560] and [565] minus the sum of [525], [570] and [575] is negative.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p100">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded">
        <sch:assert test="not(((../../@ReturnType = &apos;new&apos;) and (not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;))) and (.))" id="a_F221.1" diagnostics="errorCode.F221.1 transactional.F221.1 transactional.en.F221.1 transactional.cy.F221.1 ">[585] should not be present if [N003] equals 'new' and [135] does not equal 'yes'</sch:assert>
        <sch:assert test=". &lt;= ../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable" id="a_F221.2" diagnostics="errorCode.F221.2 transactional.F221.2 transactional.en.F221.2 transactional.cy.F221.2 ">[585] should not exceed [525]</sch:assert>
        <sch:assert test="not(../../@ReturnType = &apos;new&apos;)
                or  (../../ct:RingFenceTrade/ct:NetRingFenceTrade/ct:RingFenceCorpTaxIncluded and (sum(../../ct:RingFenceTrade/ct:NetRingFenceTrade/ct:RingFenceCorpTaxIncluded) = .))" id="a_F221.3" diagnostics="errorCode.F221.3 transactional.F221.3 transactional.en.F221.3 transactional.cy.F221.3 ">If [585] is present and [N003] is 'new' then [I80] must be present and equal to [585].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p101">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:NIcorporationTaxIncluded">
        <sch:assert test="../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity" id="a_F242.0" diagnostics="errorCode.F242.0 transactional.F242.0 transactional.en.F242.0 ">If [586] is present then [5] must be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p102">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded">
        <sch:assert test=". &lt;= sum(../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge)" id="a_F227.1" diagnostics="errorCode.F227.1 transactional.F227.1 transactional.en.F227.1 transactional.cy.F227.1 ">[590] should not exceed [505]</sch:assert>
        <sch:assert test="not(((../../@ReturnType = &apos;new&apos;) and (not(../../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;))) and (.))" id="a_F227.0" diagnostics="errorCode.F227.0 transactional.F227.0 transactional.en.F227.0 transactional.cy.F227.0 ">[590] should not be present if [N003] equals 'new' and [135] does not equal 'yes'</sch:assert>
        <sch:assert test="not(../../@ReturnType = &apos;new&apos;)
                or  (../../ct:RingFenceTrade/ct:NetRingFenceTrade/ct:SupplementaryChargeTax and (sum(../../ct:RingFenceTrade/ct:NetRingFenceTrade/ct:SupplementaryChargeTax) = .))" id="a_F227.3" diagnostics="errorCode.F227.3 transactional.F227.3 transactional.en.F227.3 transactional.cy.F227.3 ">If [590] is present and [N003] equals 'new' then [I85] should be present and equal to [590]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p104">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:TaxOutstandingOrOverpaid/ct:TaxOutstanding">
        <sch:assert test="((../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable - (sum(../../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../../ct:LandOrLifeCredit) + sum(../../ct:CapitalAllowancesFirstYearCredit) + sum(../../ct:TaxAlreadyPaid))) - (0) &gt; -0.001) and (math:abs((.) - (../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable - (sum(../../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../../ct:LandOrLifeCredit) + sum(../../ct:CapitalAllowancesFirstYearCredit) + sum(../../ct:TaxAlreadyPaid)))) &lt; 0.001)" id="a_F060.0" diagnostics="errorCode.F060.0 transactional.F060.0 transactional.en.F060.0 transactional.cy.F060.0 ">[600] must equal [525] minus the sum of [545], [560], [565] and [595], where the result is equal to or greater than zero. Must not be present if [525] minus the sum of [545], [560], [565] and [595] is negative</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p105">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:TaxOutstandingOrOverpaid/ct:TaxOverpaid">
        <sch:assert test="((sum(../../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../../ct:LandOrLifeCredit) + sum(../../ct:CapitalAllowancesFirstYearCredit) + sum(../../ct:TaxAlreadyPaid) - ../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable) - (0) &gt; -0.001) and (math:abs((.) - (sum(../../ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit) + sum(../../ct:LandOrLifeCredit) + sum(../../ct:CapitalAllowancesFirstYearCredit) + sum(../../ct:TaxAlreadyPaid) - ../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable)) &lt; 0.001)" id="a_F061.0" diagnostics="errorCode.F061.0 transactional.F061.0 transactional.en.F061.0 transactional.cy.F061.0 ">[605] must equal the sum of [545], [560], [565] and [595] minus [525], where the result is equal to or greater than zero. Must not be present if the sum of [545], [560], [565] and [595] minus [525] is negative</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p103">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation/ct:TaxOutstandingOrOverpaid">
        <sch:assert test="not(ct:TaxOutstanding)
                      or
                    not(ct:TaxOverpaid)
                      or
                    (ct:TaxOutstanding = 0 and ct:TaxOverpaid = 0 )" id="a_N059b.0" diagnostics="errorCode.N059b.0 transactional.N059b.0 transactional.en.N059b.0 transactional.cy.N059b.0 ">[600] and [605] should not both be present unless both are zero</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p93">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxReconciliation">
        <sch:assert test="not(ct:ResearchAndDevelopmentCredit) or ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit" id="a_N059.0" diagnostics="errorCode.N059.0 transactional.N059.0 transactional.en.N059.0 transactional.cy.N059.0 ">[545] should be present if [530] is present</sch:assert>
        <sch:assert test="not(ct:VaccineCredit) or ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit" id="a_N059.1" diagnostics="errorCode.N059.1 transactional.N059.1 transactional.en.N059.1 transactional.cy.N059.1 ">[545] should be present if [535] is present</sch:assert>
        <sch:assert test="not(ct:CreativeCredit) or ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit" id="a_N059.2" diagnostics="errorCode.N059.2 transactional.N059.2 transactional.en.N059.2 transactional.cy.N059.2 ">[545] should be present if [540] is present</sch:assert>
        <sch:assert test="not(ct:LandRemediationCredit) or ct:LandOrLifeCredit" id="a_N059.3" diagnostics="errorCode.N059.3 transactional.N059.3 transactional.en.N059.3 transactional.cy.N059.3 ">[560] should be present if [550] is present</sch:assert>
        <sch:assert test="not(ct:LifeAssuranceCompanyCredit) or ct:LandOrLifeCredit" id="a_N059.4" diagnostics="errorCode.N059.4 transactional.N059.4 transactional.en.N059.4 transactional.cy.N059.4 ">[560] should be present if [555] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p107">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:SMEclaim">
        <sch:assert test="not((.) = &quot;yes&quot;) 
                or (sum(../ct:RandDAndCreativeEnhancedExpenditure) &gt; 0)
                or (sum(../ct:SMEclaimAsLargeCompany) &gt; 0)
                or (sum(../ct:VaccineResearch) &gt; 0)" id="a_F204.1" diagnostics="errorCode.F204.1 transactional.F204.1 transactional.en.F204.1 transactional.cy.F204.1 ">If [650] equals 'yes' then at least one of [670], [675] and [680] must be greater than 0</sch:assert>
        <sch:assert test="not((../ct:LargeCompanyClaim = &apos;yes&apos;) and (.))" id="a_F204.0" diagnostics="errorCode.F204.0 transactional.F204.0 transactional.en.F204.0 transactional.cy.F204.0 ">[650] should not be present if [655] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p108">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:LargeCompanyClaim">
        <sch:assert test="(not((.) = &apos;yes&apos;)) or (sum(../ct:RandDAndCreativeEnhancedExpenditure) &gt; 0) or (sum(../ct:VaccineResearch) &gt; 0)" id="a_F205.0" diagnostics="errorCode.F205.0 transactional.F205.0 transactional.en.F205.0 transactional.cy.F205.0 ">If [655] equals 'yes' then at least one of [670] and [680] should be greater than 0</sch:assert>
        <sch:assert test="not((../ct:SMEclaim = &apos;yes&apos;) and (.))" id="a_F205.3" diagnostics="errorCode.F205.3 transactional.F205.3 transactional.en.F205.3 transactional.cy.F205.3 ">[655] should not be present if [650] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p109">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:RandDEnhancedExpenditure">
        <sch:assert test="../ct:SMEclaim = &apos;yes&apos; or ../ct:LargeCompanyClaim = &apos;yes&apos;" id="a_F181a.0" diagnostics="errorCode.F181a.0 transactional.F181a.0 transactional.en.F181a.0 transactional.cy.F181a.0 ">If [660] is present then [650] should equal 'yes' or [655] should equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p110">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:RandDAndCreativeEnhancedExpenditure">
        <sch:assert test="(math:abs((.) - ((sum(../ct:RandDEnhancedExpenditure) + sum(../ct:CreativeEnhancedExpenditure)))) &lt; 0.001)" id="a_F181.0" diagnostics="errorCode.F181.0 transactional.F181.0 transactional.en.F181.0 transactional.cy.F181.0 ">[670] should equal [660] plus [665]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p111">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:SMEclaimAsLargeCompany">
        <sch:assert test="../ct:SMEclaim = &apos;yes&apos;" id="a_F207.1" diagnostics="errorCode.F207.1 transactional.F207.1 transactional.en.F207.1 transactional.cy.F207.1 ">[650] should equal 'yes' if [675] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p112">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure/ct:VaccineResearch">
        <sch:assert test="(../ct:SMEclaim = &apos;yes&apos;) or (../ct:LargeCompanyClaim = &apos;yes&apos;)" id="a_F206.0" diagnostics="errorCode.F206.0 transactional.F206.0 transactional.en.F206.0 transactional.cy.F206.0 ">If [680] is present then [650] should equal 'yes' or [655] should equal 'yes'</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_F206.1" diagnostics="errorCode.F206.1 transactional.F206.1 transactional.en.F206.1 ">[680] should not be present if [30] is on or after '2017-04-01'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p106">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:EnhancedExpenditure">
        <sch:assert test="not(ct:RandDEnhancedExpenditure) or ct:RandDAndCreativeEnhancedExpenditure" id="a_N061.0" diagnostics="errorCode.N061.0 transactional.N061.0 transactional.en.N061.0 transactional.cy.N061.0 ">[670] should be present if [660] is present</sch:assert>
        <sch:assert test="not(ct:CreativeEnhancedExpenditure) or ct:RandDAndCreativeEnhancedExpenditure" id="a_N061.1" diagnostics="errorCode.N061.1 transactional.N061.1 transactional.en.N061.1 transactional.cy.N061.1 ">[670] should be present if [665] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p114">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AllowancesAndCharges/ct:BusinessPremisesRenovationIncluded">
        <sch:assert test="not((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_F222.0" diagnostics="errorCode.F222.0 transactional.F222.0 transactional.en.F222.0 ">[715/720] should not be present if [30] is on or after '2017-04-01'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p113">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AllowancesAndCharges">
        <sch:assert test="(
                (((sum(ct:AIACapitalAllowancesInc) + sum(../ct:NotIncluded/ct:AIACapitalAllowancesNotInc))) - (( (
  ceiling(
    (
  number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
   number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
  (
    (
      number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (round(date:seconds(normalize-space(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;)))) div 86400) - round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (round(date:seconds(normalize-space(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;)))) div 86400) - round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))
    ) + (
      number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
      (round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) - round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
      (round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) - round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))
    )
  ) * 500000
    div
      (366 -
  number(
    (
      (
        (round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))
      and
        (round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))
      )
      or
      (
        (round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))
      and
        (round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))
      )
    )
    or ((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) - round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)) + 1 &lt; 366)
  ))

    )
  )
  +
  ceiling(
    (
  number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
   (
    (
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      (round(date:seconds(normalize-space(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;)))) div 86400) - round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (round(date:seconds(normalize-space(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;)))) div 86400) - round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))
    )  ) * 200000
    div
      (366 -
  number(
    (
      (
        (round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))
      and
        (round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))
      )
      or
      (
        (round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))
      and
        (round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))
      )
    )
    or ((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) - round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)) + 1 &lt; 366)
  ))

    )
  )
)
)) &lt; 0.001)
              )
                or
              (
                (
                  date:day-in-month(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) = 1 and date:day-in-month(normalize-space(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1DT12H&apos;)))) = 1
                )
                  and
                (
                  (((sum(ct:AIACapitalAllowancesInc) + sum(../ct:NotIncluded/ct:AIACapitalAllowancesNotInc))) - (((
  ceiling(
    (
  number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
   number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
  (
    (
      number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (12 * (date:year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:year(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) + date:month-in-year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:month-in-year(../ct:CompanyInformation/ct:PeriodCovered/ct:From))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (12 * (date:year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:year(&apos;2015-04-01&apos;)) + date:month-in-year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:month-in-year(&apos;2015-04-01&apos;))
    ) + (
      number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
      (12 * (date:year(&apos;2016-01-01&apos;) - date:year(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) + date:month-in-year(&apos;2016-01-01&apos;) - date:month-in-year(../ct:CompanyInformation/ct:PeriodCovered/ct:From))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
      (12 * (date:year(&apos;2016-01-01&apos;) - date:year(&apos;2015-04-01&apos;)) + date:month-in-year(&apos;2016-01-01&apos;) - date:month-in-year(&apos;2015-04-01&apos;))
    )
  ) * 500000
    div
    12
    )
  )
  +
  ceiling(
    (
  number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
   (
    (
      number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
      (12 * (date:year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:year(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) + date:month-in-year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:month-in-year(../ct:CompanyInformation/ct:PeriodCovered/ct:From))
    ) + (
      number((round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
      (12 * (date:year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:year(&apos;2016-01-01&apos;)) + date:month-in-year(date:add(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To),normalize-space(&apos;P1D&apos;))) - date:month-in-year(&apos;2016-01-01&apos;))
    )  ) * 200000
    div
    12
    )
  )
)
)) &lt; 0.001)
                ) 
              )" id="a_N062.1" diagnostics="errorCode.N062.1 transactional.N062.1 transactional.en.N062.1 transactional.cy.N062.1 ">The sum of [690] and [735] must not exceed the apportioned AIA limit (see Appendix C)</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p115">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NotIncluded/ct:BusinessPremisesRenovationNotIncluded">
        <sch:assert test="not((round(date:seconds(normalize-space(&apos;2017-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_F224.0" diagnostics="errorCode.F224.0 transactional.F224.0 transactional.en.F224.0 ">[740/745] should not be present if [30] is on or after '2017-04-01'.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p116">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesUK/ct:SurrenderMaximum">
        <sch:assert test="sum(../ct:Arising) &gt; 0" id="a_SurrenderMaximum.1" diagnostics="errorCode.SurrenderMaximum.1 transactional.SurrenderMaximum.1 transactional.en.SurrenderMaximum.1 transactional.cy.SurrenderMaximum.1 ">If there is an entry in the second box of the arising and maximum pair, there must be an entry greater than zero in the first box of the pair.</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:Arising)" id="a_SurrenderMaximum.2" diagnostics="errorCode.SurrenderMaximum.2 transactional.SurrenderMaximum.2 transactional.en.SurrenderMaximum.2 transactional.cy.SurrenderMaximum.2 ">If there is an entry in the second box of the pair, it must not be greater than the entry in the first box of the pair.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p117">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LossesDeficitsAndExcess/ct:AmountArising/ct:Loans/ct:SurrenderMaximum">
        <sch:assert test="sum(../ct:Arising) &gt; 0" id="a_SurrenderMaximum.1.0" diagnostics="errorCode.SurrenderMaximum.1.0 transactional.SurrenderMaximum.1.0 transactional.en.SurrenderMaximum.1.0 transactional.cy.SurrenderMaximum.1.0 ">If there is an entry in the second box of the arising and maximum pair, there must be an entry greater than zero in the first box of the pair.</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:Arising)" id="a_SurrenderMaximum.2.0" diagnostics="errorCode.SurrenderMaximum.2.0 transactional.SurrenderMaximum.2.0 transactional.en.SurrenderMaximum.2.0 transactional.cy.SurrenderMaximum.2.0 ">If there is an entry in the second box of the pair, it must not be greater than the entry in the first box of the pair.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p118">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LossesDeficitsAndExcess/ct:AmountArising/ct:UKpropertyBusinessLosses/ct:SurrenderMaximum">
        <sch:assert test="sum(../ct:Arising) &gt; 0" id="a_SurrenderMaximum.1.1" diagnostics="errorCode.SurrenderMaximum.1.1 transactional.SurrenderMaximum.1.1 transactional.en.SurrenderMaximum.1.1 transactional.cy.SurrenderMaximum.1.1 ">If there is an entry in the second box of the arising and maximum pair, there must be an entry greater than zero in the first box of the pair.</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:Arising)" id="a_SurrenderMaximum.2.1" diagnostics="errorCode.SurrenderMaximum.2.1 transactional.SurrenderMaximum.2.1 transactional.en.SurrenderMaximum.2.1 transactional.cy.SurrenderMaximum.2.1 ">If there is an entry in the second box of the pair, it must not be greater than the entry in the first box of the pair.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p119">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LossesDeficitsAndExcess/ct:AmountArising/ct:NonTradingLossesIntangibles/ct:SurrenderMaximum">
        <sch:assert test="sum(../ct:Arising) &gt; 0" id="a_SurrenderMaximum.1.2" diagnostics="errorCode.SurrenderMaximum.1.2 transactional.SurrenderMaximum.1.2 transactional.en.SurrenderMaximum.1.2 transactional.cy.SurrenderMaximum.1.2 ">If there is an entry in the second box of the arising and maximum pair, there must be an entry greater than zero in the first box of the pair.</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:Arising)" id="a_SurrenderMaximum.2.2" diagnostics="errorCode.SurrenderMaximum.2.2 transactional.SurrenderMaximum.2.2 transactional.en.SurrenderMaximum.2.2 transactional.cy.SurrenderMaximum.2.2 ">If there is an entry in the second box of the pair, it must not be greater than the entry in the first box of the pair.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p120">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LossesDeficitsAndExcess/ct:ExcessAmounts/ct:ManagementExpenses/ct:SurrenderMaximum">
        <sch:assert test="sum(../ct:Arising) &gt; 0" id="a_SurrenderMaximum.1.3" diagnostics="errorCode.SurrenderMaximum.1.3 transactional.SurrenderMaximum.1.3 transactional.en.SurrenderMaximum.1.3 transactional.cy.SurrenderMaximum.1.3 ">If there is an entry in the second box of the arising and maximum pair, there must be an entry greater than zero in the first box of the pair.</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:Arising)" id="a_SurrenderMaximum.2.3" diagnostics="errorCode.SurrenderMaximum.2.3 transactional.SurrenderMaximum.2.3 transactional.en.SurrenderMaximum.2.3 transactional.cy.SurrenderMaximum.2.3 ">If there is an entry in the second box of the pair, it must not be greater than the entry in the first box of the pair.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p122">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIrelandInformation/ct:NIagainstUK">
        <sch:assert test="../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief" id="a_F243.0" diagnostics="errorCode.F243.0 transactional.F243.0 transactional.en.F243.0 ">If [856] is present, [310] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p123">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIrelandInformation/ct:NIagainstNI">
        <sch:assert test="../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief" id="a_F244.0" diagnostics="errorCode.F244.0 transactional.F244.0 transactional.en.F244.0 ">If [857] is present, [310] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p124">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIrelandInformation/ct:UKagainstNI">
        <sch:assert test="../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief" id="a_F245.0" diagnostics="errorCode.F245.0 transactional.F245.0 transactional.en.F245.0 ">If [858] is present, [310] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p121">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIrelandInformation">
        <sch:assert test="(round(date:seconds(normalize-space(&apos;2050-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_N203.0" diagnostics="errorCode.N203.0 transactional.N203.0 transactional.en.N203.0 ">If [N203] is present then [35] must be on or after '2050-04-01'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p125">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:RepaymentsForThePeriodCoveredByThisReturn/ct:IncomeTax">
        <sch:assert test=". = sum(../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:IncomeTax/ct:TaxRepayable)" id="a_N070.1" diagnostics="errorCode.N070.1 transactional.N070.1 transactional.en.N070.1 transactional.cy.N070.1 ">[870] should equal [520]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p126">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:RepaymentsForThePeriodCoveredByThisReturn/ct:CreativeCredit">
        <sch:assert test=". &lt;= sum(../../../ct:TaxReconciliation/ct:SurplusResearchAndDevelopmentCreditsOrCreativeCreditPayable)" id="a_N072.2" diagnostics="errorCode.N072.2 transactional.N072.2 transactional.en.N072.2 transactional.cy.N072.2 ">[885] should not exceed [570]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p127">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:RepaymentsForThePeriodCoveredByThisReturn/ct:LandRemediationCredit">
        <sch:assert test=". = sum(../../../ct:TaxReconciliation/ct:LandOrLifeCreditPayable)" id="a_N073.0" diagnostics="errorCode.N073.0 transactional.N073.0 transactional.en.N073.0 transactional.cy.N073.0 ">[890] should equal [575]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p128">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:RepaymentsForThePeriodCoveredByThisReturn/ct:PayableCapitalAllowancesFirstYearCredit">
        <sch:assert test=". = sum(../../../ct:TaxReconciliation/ct:CapitalAllowancesFirstYearCreditPayable)" id="a_N074.0" diagnostics="errorCode.N074.0 transactional.N074.0 transactional.en.N074.0 transactional.cy.N074.0 ">[895] should equal [580]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p129">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:Surrender/ct:JointNotice/ct:Attached">
        <sch:assert test="../../../../ct:AttachedFiles/ct:Attachment" id="a_N078.1" diagnostics="errorCode.N078.1 transactional.N078.1 transactional.en.N078.1 transactional.cy.N078.1 ">[N106] should be present if [905] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p130">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:OverpaymentsAndRepayments/ct:Surrender/ct:StopUntilNotice">
        <sch:assert test=". &lt;= ../ct:Amount" id="a_N080.1" diagnostics="errorCode.N080.1 transactional.N080.1 transactional.en.N080.1 transactional.cy.N080.1 ">[915] should not exceed [900]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p133">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoansInformation/ct:TotalLoans">
        <sch:assert test="(math:abs((.) - (sum(../ct:Loan/ct:AmountOfLoan))) &lt; 0.001)" id="a_SA012.0" diagnostics="errorCode.SA012.0 transactional.SA012.0 transactional.en.SA012.0 transactional.cy.SA012.0 ">[A15] should equal the sum of all iterations of [A10B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p134">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoansInformation/ct:TaxChargeable">
        <sch:assert test="((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400)))
              or
            (math:abs((.) - (round((../ct:TotalLoans * (    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
     number((round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400))) *
    0.25

+
    number((round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
    0.325
)) * 100) div 100)) &lt; 0.001)" id="a_SA014.0" diagnostics="errorCode.SA014.0 transactional.SA014.0 transactional.en.SA014.0 ">If [LOANS-PARTICIPATOR-RATE] does not change in the period [30] to [35] inclusive: [A20] should equal [A15] at [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.25 * 100) div 100) &gt; -0.001)" id="a_SA014.1" diagnostics="errorCode.SA014.1 transactional.SA014.1 transactional.en.SA014.1 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A20] should be at least ([A15] at the lowest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards).</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.325 * 100) div 100) &lt; 0.001)" id="a_SA014.2" diagnostics="errorCode.SA014.2 transactional.SA014.2 transactional.en.SA014.2 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A20] should be at most [A15] at the highest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p132">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoansInformation">
        <sch:assert test="count(ct:Loan) &lt;= 999" id="a_LOAN.0" diagnostics="errorCode.LOAN.0 transactional.LOAN.0 transactional.en.LOAN.0 transactional.cy.LOAN.0 ">The group [LOAN] may occur up to 999 times</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p137">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:Loan/ct:Date">
        <sch:assert test="(round(date:seconds(normalize-space(date:add(normalize-space((.)),normalize-space(&apos;-P9M1D&apos;)))) div 86400) &lt; round(date:seconds(normalize-space(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_SA018.0" diagnostics="errorCode.SA018.0 transactional.SA018.0 transactional.en.SA018.0 transactional.cy.SA018.0 ">[A25D] must be before nine months and one day after [35]. If [35] is on the last day of the month, [A25D] must be before the first day of the month ten months after [35].</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space((.))) div 86400))" id="a_SA018.1" diagnostics="errorCode.SA018.1 transactional.SA018.1 transactional.en.SA018.1 transactional.cy.SA018.1 ">[A25D] should be after [35]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p136">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:Loan">
        <sch:assert test="(sum(ct:AmountRepaid) &gt; 0) or (sum(ct:AmountReleasedOrWrittenOff) &gt; 0)" id="a_LOAN2.2" diagnostics="errorCode.LOAN2.2 transactional.LOAN2.2 transactional.en.LOAN2.2 transactional.cy.LOAN2.2 ">Within each iteration of [A25] at least one of [A25B] and [A25C] should be greater than 0</sch:assert>
        <sch:assert test="../../ct:LoansInformation" id="a_LOAN2.0" diagnostics="errorCode.LOAN2.0 transactional.LOAN2.0 transactional.en.LOAN2.0 transactional.cy.LOAN2.0 ">[LOANSINFORMATION] should be present if [A25] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p138">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:TotalAmountRepaid">
        <sch:assert test="(math:abs((.) - (sum(../ct:Loan/ct:AmountRepaid))) &lt; 0.001)" id="a_SA039.0" diagnostics="errorCode.SA039.0 transactional.SA039.0 transactional.en.SA039.0 transactional.cy.SA039.0 ">[A30] should equal the sum of all iterations of [A25B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p139">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:TotalAmountReleasedOrWritten">
        <sch:assert test="(math:abs((.) - (sum(../ct:Loan/ct:AmountReleasedOrWrittenOff))) &lt; 0.001)" id="a_SA040.0" diagnostics="errorCode.SA040.0 transactional.SA040.0 transactional.en.SA040.0 transactional.cy.SA040.0 ">[A35] should equal the sum of all iterations of [A25C]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p140">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:TotalLoans">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TotalAmountRepaid) + sum(../ct:TotalAmountReleasedOrWritten)))) &lt; 0.001)" id="a_SA042.0" diagnostics="errorCode.SA042.0 transactional.SA042.0 transactional.en.SA042.0 transactional.cy.SA042.0 ">[A40] should equal [A30] plus [A35]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p141">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan/ct:ReliefDue">
        <sch:assert test=". &lt;= sum(../../ct:LoansInformation/ct:TaxChargeable)" id="a_SA043.1" diagnostics="errorCode.SA043.1 transactional.SA043.1 transactional.en.SA043.1 transactional.cy.SA043.1 ">[A45] should not exceed [A20]</sch:assert>
        <sch:assert test="((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400)))
              or
            (math:abs((.) - (round((../ct:TotalLoans * (    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
     number((round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400))) *
    0.25

+
    number((round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
    0.325
)) * 100) div 100)) &lt; 0.001)" id="a_SA043.0" diagnostics="errorCode.SA043.0 transactional.SA043.0 transactional.en.SA043.0 ">If [LOANS-PARTICIPATOR-RATE] does not change in the period [30] to [35] inclusive: [A45] should equal [A40] at [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.25 * 100) div 100) &gt; -0.001)" id="a_SA043.2" diagnostics="errorCode.SA043.2 transactional.SA043.2 transactional.en.SA043.2 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A45] should be at least [A40] at the lowest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.325 * 100) div 100) &lt; 0.001)" id="a_SA043.3" diagnostics="errorCode.SA043.3 transactional.SA043.3 transactional.en.SA043.3 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A45] should be at most [A40] at the highest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p135">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:ReliefEarlierThan">
        <sch:assert test="count(ct:Loan) &lt;= 999" id="a_LOAN2.1" diagnostics="errorCode.LOAN2.1 transactional.LOAN2.1 transactional.en.LOAN2.1 transactional.cy.LOAN2.1 ">[A25] may occur up to 999 times</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p144">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:Loan/ct:Date">
        <sch:assert test="(round(date:seconds(normalize-space(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt;= round(date:seconds(normalize-space(date:add(normalize-space((.)),normalize-space(&apos;-P9M1D&apos;)))) div 86400))" id="a_SA051.0" diagnostics="errorCode.SA051.0 transactional.SA051.0 transactional.en.SA051.0 transactional.cy.SA051.0 ">Must be after the date nine months after [35]. If [35] is on the last day of the month, [A50D] must be later than the last day of the month nine months after [35].</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(.)) div 86400) &lt;= round(date:seconds(normalize-space(date:date())) div 86400))" id="a_SA051.1" diagnostics="errorCode.SA051.1 transactional.SA051.1 transactional.en.SA051.1 transactional.cy.SA051.1 ">[A50D] cannot be later than today</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p143">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:Loan">
        <sch:assert test="(sum(ct:AmountRepaid) &gt; 0) or (sum(ct:AmountReleasedOrWrittenOff) &gt; 0)" id="a_LOAN3.1" diagnostics="errorCode.LOAN3.1 transactional.LOAN3.1 transactional.en.LOAN3.1 transactional.cy.LOAN3.1 ">Within each iteration of [A50], at least one of [A50B] and [A50C] should be greater than 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p145">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:TotalAmountRepaid">
        <sch:assert test="(math:abs((.) - (sum(../ct:Loan/ct:AmountRepaid))) &lt; 0.001)" id="a_SA072.0" diagnostics="errorCode.SA072.0 transactional.SA072.0 transactional.en.SA072.0 transactional.cy.SA072.0 ">[A55] should equal the sum of all iterations of [A50B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p146">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:TotalAmountReleasedOrWritten">
        <sch:assert test="(math:abs((.) - (sum(../ct:Loan/ct:AmountReleasedOrWrittenOff))) &lt; 0.001)" id="a_SA073.0" diagnostics="errorCode.SA073.0 transactional.SA073.0 transactional.en.SA073.0 transactional.cy.SA073.0 ">[A60] should equal the sum of all iterations of [A50C]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p147">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:TotalLoans">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TotalAmountRepaid) + sum(../ct:TotalAmountReleasedOrWritten)))) &lt; 0.001)" id="a_SA075.0" diagnostics="errorCode.SA075.0 transactional.SA075.0 transactional.en.SA075.0 transactional.cy.SA075.0 ">[A65] should equal [A55] plus [A60]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p148">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow/ct:ReliefDue">
        <sch:assert test=". &lt;= sum(../../ct:LoansInformation/ct:TaxChargeable)" id="a_SA076.1" diagnostics="errorCode.SA076.1 transactional.SA076.1 transactional.en.SA076.1 transactional.cy.SA076.1 ">[A70] should not exceed [A20]</sch:assert>
        <sch:assert test="../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:CT600AreliefDue = &apos;yes&apos;" id="a_SA076.2" diagnostics="errorCode.SA076.2 transactional.SA076.2 transactional.en.SA076.2 transactional.cy.SA076.2 ">[485] should be 'yes' if [A70] is greater than 0</sch:assert>
        <sch:assert test="((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400)))
              or
            (math:abs((.) - (round((../ct:TotalLoans * (    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
     number((round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400))) *
    0.25

+
    number((round(date:seconds(normalize-space(&apos;2016-04-06&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To))) div 86400))) *
    0.325
)) * 100) div 100)) &lt; 0.001)" id="a_SA076.0" diagnostics="errorCode.SA076.0 transactional.SA076.0 transactional.en.SA076.0 ">If [LOANS-PARTICIPATOR-RATE] does not change in the period [30] to [35] inclusive: [A70] should equal [A65] at [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.25 * 100) div 100) &gt; -0.001)" id="a_SA076.3" diagnostics="errorCode.SA076.3 transactional.SA076.3 transactional.en.SA076.3 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A70] should be at least [A65] at the lowest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2016-04-05&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
                or
              ((.) - (round(../ct:TotalLoans * 0.325 * 100) div 100) &lt; 0.001)" id="a_SA076.4" diagnostics="errorCode.SA076.4 transactional.SA076.4 transactional.en.SA076.4 ">If [LOANS-PARTICIPATOR-RATE] changes in the period [30] to [35] inclusive: [A70] should be at most [A65] at the highest value of [LOANS-PARTICIPATOR-RATE] for that period, rounded to the nearest penny, with half-penny rounding upwards.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p142">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:LoanLaterReliefNow">
        <sch:assert test="count(ct:Loan) &lt;= 999" id="a_LOAN3.0" diagnostics="errorCode.LOAN3.0 transactional.LOAN3.0 transactional.en.LOAN3.0 transactional.cy.LOAN3.0 ">[A50] may occur up to 999 times</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p149">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies/ct:TaxPayable">
        <sch:assert test="(math:abs((.) - ((sum(../ct:LoansInformation/ct:TaxChargeable) - (sum(../ct:ReliefEarlierThan/ct:ReliefDue) + sum(../ct:LoanLaterReliefNow/ct:ReliefDue))))) &lt; 0.001)" id="a_SA078.0" diagnostics="errorCode.SA078.0 transactional.SA078.0 transactional.en.SA078.0 transactional.cy.SA078.0 ">[A80] should equal [A20] minus ( [A45] plus [A70] )</sch:assert>
        <sch:assert test="../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:LoansToParticipators and sum(../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:LoansToParticipators) = (.)" id="a_SA078.1" diagnostics="errorCode.SA078.1 transactional.SA078.1 transactional.en.SA078.1 transactional.cy.SA078.1 ">[480] should be present and equal to [A80] if [A80] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p131">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:LoansByCloseCompanies">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600A = &apos;yes&apos;" id="a_N095.0" diagnostics="errorCode.N095.0 transactional.N095.0 transactional.en.N095.0 transactional.cy.N095.0 ">[95] should equal 'yes' if [N095] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p151">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:CompanyInformation/ct:CFCTaxCalculation/ct:CFCchargeDue">
        <sch:assert test="(math:abs((.) - ((../ct:TaxOnChargeable - (sum(../ct:CreditableTax) + sum(../ct:ReliefsInTaxTerms) + sum(../ct:ACTrestricted))))) &lt; 0.001)" id="a_SB010.0" diagnostics="errorCode.SB010.0 transactional.SB010.0 transactional.en.SB010.0 transactional.cy.SB010.0 ">[B5J] should equal [B5F] minus the sum of [B5G], [B5H] and [B5I]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p152">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:TotalTaxChargeable">
        <sch:assert test="(math:abs(((.)) - (sum(../ct:CompanyInformation/ct:CFCTaxCalculation/ct:TaxOnChargeable))) &lt; 0.001)" id="a_SB121.0" diagnostics="errorCode.SB121.0 transactional.SB121.0 transactional.en.SB121.0 transactional.cy.SB121.0 ">[B10] should equal the sum of all entries in [B5F]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p153">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:TotalCreditableTax">
        <sch:assert test="(math:abs(((.)) - (sum(../ct:CompanyInformation/ct:CFCTaxCalculation/ct:CreditableTax))) &lt; 0.001)" id="a_SB122.0" diagnostics="errorCode.SB122.0 transactional.SB122.0 transactional.en.SB122.0 transactional.cy.SB122.0 ">[B15] should equal the sum of all entries in [B5G]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p154">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:TotalReliefInTaxTerms">
        <sch:assert test="(math:abs(((.)) - (sum(../ct:CompanyInformation/ct:CFCTaxCalculation/ct:ReliefsInTaxTerms))) &lt; 0.001)" id="a_SB123.0" diagnostics="errorCode.SB123.0 transactional.SB123.0 transactional.en.SB123.0 transactional.cy.SB123.0 ">[B20] should equal the sum of all entries in [B5H]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p155">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:TotalACTrestricted">
        <sch:assert test="(math:abs(((.)) - (sum(../ct:CompanyInformation/ct:CFCTaxCalculation/ct:ACTrestricted))) &lt; 0.001)" id="a_SB124.0" diagnostics="errorCode.SB124.0 transactional.SB124.0 transactional.en.SB124.0 transactional.cy.SB124.0 ">[B25] should equal the sum of all entries in [B5I]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p156">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies/ct:TotalCFCtaxChargeble">
        <sch:assert test="(math:abs(((.)) - (sum(../ct:CompanyInformation/ct:CFCTaxCalculation/ct:CFCchargeDue))) &lt; 0.001)" id="a_SB125.1" diagnostics="errorCode.SB125.1 transactional.SB125.1 transactional.en.SB125.1 transactional.cy.SB125.1 ">[B30] should equal the sum of all entries in [B5J]</sch:assert>
        <sch:assert test="../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:CFCtaxPayable
            and
          (math:abs(((.)) - (../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:CFCtaxPayable)) &lt; 0.001)" id="a_SB125.2" diagnostics="errorCode.SB125.2 transactional.SB125.2 transactional.en.SB125.2 transactional.cy.SB125.2 ">[490] should be present and equal to [B30] if [B30] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p150">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:ControlledForeignCompanies">
        <sch:assert test="sum(ct:CompanyInformation/ct:CFCTaxCalculation/ct:TaxOnChargeable) = 0 
          or 
          ct:TotalTaxChargeable" id="a_CT600B.0" diagnostics="errorCode.CT600B.0 transactional.CT600B.0 transactional.en.CT600B.0 transactional.cy.CT600B.0 ">[B10] should be present if the sum of all iterations of [B5F] is greater than zero</sch:assert>
        <sch:assert test="not(ct:CompanyInformation/ct:CFCTaxCalculation/ct:CreditableTax) or ct:TotalCreditableTax" id="a_CT600B.1" diagnostics="errorCode.CT600B.1 transactional.CT600B.1 transactional.en.CT600B.1 transactional.cy.CT600B.1 ">[B15] should be present if [B5G] is present</sch:assert>
        <sch:assert test="not(ct:CompanyInformation/ct:CFCTaxCalculation/ct:ReliefsInTaxTerms) or ct:TotalReliefInTaxTerms" id="a_CT600B.2" diagnostics="errorCode.CT600B.2 transactional.CT600B.2 transactional.en.CT600B.2 transactional.cy.CT600B.2 ">[B20] should be present if [B5H] is present</sch:assert>
        <sch:assert test="not(ct:CompanyInformation/ct:CFCTaxCalculation/ct:ACTrestricted) or ct:TotalACTrestricted" id="a_CT600B.3" diagnostics="errorCode.CT600B.3 transactional.CT600B.3 transactional.en.CT600B.3 transactional.cy.CT600B.3 ">[B25] should be present if [B5I] is present</sch:assert>
        <sch:assert test="not(ct:CompanyInformation/ct:CFCTaxCalculation) or ct:TotalCFCtaxChargeble" id="a_CT600B.4" diagnostics="errorCode.CT600B.4 transactional.CT600B.4 transactional.en.CT600B.4 transactional.cy.CT600B.4 ">[B30] should be present if [SB010b] is present</sch:assert>
        <sch:assert test="ct:CompanyInformation or ct:ForeignPermanentEstablishmentExemption" id="a_CT600B.5" diagnostics="errorCode.CT600B.5 transactional.CT600B.5 transactional.en.CT600B.5 ">If [N096] is present, then at least one of [COMPANYINFORMATIONPAGEB] or [B35] should be present.</sch:assert>
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600B = &apos;yes&apos;" id="a_N096.0" diagnostics="errorCode.N096.0 transactional.N096.0 transactional.en.N096.0 transactional.cy.N096.0 ">[100] should equal 'yes' if [N096] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p159">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:CompanyInformation/ct:Company/ct:AccountingPeriod">
        <sch:assert test="(round(date:seconds(normalize-space(ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_SC002.2" diagnostics="errorCode.SC002.2 transactional.SC002.2 transactional.en.SC002.2 transactional.cy.SC002.2 ">The 'From' date of [C5B] should be on or before [35]</sch:assert>
        <sch:assert test="translate(date:add(normalize-space(string(ct:To)),normalize-space(&apos;-P12M&apos;)),&apos;-&apos;,&apos;&apos;) &lt; translate(ct:From,&apos;-&apos;,&apos;&apos;)" id="a_SC002.3" diagnostics="errorCode.SC002.3 transactional.SC002.3 transactional.en.SC002.3 transactional.cy.SC002.3 ">The period covered by [C5B] should not be longer than 12 months</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(ct:From)) div 86400)))" id="a_SC002.4" diagnostics="errorCode.SC002.4 transactional.SC002.4 transactional.en.SC002.4 transactional.cy.SC002.4 ">The 'To' date of [C5B] should not be before the 'From' date</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_SC002.5" diagnostics="errorCode.SC002.5 transactional.SC002.5 transactional.en.SC002.5 transactional.cy.SC002.5 ">The 'To' date of [C5B] should be on or after [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p160">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:CompanyInformation/ct:TotalAmountClaimed">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief and (math:abs((sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief)) - ((.))) &lt; 0.001)" id="a_SC021.0" diagnostics="errorCode.SC021.0 transactional.SC021.0 transactional.en.SC021.0 transactional.cy.SC021.0 ">[310] should be present and equal to [C10] if [C10] is present</sch:assert>
        <sch:assert test="(math:abs((.) - (sum(../ct:Company/ct:AmountClaimed))) &lt; 0.001)" id="a_SC021.1" diagnostics="errorCode.SC021.1 transactional.SC021.1 transactional.en.SC021.1 transactional.cy.SC021.1 ">[C10] should equal the sum of all iterations of [C5D]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p161">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:ClaimToGroupRelief/ct:ClaimAuthorisation/ct:CopyOfNoticesOfConsentAttached">
        <sch:assert test="count(../../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;other&apos; and @Format=&apos;pdf&apos;]) &gt; 0" id="a_SC161.1" diagnostics="errorCode.SC161.1 transactional.SC161.1 transactional.en.SC161.1 transactional.cy.SC161.1 ">If [SC161] is 'yes' then there must be a PDF attachment of type 'other' in this submission.</sch:assert>
        <sch:assert test="((sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief)) - (0) &gt;= 0.001)" id="a_SC161.2" diagnostics="errorCode.SC161.2 transactional.SC161.2 transactional.en.SC161.2 transactional.cy.SC161.2 ">[310] should exceed 0 if [SC161] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p158">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:ClaimToGroupRelief">
        <sch:assert test="ct:ClaimAuthorisation
              or
            not((.)) 
              or
            not(../../@ReturnType = &apos;new&apos;)" id="a_CLAIMTOGROUPRELIEF.0" diagnostics="errorCode.CLAIMTOGROUPRELIEF.0 transactional.CLAIMTOGROUPRELIEF.0 transactional.en.CLAIMTOGROUPRELIEF.0 transactional.cy.CLAIMTOGROUPRELIEF.0 ">[CLAIMAUTHORISATION] should be present if [N003] equals 'new' and [CLAIMTOGROUPRELIEF] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p162">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:NItradingLosses">
        <sch:assert test="../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity" id="a_SC197.0" diagnostics="errorCode.SC197.0 transactional.SC197.0 transactional.en.SC197.0 ">If [C46] is present then [5] must be present</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:TradingLosses)" id="a_SC197.1" diagnostics="errorCode.SC197.1 transactional.SC197.1 transactional.en.SC197.1 ">[C46] must not exceed [C45]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p163">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:TotalSurrender">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TradingLosses) + sum(../ct:ExcessNonTrading) + sum(../ct:NonTradingDeficit) + sum(../ct:NonTradingLossesOnIntangibleFixedAssets) + sum(../ct:ExcessDonations) + sum(../ct:ExcessLosses) + sum(../ct:ExcessManagementExpenses)))) &lt; 0.001)" id="a_SC032.0" diagnostics="errorCode.SC032.0 transactional.SC032.0 transactional.en.SC032.0 transactional.cy.SC032.0 ">[C80] should equal the sum of [C45], [C50], [C55], [C75], [C60], [C65] and [C70]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p164">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:SurrenderInformation/ct:Company/ct:AccountingPeriod">
        <sch:assert test="(round(date:seconds(normalize-space(ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_SC034.2" diagnostics="errorCode.SC034.2 transactional.SC034.2 transactional.en.SC034.2 transactional.cy.SC034.2 ">The 'From' date of [C85B] should be on or before [35]</sch:assert>
        <sch:assert test="translate(date:add(normalize-space(string(ct:To)),normalize-space(&apos;-P12M&apos;)),&apos;-&apos;,&apos;&apos;) &lt; translate(ct:From,&apos;-&apos;,&apos;&apos;)" id="a_SC034.3" diagnostics="errorCode.SC034.3 transactional.SC034.3 transactional.en.SC034.3 transactional.cy.SC034.3 ">The period covered by [C85B] should not be longer than 12 months</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(ct:From)) div 86400)))" id="a_SC034.4" diagnostics="errorCode.SC034.4 transactional.SC034.4 transactional.en.SC034.4 transactional.cy.SC034.4 ">The 'To' date of [C85B] should not be before the 'From' date</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_SC034.5" diagnostics="errorCode.SC034.5 transactional.SC034.5 transactional.en.SC034.5 transactional.cy.SC034.5 ">The 'To' date of [C85B] should be on or after [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p165">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:SurrenderInformation/ct:AmountSurrenderedTotal">
        <sch:assert test="(math:abs((.) - (sum(../ct:Company/ct:AmountSurrendered))) &lt; 0.001)" id="a_SC061.1" diagnostics="errorCode.SC061.1 transactional.SC061.1 transactional.en.SC061.1 transactional.cy.SC061.1 ">[C90] should equal the sum of all iterations of [C85D]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p166">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:ConsentOptions/ct:SimplifiedArrangementInForce">
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC150.0" diagnostics="errorCode.SC150.0 transactional.SC150.0 transactional.en.SC150.0 transactional.cy.SC150.0 ">[C90] should exceed 0 if [SC150] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p167">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:ConsentOptions/ct:NoticeOfConsentCompleted">
        <sch:assert test="../../ct:Declaration" id="a_SC151.0" diagnostics="errorCode.SC151.0 transactional.SC151.0 transactional.en.SC151.0 transactional.cy.SC151.0 ">[DECLARATION] should be present if [SC151] is present</sch:assert>
        <sch:assert test="not(../ct:CopyOfNoticesOfConsentAttached)" id="a_SC151.3" diagnostics="errorCode.SC151.3 transactional.SC151.3 transactional.en.SC151.3 transactional.cy.SC151.3 ">[SC151] should not be present if [SC152] is present</sch:assert>
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC151.4" diagnostics="errorCode.SC151.4 transactional.SC151.4 transactional.en.SC151.4 transactional.cy.SC151.4 ">[C90] should exceed 0 if [SC151] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p168">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:ConsentOptions/ct:CopyOfNoticesOfConsentAttached">
        <sch:assert test="not(../../ct:Declaration and (.))" id="a_SC152.0" diagnostics="errorCode.SC152.0 transactional.SC152.0 transactional.en.SC152.0 transactional.cy.SC152.0 ">[SC152] should not be present if [DECLARATION] is present</sch:assert>
        <sch:assert test="count(../../../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;other&apos; and @Format=&apos;pdf&apos;]) &gt; 0" id="a_SC152.1" diagnostics="errorCode.SC152.1 transactional.SC152.1 transactional.en.SC152.1 transactional.cy.SC152.1 ">If [SC152] is 'yes' then there must be a PDF attachment of type 'other' in this submission</sch:assert>
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC152.2" diagnostics="errorCode.SC152.2 transactional.SC152.2 transactional.en.SC152.2 transactional.cy.SC152.2 ">[C90] should exceed 0 if [SC152] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p169">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:Declaration/ct:CompanyName">
        <sch:assert test="../../../../../ct:CompanyInformation/ct:CompanyName = (.)" id="a_SC153.0" diagnostics="errorCode.SC153.0 transactional.SC153.0 transactional.en.SC153.0 transactional.cy.SC153.0 ">[C95] should equal [1]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p170">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:Declaration/ct:TaxReference">
        <sch:assert test=". = ../../../../../ct:CompanyInformation/ct:Reference" id="a_SC154.1" diagnostics="errorCode.SC154.1 transactional.SC154.1 transactional.en.SC154.1 transactional.cy.SC154.1 ">[C100] should equal [3]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p171">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupRelief/ct:ConsentToSurrender/ct:Declaration/ct:AccountingPeriod">
        <sch:assert test="normalize-space(ct:From) = normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From) and normalize-space(ct:To) = normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)" id="a_SC155.1" diagnostics="errorCode.SC155.1 transactional.SC155.1 transactional.en.SC155.1 transactional.cy.SC155.1 ">The 'From' and 'To' dates of [C105/C110] should equal [30] and [35] respectively</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p173">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:CompanyInformation/ct:Company/ct:AccountingPeriod">
        <sch:assert test="(round(date:seconds(normalize-space(ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_SC167.2" diagnostics="errorCode.SC167.2 transactional.SC167.2 transactional.en.SC167.2 transactional.cy.SC167.2 ">The 'From' date of [C125B] should be on or before [35]</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(date:add(normalize-space(ct:To),normalize-space(&apos;-P12M&apos;)))) div 86400) &lt;= round(date:seconds(normalize-space(date:add(normalize-space(ct:From),normalize-space(&apos;-P1D&apos;)))) div 86400))" id="a_SC167.3" diagnostics="errorCode.SC167.3 transactional.SC167.3 transactional.en.SC167.3 transactional.cy.SC167.3 ">The period covered by [C125B] should not be longer than 12 months</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(ct:From)) div 86400)))" id="a_SC167.4" diagnostics="errorCode.SC167.4 transactional.SC167.4 transactional.en.SC167.4 transactional.cy.SC167.4 ">The 'To' date of [C125B] should not be before the 'From' date</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_SC167.5" diagnostics="errorCode.SC167.5 transactional.SC167.5 transactional.en.SC167.5 transactional.cy.SC167.5 ">The 'To' date of [C125B] should be on or after [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p174">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:CompanyInformation/ct:TotalAmountClaimed">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses and (math:abs((sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses)) - ((.))) &lt; 0.001)" id="a_SC170.0" diagnostics="errorCode.SC170.0 transactional.SC170.0 transactional.en.SC170.0 transactional.cy.SC170.0 ">[312] should be present and equal to [C130] if [C130] is present.</sch:assert>
        <sch:assert test="(math:abs((.) - (sum(../ct:Company/ct:AmountClaimed))) &lt; 0.001)" id="a_SC170.1" diagnostics="errorCode.SC170.1 transactional.SC170.1 transactional.en.SC170.1 transactional.cy.SC170.1 ">[C130] should equal the sum of all iterations of [C125D]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p175">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses/ct:ClaimAuthorisation/ct:CopyOfNoticesOfConsentAttached">
        <sch:assert test="count(../../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;other&apos; and @Format=&apos;pdf&apos;]) &gt; 0" id="a_SC172.1" diagnostics="errorCode.SC172.1 transactional.SC172.1 transactional.en.SC172.1 transactional.cy.SC172.1 ">If [SC172] is 'yes' then there must be a PDF attachment of type 'other' in this submission.</sch:assert>
        <sch:assert test="((sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses)) - (0) &gt;= 0.001)" id="a_SC172.2" diagnostics="errorCode.SC172.2 transactional.SC172.2 transactional.en.SC172.2 transactional.cy.SC172.2 ">[312] should exceed 0 if [SC172] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p172">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:GroupReliefForCarriedForwardLosses">
        <sch:assert test="ct:ClaimAuthorisation
              or
            not((.)) 
              or
            not(../../@ReturnType = &apos;new&apos;)" id="a_GROUPRELIEFCFL.0" diagnostics="errorCode.GROUPRELIEFCFL.0 transactional.GROUPRELIEFCFL.0 transactional.en.GROUPRELIEFCFL.0 transactional.cy.GROUPRELIEFCFL.0 ">[CLAIMAUTHORISATION2] should be present if [N003] equals 'new' and [GROUPRELIEFCFL] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p176">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:NItradingLosses">
        <sch:assert test="../../../ct:CompanyInformation/ct:NorthernIreland/ct:NItradingActivity" id="a_SC198.0" diagnostics="errorCode.SC198.0 transactional.SC198.0 transactional.en.SC198.0 ">If [C161] is present then [5] must be present</sch:assert>
        <sch:assert test=". &lt;= sum(../ct:TradingLosses)" id="a_SC198.1" diagnostics="errorCode.SC198.1 transactional.SC198.1 transactional.en.SC198.1 ">[C161] must not exceed [C160]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p177">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:TotalSurrender">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TradingLosses) + sum(../ct:NonTradingDeficit) + sum(../ct:UKpropertyBusinessLosses) + sum(../ct:ManagementExpenses) + sum(../ct:NonTradingDeficitsOnIntangibleFixedAssets)))) &lt; 0.001)" id="a_SC182.0" diagnostics="errorCode.SC182.0 transactional.SC182.0 transactional.en.SC182.0 transactional.cy.SC182.0 ">[C185] should equal the sum of [C160], [C165], [C170], [C175] and [C180]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p178">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:SurrenderInformation/ct:Company/ct:AccountingPeriod">
        <sch:assert test="(round(date:seconds(normalize-space(ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))" id="a_SC184.2" diagnostics="errorCode.SC184.2 transactional.SC184.2 transactional.en.SC184.2 transactional.cy.SC184.2 ">The 'From' date of [C190B] should be on or before [35]</sch:assert>
        <sch:assert test="(round(date:seconds(normalize-space(date:add(normalize-space(ct:To),normalize-space(&apos;-P12M&apos;)))) div 86400) &lt;= round(date:seconds(normalize-space(date:add(normalize-space(ct:From),normalize-space(&apos;-P1D&apos;)))) div 86400))" id="a_SC184.3" diagnostics="errorCode.SC184.3 transactional.SC184.3 transactional.en.SC184.3 transactional.cy.SC184.3 ">The period covered by [C190B] should not be longer than 12 months</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(ct:From)) div 86400)))" id="a_SC184.4" diagnostics="errorCode.SC184.4 transactional.SC184.4 transactional.en.SC184.4 transactional.cy.SC184.4 ">The 'To' date of [C190B] should not be before the 'From' date</sch:assert>
        <sch:assert test="not((round(date:seconds(normalize-space(ct:To)) div 86400) &lt; round(date:seconds(normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400)))" id="a_SC184.5" diagnostics="errorCode.SC184.5 transactional.SC184.5 transactional.en.SC184.5 transactional.cy.SC184.5 ">The 'To' date of [C190B] should be on or after [30]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p179">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:SurrenderInformation/ct:AmountSurrenderedTotal">
        <sch:assert test="(math:abs((.) - (sum(../ct:Company/ct:AmountSurrendered))) &lt; 0.001)" id="a_SC187.0" diagnostics="errorCode.SC187.0 transactional.SC187.0 transactional.en.SC187.0 transactional.cy.SC187.0 ">[C195] should equal the sum of all iterations of [C190D]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p180">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:ConsentOptions/ct:SimplifiedArrangementInForce">
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC188.0" diagnostics="errorCode.SC188.0 transactional.SC188.0 transactional.en.SC188.0 transactional.cy.SC188.0 ">[C195] should exceed 0 if [SC188] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p181">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:ConsentOptions/ct:NoticeOfConsentCompleted">
        <sch:assert test="../../ct:Declaration" id="a_SC189.0" diagnostics="errorCode.SC189.0 transactional.SC189.0 transactional.en.SC189.0 transactional.cy.SC189.0 ">[DECLARATION2] should be present if [SC189] is present</sch:assert>
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC189.1" diagnostics="errorCode.SC189.1 transactional.SC189.1 transactional.en.SC189.1 transactional.cy.SC189.1 ">[C195] should exceed 0 if [SC189] is present</sch:assert>
        <sch:assert test="not(../ct:CopyOfNoticesOfConsentAttached)" id="a_SC189.2" diagnostics="errorCode.SC189.2 transactional.SC189.2 transactional.en.SC189.2 transactional.cy.SC189.2 ">[SC189] should not be present if [SC190] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p182">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:ConsentOptions/ct:CopyOfNoticesOfConsentAttached">
        <sch:assert test="not(../../ct:Declaration)" id="a_SC190.0" diagnostics="errorCode.SC190.0 transactional.SC190.0 transactional.en.SC190.0 transactional.cy.SC190.0 ">[SC190] should not be present if [DECLARATION2] is present</sch:assert>
        <sch:assert test="count(../../../../../ct:AttachedFiles/ct:Attachment[@Type=&apos;other&apos; and @Format=&apos;pdf&apos;]) &gt; 0" id="a_SC190.1" diagnostics="errorCode.SC190.1 transactional.SC190.1 transactional.en.SC190.1 transactional.cy.SC190.1 ">If [SC190] is 'yes' then there must be a PDF attachment of type 'other' in this submission.</sch:assert>
        <sch:assert test="((../../../ct:SurrenderInformation/ct:AmountSurrenderedTotal) - (0) &gt;= 0.001)" id="a_SC190.2" diagnostics="errorCode.SC190.2 transactional.SC190.2 transactional.en.SC190.2 transactional.cy.SC190.2 ">[C195] should exceed 0 if [SC190] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p183">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:Declaration/ct:CompanyName">
        <sch:assert test="../../../../../ct:CompanyInformation/ct:CompanyName = (.)" id="a_SC191.0" diagnostics="errorCode.SC191.0 transactional.SC191.0 transactional.en.SC191.0 transactional.cy.SC191.0 ">[C200] should equal [1]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p184">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:Declaration/ct:TaxReference">
        <sch:assert test="(.) = ../../../../../ct:CompanyInformation/ct:Reference" id="a_SC192.0" diagnostics="errorCode.SC192.0 transactional.SC192.0 transactional.en.SC192.0 transactional.cy.SC192.0 ">[C205] should equal [3]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p185">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium/ct:SurrenderedGroupReliefForCarriedForwardLosses/ct:ConsentToSurrender/ct:Declaration/ct:AccountingPeriod">
        <sch:assert test="normalize-space(ct:From) = normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From) and normalize-space(ct:To) = normalize-space(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)" id="a_SC193.1" diagnostics="errorCode.SC193.1 transactional.SC193.1 transactional.en.SC193.1 transactional.cy.SC193.1 ">The 'From' and 'To' dates of [C210/C215] should equal [30] and [35] respectively</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p157">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:GroupAndConsortium">
        <sch:assert test="ct:ClaimToGroupRelief
              or
            ct:SurrenderedGroupRelief
              or
            ct:GroupReliefForCarriedForwardLosses
              or
            ct:SurrenderedGroupReliefForCarriedForwardLosses" id="a_CT600C.0" diagnostics="errorCode.CT600C.0 transactional.CT600C.0 transactional.en.CT600C.0 transactional.cy.CT600C.0 ">At least one of [CLAIMTOGROUPRELIEF], [SURRENDEREDGROUPRELIEF], [GROUPRELIEFCFL] or [SURRGROUPRELIEFCFL] should be present</sch:assert>
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600C = &apos;yes&apos;" id="a_N097.0" diagnostics="errorCode.N097.0 transactional.N097.0 transactional.en.N097.0 transactional.cy.N097.0 ">[105] should equal 'yes' if [N097] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p186">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Insurance">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600D = &apos;yes&apos;" id="a_N098.0" diagnostics="errorCode.N098.0 transactional.N098.0 transactional.en.N098.0 transactional.cy.N098.0 ">[110] should equal 'yes' if [N098] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p188">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity/ct:InformationRequired/ct:Income/ct:Total">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TotalTurnover) + sum(../ct:InvestmentIncome) + sum(../ct:UKlandBuildings) + sum(../ct:GiftAid) + sum(../ct:OtherCharities) + sum(../ct:GiftsOfShares) + sum(../ct:GiftOfRealProperty) + sum(../ct:OtherSources)))) &lt; 0.001)" id="a_SE043.0" diagnostics="errorCode.SE043.0 transactional.SE043.0 transactional.en.SE043.0 transactional.cy.SE043.0 ">[E90] should equal the sum of [E50], [E55], [E60], [E65], [E70], [E75], [E80] and [E85]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p189">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity/ct:InformationRequired/ct:Expenditure/ct:TradingCosts">
        <sch:assert test="sum(../../ct:Income/ct:TotalTurnover) &gt; 0" id="a_SE023.0" diagnostics="errorCode.SE023.0 transactional.SE023.0 transactional.en.SE023.0 transactional.cy.SE023.0 ">[E50] should exceed 0 if [E95] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p190">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity/ct:InformationRequired/ct:Expenditure/ct:UKlandBuildings">
        <sch:assert test="sum(../../ct:Income/ct:UKlandBuildings) &gt; 0" id="a_SE024.0" diagnostics="errorCode.SE024.0 transactional.SE024.0 transactional.en.SE024.0 transactional.cy.SE024.0 ">[E60] should exceed 0 if [E100] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p191">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity/ct:InformationRequired/ct:Expenditure/ct:Total">
        <sch:assert test="(math:abs((.) - ((sum(../ct:TradingCosts) + sum(../ct:UKlandBuildings) + sum(../ct:GeneralAdminCosts) + sum(../ct:GrantsDonationsWithinUK) + sum(../ct:GrantsDonationsOutsideUK) + sum(../ct:OtherExpenditure)))) &lt; 0.001)" id="a_SE044.0" diagnostics="errorCode.SE044.0 transactional.SE044.0 transactional.en.SE044.0 transactional.cy.SE044.0 ">[E125] should equal the sum of [E95], [E100], [E105], [E110], [E115] and [E120]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p192">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity/ct:InformationRequired/ct:Assets/ct:InvestmentsOrLoans/ct:Qualifying">
        <sch:assert test="not(../ct:ValueOfNonQualifying and (.))" id="a_SE039.1" diagnostics="errorCode.SE039.1 transactional.SE039.1 transactional.en.SE039.1 transactional.cy.SE039.1 ">[E180] should not be present if [E185] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p187">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:Charity">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600E = &apos;yes&apos;" id="a_N099.0" diagnostics="errorCode.N099.0 transactional.N099.0 transactional.en.N099.0 transactional.cy.N099.0 ">[115] should equal 'yes' if [N099] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p196">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:TonnageGroup/ct:GroupElection">
        <sch:assert test="not((.) = &apos;yes&apos;) or ../ct:Name" id="a_SF001.1" diagnostics="errorCode.SF001.1 transactional.SF001.1 transactional.en.SF001.1 transactional.cy.SF001.1 ">[F10] should be present if [F5A/F5B] equals 'yes'</sch:assert>
        <sch:assert test="not((.) = &apos;yes&apos;) or ../../ct:GroupMetCharteredInLimit" id="a_SF001.2" diagnostics="errorCode.SF001.2 transactional.SF001.2 transactional.en.SF001.2 transactional.cy.SF001.2 ">[F25A/F25B/F25C] should be present if [F5A/F5B] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p197">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:TonnageGroup/ct:Name">
        <sch:assert test="not(../ct:GroupElection = &apos;no&apos;) or not((.))" id="a_SF003.1" diagnostics="errorCode.SF003.1 transactional.SF003.1 transactional.en.SF003.1 transactional.cy.SF003.1 ">[F10] should not be present if [F5A/F5B] equals 'no'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p198">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:CompanyMetCharteredInLimit">
        <sch:assert test="not(../ct:TonnageGroup/ct:GroupElection = &apos;yes&apos;) or (. = &apos;na&apos;)" id="a_SF009.1" diagnostics="errorCode.SF009.1 transactional.SF009.1 transactional.en.SF009.1 transactional.cy.SF009.1 ">[F20A/F20B/F20C] should equal 'na' if [F5A/F5B] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p199">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:GroupMetCharteredInLimit">
        <sch:assert test="not(../ct:TonnageGroup/ct:GroupElection = &apos;no&apos;) or not((.))" id="a_SF012.3" diagnostics="errorCode.SF012.3 transactional.SF012.3 transactional.en.SF012.3 transactional.cy.SF012.3 ">[F25A/F25B/F25C] should not be present if [F5A/F5B] equals 'no'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p200">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:Flagging">
        <sch:assert test="../ct:NotRegistered = &apos;yes&apos;" id="a_SF014.0" diagnostics="errorCode.SF014.0 transactional.SF014.0 transactional.en.SF014.0 transactional.cy.SF014.0 ">[F35A/F35B] should not be present if [F30A/F30B/F30C] does not equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p201">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information/ct:OffshoreActivities">
        <sch:assert test="not((.) = &apos;yes&apos;) or ../../ct:OffshoreTrainingAllowance" id="a_SF015.0" diagnostics="errorCode.SF015.0 transactional.SF015.0 transactional.en.SF015.0 transactional.cy.SF015.0 ">[OFFSHORETRAININGALLOWANCE] should be present if [F40A/F40B] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p195">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:Information">
        <sch:assert test="not(ct:NotRegistered = &apos;yes&apos;) or ct:Flagging" id="a_INFORMATION.0" diagnostics="errorCode.INFORMATION.0 transactional.INFORMATION.0 transactional.en.INFORMATION.0 transactional.cy.INFORMATION.0 ">[F35A/F35B] should be present if [F30A/F30B/F30C] equals 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p202">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:OffshoreTrainingAllowance">
        <sch:assert test="not(../ct:Information/ct:OffshoreActivities = &apos;no&apos;)" id="a_OFFSHORETRAININGALLOWANCE.0" diagnostics="errorCode.OFFSHORETRAININGALLOWANCE.0 transactional.OFFSHORETRAININGALLOWANCE.0 transactional.en.OFFSHORETRAININGALLOWANCE.0 transactional.cy.OFFSHORETRAININGALLOWANCE.0 ">[OFFSHORETRAININGALLOWANCE] should not be present if [F40A/F40B] equals 'no'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p203">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax/ct:QualifyingShips/ct:Total">
        <sch:assert test=". = floor(sum(../ct:Ship/ct:Profits) + 0.0001 )" id="a_SF062.1" diagnostics="errorCode.SF062.1 transactional.SF062.1 transactional.en.SF062.1 transactional.cy.SF062.1 ">[F70] should equal ( the sum of all iterations of [F70G] ) rounded down to the nearest whole pound</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p194">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax/ct:TonnageTax">
        <sch:assert test="ct:QualifyingShips or ct:RelevantShippingProfits" id="a_TONNAGETAX.0" diagnostics="errorCode.TONNAGETAX.0 transactional.TONNAGETAX.0 transactional.en.TONNAGETAX.0 transactional.cy.TONNAGETAX.0 ">[QUALIFYINGSHIPS] or [RELEVANTSHIPPINGPROFITS] should be present if [TONNAGETAX] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p193">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TonnageTax">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600F = &apos;yes&apos;" id="a_N100.0" diagnostics="errorCode.N100.0 transactional.N100.0 transactional.en.N100.0 transactional.cy.N100.0 ">[120] should equal 'yes' if [N100] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p206">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Trading/ct:Profits/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:Profits" id="a_SG003.0" diagnostics="errorCode.SG003.0 transactional.SG003.0 transactional.en.SG003.0 ">If [G5C] is present then [155] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG003.1" diagnostics="errorCode.SG003.1 transactional.SG003.1 transactional.en.SG003.1 ">If [G5C] is present, at least one of [G5A] or [G5B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG003.2" diagnostics="errorCode.SG003.2 transactional.SG003.2 transactional.en.SG003.2 ">[G5C] should equal [G5A] plus [G5B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:Profits)" id="a_SG003.3" diagnostics="errorCode.SG003.3 transactional.SG003.3 transactional.en.SG003.3 ">[G5C] should equal [155].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p207">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Trading/ct:LossesBroughtForward/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:LossesBroughtForward" id="a_SG006.0" diagnostics="errorCode.SG006.0 transactional.SG006.0 transactional.en.SG006.0 ">If [G10C] is present, [160] should be present.</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG006.1" diagnostics="errorCode.SG006.1 transactional.SG006.1 transactional.en.SG006.1 ">If [G10C] is present then [G10A] or [G10B] should be present.</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG006.2" diagnostics="errorCode.SG006.2 transactional.SG006.2 transactional.en.SG006.2 ">[G10C] should equal [G10A] plus [G10B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:LossesBroughtForward)" id="a_SG006.3" diagnostics="errorCode.SG006.3 transactional.SG006.3 transactional.en.SG006.3 ">[G10C] should equal [160]</sch:assert>
        <sch:assert test=". &lt;= sum(../../ct:Profits/ct:Total)" id="a_SG006.4" diagnostics="errorCode.SG006.4 transactional.SG006.4 transactional.en.SG006.4 ">[G10C] should not exceed [G5C].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p208">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Trading/ct:LossesBroughtForwardUsed/ct:Total">
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG008.0" diagnostics="errorCode.SG008.0 transactional.SG008.0 transactional.en.SG008.0 ">[G15C] is valid only if this equals [G15B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p209">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Trading/ct:NetProfits/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:NetProfits" id="a_SG011.0" diagnostics="errorCode.SG011.0 transactional.SG011.0 transactional.en.SG011.0 ">If [G20C] is present, [165] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG011.1" diagnostics="errorCode.SG011.1 transactional.SG011.1 transactional.en.SG011.1 ">If [G20C] is present then [G20A] or [G20B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:Profits/ct:Total) - sum(../../ct:LossesBroughtForward/ct:Total)))) &lt; 0.001)" id="a_SG011.2" diagnostics="errorCode.SG011.2 transactional.SG011.2 transactional.en.SG011.2 ">[G20C] should equal [G5C] minus [G10C]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:Income/ct:Trading/ct:NetProfits)" id="a_SG011.3" diagnostics="errorCode.SG011.3 transactional.SG011.3 transactional.en.SG011.3 ">[G20C] should equal [165]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p205">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Trading">
        <sch:assert test="not(sum(ct:Profits/ct:Total) &gt; 0) or ct:NetProfits/ct:Total" id="a_TRADINGG.0" diagnostics="errorCode.TRADINGG.0 transactional.TRADINGG.0 transactional.en.TRADINGG.0 ">[G20C] should be present if [G5C] is positive.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p210">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TotalProfits/ct:NonTradeProfitsAndGains/ct:Total">
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG013.0" diagnostics="errorCode.SG013.0 transactional.SG013.0 transactional.en.SG013.0 ">[G25C] should equal [G25B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p211">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TotalProfits/ct:TotalProfitsAndGains/ct:Total">
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG016.0" diagnostics="errorCode.SG016.0 transactional.SG016.0 transactional.en.SG016.0 ">If [G30C] is present, [G30A] or [G30B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG016.1" diagnostics="errorCode.SG016.1 transactional.SG016.1 transactional.en.SG016.1 ">[G30C] should equal [G30A] plus [G30B].</sch:assert>
        <sch:assert test="not((.) &gt; 0) or ../../../ct:ProfitsBeforeDeductions/ct:ProfitsBeforeOtherDeductionsAndReliefs/ct:Total" id="a_SG016.2" diagnostics="errorCode.SG016.2 transactional.SG016.2 transactional.en.SG016.2 ">[G45C] should be present if [G30C] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p212">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:ProfitsBeforeDeductions/ct:LossesBroughtForward/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:LossesBroughtForward" id="a_SG018.0" diagnostics="errorCode.SG018.0 transactional.SG018.0 transactional.en.SG018.0 ">If [G35C] is present, [225] should be present</sch:assert>
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG018.1" diagnostics="errorCode.SG018.1 transactional.SG018.1 transactional.en.SG018.1 ">[G35C] should equal [G35B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:LossesBroughtForward)" id="a_SG018.2" diagnostics="errorCode.SG018.2 transactional.SG018.2 transactional.en.SG018.2 ">[G35C] should equal [225]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p213">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:ProfitsBeforeDeductions/ct:DeficitsBroughtForward/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:NonTradeDeficitsOnLoans" id="a_SG020.0" diagnostics="errorCode.SG020.0 transactional.SG020.0 transactional.en.SG020.0 ">If [G40C] is present, [230] should be present</sch:assert>
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG020.1" diagnostics="errorCode.SG020.1 transactional.SG020.1 transactional.en.SG020.1 ">[G40C] should equal [G40B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:NonTradeDeficitsOnLoans)" id="a_SG020.2" diagnostics="errorCode.SG020.2 transactional.SG020.2 transactional.en.SG020.2 ">[G40C] should equal [230]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p214">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:ProfitsBeforeDeductions/ct:ProfitsBeforeOtherDeductionsAndReliefs/ct:NorthernIreland">
        <sch:assert test=". = sum(../../../ct:TotalProfits/ct:TotalProfitsAndGains/ct:NorthernIreland)" id="a_SG021.0" diagnostics="errorCode.SG021.0 transactional.SG021.0 transactional.en.SG021.0 ">[G45A] should equal [G30A]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p215">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:ProfitsBeforeDeductions/ct:ProfitsBeforeOtherDeductionsAndReliefs/ct:RestOfUK">
        <sch:assert test="(math:abs((.) - ((sum(../../../ct:TotalProfits/ct:TotalProfitsAndGains/ct:RestOfUK) - (sum(../../ct:LossesBroughtForward/ct:RestOfUK) + sum(../../ct:DeficitsBroughtForward/ct:RestOfUK))))) &lt; 0.001)" id="a_SG022.0" diagnostics="errorCode.SG022.0 transactional.SG022.0 transactional.en.SG022.0 ">[G45B] must equal [G30B] minus ([G35B] plus [G40B])</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p216">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:ProfitsBeforeDeductions/ct:ProfitsBeforeOtherDeductionsAndReliefs/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ProfitsBeforeOtherDeductions" id="a_SG023.0" diagnostics="errorCode.SG023.0 transactional.SG023.0 transactional.en.SG023.0 ">If [G45C] is present, [235] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG023.1" diagnostics="errorCode.SG023.1 transactional.SG023.1 transactional.en.SG023.1 ">If [G45C] is present, [G45A] or [G45B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../../ct:TotalProfits/ct:TotalProfitsAndGains/ct:Total) - (sum(../../ct:LossesBroughtForward/ct:Total) + sum(../../ct:DeficitsBroughtForward/ct:Total))))) &lt; 0.001)" id="a_SG023.2" diagnostics="errorCode.SG023.2 transactional.SG023.2 transactional.en.SG023.2 ">[G45C] must equal [G30C] minus ([G35C] plus [G40C])</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:ProfitsBeforeOtherDeductions)" id="a_SG023.3" diagnostics="errorCode.SG023.3 transactional.SG023.3 transactional.en.SG023.3 ">[G45C] should equal [235]</sch:assert>
        <sch:assert test="not((.) &gt; 0) or ../../../ct:DeductionsAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief/ct:Total" id="a_SG023.4" diagnostics="errorCode.SG023.4 transactional.SG023.4 transactional.en.SG023.4 ">[G105C] should be present if [G45C] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p218">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:LossesUnquotedShares/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UnquotedShares" id="a_SG026.0" diagnostics="errorCode.SG026.0 transactional.SG026.0 transactional.en.SG026.0 ">If [G50C] is present, [240] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG026.1" diagnostics="errorCode.SG026.1 transactional.SG026.1 transactional.en.SG026.1 ">If [G50C] is present, [G50A] or [G50B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG026.2" diagnostics="errorCode.SG026.2 transactional.SG026.2 transactional.en.SG026.2 ">[G50C] should equal [G50A] plus [G50B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UnquotedShares)" id="a_SG026.3" diagnostics="errorCode.SG026.3 transactional.SG026.3 transactional.en.SG026.3 ">[G50C] should equal [240].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p219">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:ManagementExpenses/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:ManagementExpenses" id="a_SG029.0" diagnostics="errorCode.SG029.0 transactional.SG029.0 transactional.en.SG029.0 ">If [G55C] is present, [245] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG029.1" diagnostics="errorCode.SG029.1 transactional.SG029.1 transactional.en.SG029.1 ">If [G55C] is present, [G55A] or [G55B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG029.2" diagnostics="errorCode.SG029.2 transactional.SG029.2 transactional.en.SG029.2 ">[G55C] should equal [G55A] plus [G55B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:ManagementExpenses)" id="a_SG029.3" diagnostics="errorCode.SG029.3 transactional.SG029.3 transactional.en.SG029.3 ">[G55C] should equal [245].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p220">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses" id="a_SG032.0" diagnostics="errorCode.SG032.0 transactional.SG032.0 transactional.en.SG032.0 ">If [G60C] is present, [250] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG032.1" diagnostics="errorCode.SG032.1 transactional.SG032.1 transactional.en.SG032.1 ">If [G60C] is present, [G60A] or [G60B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG032.2" diagnostics="errorCode.SG032.2 transactional.SG032.2 transactional.en.SG032.2 ">[G60C] should equal [G60A] plus [G60B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:UKpropertyBusinessLosses)" id="a_SG032.3" diagnostics="errorCode.SG032.3 transactional.SG032.3 transactional.en.SG032.3 ">[G60C] should equal [250].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p221">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:CapitalAllowancesManagement/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CapitalAllowances" id="a_SG035.0" diagnostics="errorCode.SG035.0 transactional.SG035.0 transactional.en.SG035.0 ">If [G65C] is present, [255] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG035.1" diagnostics="errorCode.SG035.1 transactional.SG035.1 transactional.en.SG035.1 ">If [G65C] is present, [G65A] or [G65B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG035.2" diagnostics="errorCode.SG035.2 transactional.SG035.2 transactional.en.SG035.2 ">[G65C] should equal [G65A] plus [G65B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CapitalAllowances)" id="a_SG035.3" diagnostics="errorCode.SG035.3 transactional.SG035.3 transactional.en.SG035.3 ">[G65C] should equal [255].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p222">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:NonTradeDeficits/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeDeficits" id="a_SG038.0" diagnostics="errorCode.SG038.0 transactional.SG038.0 transactional.en.SG038.0 ">If [G70C] is present, [260] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG038.1" diagnostics="errorCode.SG038.1 transactional.SG038.1 transactional.en.SG038.1 ">If [G70C] is present, [G70A] or [G70B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG038.2" diagnostics="errorCode.SG038.2 transactional.SG038.2 transactional.en.SG038.2 ">[G70C] should equal [G70A] plus [G70B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeDeficits)" id="a_SG038.3" diagnostics="errorCode.SG038.3 transactional.SG038.3 transactional.en.SG038.3 ">[G70C] should equal [260].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p223">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits" id="a_SG096.0" diagnostics="errorCode.SG096.0 transactional.SG096.0 transactional.en.SG096.0 ">If [G73C] is present, [263] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG096.1" diagnostics="errorCode.SG096.1 transactional.SG096.1 transactional.en.SG096.1 ">If [G73C] is present, [G73A] or [G73B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG096.2" diagnostics="errorCode.SG096.2 transactional.SG096.2 transactional.en.SG096.2 ">[G73C] should equal [G73A] plus [G73B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:CarriedForwardNonTradeDeficits)" id="a_SG096.3" diagnostics="errorCode.SG096.3 transactional.SG096.3 transactional.en.SG096.3 ">[G73C] should equal [263].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p224">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles" id="a_SG041.0" diagnostics="errorCode.SG041.0 transactional.SG041.0 transactional.en.SG041.0 ">If [G75C] is present, [265] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG041.1" diagnostics="errorCode.SG041.1 transactional.SG041.1 transactional.en.SG041.1 ">If [G75C] is present, [G75A] or [G75B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG041.2" diagnostics="errorCode.SG041.2 transactional.SG041.2 transactional.en.SG041.2 ">[G75C] should equal [G75A] plus [G75B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradingLossIntangibles)" id="a_SG041.3" diagnostics="errorCode.SG041.3 transactional.SG041.3 transactional.en.SG041.3 ">[G75C] should equal [265].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p225">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLosses/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLosses" id="a_SG044.0" diagnostics="errorCode.SG044.0 transactional.SG044.0 transactional.en.SG044.0 ">If [G80C] is present, [275] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG044.1" diagnostics="errorCode.SG044.1 transactional.SG044.1 transactional.en.SG044.1 ">If [G80C] is present, [G80A] or [G80B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG044.2" diagnostics="errorCode.SG044.2 transactional.SG044.2 transactional.en.SG044.2 ">[G80C] should equal [G80A] plus [G80B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLosses)" id="a_SG044.3" diagnostics="errorCode.SG044.3 transactional.SG044.3 transactional.en.SG044.3 ">[G80C] should equal [275].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p226">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLossesUsed/ct:Total">
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG046.0" diagnostics="errorCode.SG046.0 transactional.SG046.0 transactional.en.SG046.0 ">[G85C] should equal [G85B].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p227">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLossesCarriedBack">
        <sch:assert test="../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedBack" id="a_SG047.0" diagnostics="errorCode.SG047.0 transactional.SG047.0 transactional.en.SG047.0 ">If [G90] is present, [280] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p228">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward" id="a_SG099.0" diagnostics="errorCode.SG099.0 transactional.SG099.0 transactional.en.SG099.0 ">If [G92C] is present, [285] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG099.1" diagnostics="errorCode.SG099.1 transactional.SG099.1 transactional.en.SG099.1 ">If [G92C] is present, [G92A] or [G92B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG099.2" diagnostics="errorCode.SG099.2 transactional.SG099.2 transactional.en.SG099.2 ">[G92C] should equal [G92A] plus [G92B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:TradingLossesCarriedForward)" id="a_SG099.3" diagnostics="errorCode.SG099.3 transactional.SG099.3 transactional.en.SG099.3 ">[G92C] should equal [285].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p229">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TradingLossesCarriedForwardUsed/ct:Total">
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG101.0" diagnostics="errorCode.SG101.0 transactional.SG101.0 transactional.en.SG101.0 ">[G93C] should equal [G93B].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p230">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances" id="a_SG050.0" diagnostics="errorCode.SG050.0 transactional.SG050.0 transactional.en.SG050.0 ">If [G95C] is present, [290] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG050.1" diagnostics="errorCode.SG050.1 transactional.SG050.1 transactional.en.SG050.1 ">If [G95C] is present, [G95A] or [G95B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG050.2" diagnostics="errorCode.SG050.2 transactional.SG050.2 transactional.en.SG050.2 ">[G95C] should equal [G95A] plus [G95B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:NonTradeCapitalAllowances)" id="a_SG050.3" diagnostics="errorCode.SG050.3 transactional.SG050.3 transactional.en.SG050.3 ">[G95C] should equal [290].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p231">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:TotalOfDeductionsAndReliefs/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:Total" id="a_SG053.0" diagnostics="errorCode.SG053.0 transactional.SG053.0 transactional.en.SG053.0 ">If [G100C] is present, [295] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG053.1" diagnostics="errorCode.SG053.1 transactional.SG053.1 transactional.en.SG053.1 ">If [G100C] is present, [G100A] or [G100B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:LossesUnquotedShares/ct:Total) + sum(../../ct:ManagementExpenses/ct:Total) + sum(../../ct:UKpropertyBusinessLosses/ct:Total) + sum(../../ct:CapitalAllowancesManagement/ct:Total) + sum(../../ct:NonTradeDeficits/ct:Total) + sum(../../ct:CarriedForwardNonTradeDeficits/ct:Total) + sum(../../ct:NonTradingLossIntangibles/ct:Total) + sum(../../ct:TradingLosses/ct:Total) + sum(../../ct:TradingLossesCarriedForward/ct:Total) + sum(../../ct:NonTradeCapitalAllowances/ct:Total)))) &lt; 0.001)" id="a_SG053.2" diagnostics="errorCode.SG053.2 transactional.SG053.2 transactional.en.SG053.2 ">[G100C] must equal the sum of [G50C], [G55C], [G60C], [G65C], [G70C], [G73C], [G75C], [G80C], [G92C] and [G95C]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:DeductionsAndReliefs/ct:Total)" id="a_SG053.3" diagnostics="errorCode.SG053.3 transactional.SG053.3 transactional.en.SG053.3 ">[G100C] should equal [295].</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG053.4" diagnostics="errorCode.SG053.4 transactional.SG053.4 transactional.en.SG053.4 ">[G100C] should equal [G100A] plus [G100B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p232">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief" id="a_SG056.0" diagnostics="errorCode.SG056.0 transactional.SG056.0 transactional.en.SG056.0 ">If [G105C] is present, [300] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG056.1" diagnostics="errorCode.SG056.1 transactional.SG056.1 transactional.en.SG056.1 ">If [G105C] is present, [G105A] or [G105B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../../ct:ProfitsBeforeDeductions/ct:ProfitsBeforeOtherDeductionsAndReliefs/ct:Total) - sum(../../ct:TotalOfDeductionsAndReliefs/ct:Total)))) &lt; 0.001)" id="a_SG056.2" diagnostics="errorCode.SG056.2 transactional.SG056.2 transactional.en.SG056.2 ">[G105C] must equal [G45C] minus [G100C]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:ProfitsBeforeDonationsAndGroupRelief)" id="a_SG056.3" diagnostics="errorCode.SG056.3 transactional.SG056.3 transactional.en.SG056.3 ">[G105C] should equal [300].</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG056.4" diagnostics="errorCode.SG056.4 transactional.SG056.4 transactional.en.SG056.4 ">[G105C] should equal [G105A] plus [G105B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p233">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:QualifyingDonations/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:QualifyingDonations" id="a_SG059.0" diagnostics="errorCode.SG059.0 transactional.SG059.0 transactional.en.SG059.0 ">If [G110C] is present, [305] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG059.1" diagnostics="errorCode.SG059.1 transactional.SG059.1 transactional.en.SG059.1 ">If [G110C] is present, [G110A] or [G110B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG059.2" diagnostics="errorCode.SG059.2 transactional.SG059.2 transactional.en.SG059.2 ">[G110C] should equal [G110A] plus [G110B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:QualifyingDonations)" id="a_SG059.3" diagnostics="errorCode.SG059.3 transactional.SG059.3 transactional.en.SG059.3 ">[G110C] should equal [305].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p234">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:GroupRelief/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief" id="a_SG062.0" diagnostics="errorCode.SG062.0 transactional.SG062.0 transactional.en.SG062.0 ">If [G115C] is present, [310] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG062.1" diagnostics="errorCode.SG062.1 transactional.SG062.1 transactional.en.SG062.1 ">If [G115C] is present, [G115A] or [G115B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG062.2" diagnostics="errorCode.SG062.2 transactional.SG062.2 transactional.en.SG062.2 ">[G115C] should equal [G115A] plus [G115B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupRelief)" id="a_SG062.3" diagnostics="errorCode.SG062.3 transactional.SG062.3 transactional.en.SG062.3 ">[G115C] should equal [310].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p235">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:GroupReliefForCarriedForwardLosses/ct:Total">
        <sch:assert test="../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses" id="a_SG104.0" diagnostics="errorCode.SG104.0 transactional.SG104.0 transactional.en.SG104.0 ">If [G117C] is present, [312] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG104.1" diagnostics="errorCode.SG104.1 transactional.SG104.1 transactional.en.SG104.1 ">If [G117C] is present, [G117A] or [G117B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG104.2" diagnostics="errorCode.SG104.2 transactional.SG104.2 transactional.en.SG104.2 ">[G117C] should equal [G117A] plus [G117B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:CompanyTaxCalculation/ct:ChargesAndReliefs/ct:GroupReliefForCarriedForwardLosses)" id="a_SG104.3" diagnostics="errorCode.SG104.3 transactional.SG104.3 transactional.en.SG104.3 ">[G117C] should equal [312].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p236">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs/ct:ChargeableProfits/ct:Total">
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG065.1" diagnostics="errorCode.SG065.1 transactional.SG065.1 transactional.en.SG065.1 ">If [G120C] is present, [G120A] or [G120B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:ProfitsBeforeDonationsAndGroupRelief/ct:Total) - (sum(../../ct:QualifyingDonations/ct:Total) + sum(../../ct:GroupRelief/ct:Total) + sum(../../ct:GroupReliefForCarriedForwardLosses/ct:Total))))) &lt; 0.001)" id="a_SG065.2" diagnostics="errorCode.SG065.2 transactional.SG065.2 transactional.en.SG065.2 ">[G120C] must equal [G105C] minus (the sum of [G110C], [G115C], and [G117C])</sch:assert>
        <sch:assert test=". = ../../../../ct:CompanyTaxCalculation/ct:ChargeableProfits" id="a_SG065.3" diagnostics="errorCode.SG065.3 transactional.SG065.3 transactional.en.SG065.3 ">[G120C] should equal [315].</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG065.4" diagnostics="errorCode.SG065.4 transactional.SG065.4 transactional.en.SG065.4 ">[G120C] should equal [G120A] plus [G120B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p217">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:DeductionsAndReliefs">
        <sch:assert test="not((((sum(ct:LossesUnquotedShares/ct:Total) + sum(ct:ManagementExpenses/ct:Total) + sum(ct:UKpropertyBusinessLosses/ct:Total) + sum(ct:CapitalAllowancesManagement/ct:Total) + sum(ct:NonTradeDeficits/ct:Total) + sum(ct:NonTradingLossIntangibles/ct:Total) + sum(ct:TradingLosses/ct:Total) + sum(ct:NonTradeCapitalAllowances/ct:Total) + sum(ct:CarriedForwardNonTradeDeficits/ct:Total) + sum(ct:TradingLossesCarriedForward/ct:Total))) - (0) &gt;= 0.001)) or ct:TotalOfDeductionsAndReliefs/ct:Total" id="a_DEDUCTIONSANDRELIEFSG.0" diagnostics="errorCode.DEDUCTIONSANDRELIEFSG.0 transactional.DEDUCTIONSANDRELIEFSG.0 transactional.en.DEDUCTIONSANDRELIEFSG.0 ">[G100C] should be present if ( the sum of [G50C], [G55C], [G60C], [G65C], [G70C], [G73C], [G75C], [G80C], [G92C], and [G95C] ) exceeds 0</sch:assert>
        <sch:assert test="not(sum(ct:ProfitsBeforeDonationsAndGroupRelief/ct:Total) &gt; 0) or ct:ChargeableProfits/ct:Total" id="a_DEDUCTIONSANDRELIEFSG.1" diagnostics="errorCode.DEDUCTIONSANDRELIEFSG.1 transactional.DEDUCTIONSANDRELIEFSG.1 transactional.en.DEDUCTIONSANDRELIEFSG.1 ">[G120C] should be present if [G105C] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p238">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:ResearchAndDevelopmentCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:ResearchAndDevelopmentCredit" id="a_SG068.0" diagnostics="errorCode.SG068.0 transactional.SG068.0 transactional.en.SG068.0 ">If [G125C] is present, [530] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG068.1" diagnostics="errorCode.SG068.1 transactional.SG068.1 transactional.en.SG068.1 ">If [G125C] is present, [G125A] or [G125B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG068.2" diagnostics="errorCode.SG068.2 transactional.SG068.2 transactional.en.SG068.2 ">[G125C] should equal [G125A] plus [G125B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:ResearchAndDevelopmentCredit)" id="a_SG068.3" diagnostics="errorCode.SG068.3 transactional.SG068.3 transactional.en.SG068.3 ">[G125C] should equal [530].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p239">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:CreativeCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:CreativeCredit" id="a_SG071.0" diagnostics="errorCode.SG071.0 transactional.SG071.0 transactional.en.SG071.0 ">If [G130C] is present, [540] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG071.1" diagnostics="errorCode.SG071.1 transactional.SG071.1 transactional.en.SG071.1 ">If [G130C] is present, [G130A] or [G130B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG071.2" diagnostics="errorCode.SG071.2 transactional.SG071.2 transactional.en.SG071.2 ">[G130C] should equal [G130A] plus [G130B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:CreativeCredit)" id="a_SG071.3" diagnostics="errorCode.SG071.3 transactional.SG071.3 transactional.en.SG071.3 ">[G130C] should equal [540].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p240">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:ResearchAndDevelopmentOrCreativeTaxCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit" id="a_SG074.0" diagnostics="errorCode.SG074.0 transactional.SG074.0 transactional.en.SG074.0 ">If [G135C] is present, [545] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG074.1" diagnostics="errorCode.SG074.1 transactional.SG074.1 transactional.en.SG074.1 ">If [G135C] is present, [G135A] or [G135B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:ResearchAndDevelopmentCredit/ct:Total) + sum(../../ct:CreativeCredit/ct:Total)))) &lt; 0.001)" id="a_SG074.2" diagnostics="errorCode.SG074.2 transactional.SG074.2 transactional.en.SG074.2 ">[G135C] should equal [G125C] plus [G130C]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:ResearchAndDevelopmentVaccineOrCreativeTaxCredit)" id="a_SG074.3" diagnostics="errorCode.SG074.3 transactional.SG074.3 transactional.en.SG074.3 ">[G135C] should equal [545].</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG074.4" diagnostics="errorCode.SG074.4 transactional.SG074.4 transactional.en.SG074.4 ">[G135C] should equal [G135A] plus [G135B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p241">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:LandRemediationCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:LandRemediationCredit" id="a_SG077.0" diagnostics="errorCode.SG077.0 transactional.SG077.0 transactional.en.SG077.0 ">If [G140C] is present, [550] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG077.1" diagnostics="errorCode.SG077.1 transactional.SG077.1 transactional.en.SG077.1 ">If [G140C] is present, [G140A] or [G140B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG077.2" diagnostics="errorCode.SG077.2 transactional.SG077.2 transactional.en.SG077.2 ">[G140C] should equal [G140A] plus [G140B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:LandRemediationCredit)" id="a_SG077.3" diagnostics="errorCode.SG077.3 transactional.SG077.3 transactional.en.SG077.3 ">[G140C] should equal [550].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p242">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:LifeAssuranceCompanyCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:LifeAssuranceCompanyCredit" id="a_SG079.0" diagnostics="errorCode.SG079.0 transactional.SG079.0 transactional.en.SG079.0 ">If [G145C] is present, [555] should be present</sch:assert>
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG079.1" diagnostics="errorCode.SG079.1 transactional.SG079.1 transactional.en.SG079.1 ">[G145C] should equal [G145B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:LifeAssuranceCompanyCredit)" id="a_SG079.2" diagnostics="errorCode.SG079.2 transactional.SG079.2 transactional.en.SG079.2 ">[G145C] should equal [555].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p243">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:TotalLandAndLifeCredit/ct:NorthernIreland">
        <sch:assert test=". = sum(../../ct:LandRemediationCredit/ct:NorthernIreland)" id="a_SG080.0" diagnostics="errorCode.SG080.0 transactional.SG080.0 transactional.en.SG080.0 ">[G150A] should equal [G140A].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p244">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:TotalLandAndLifeCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:LandOrLifeCredit" id="a_SG082.0" diagnostics="errorCode.SG082.0 transactional.SG082.0 transactional.en.SG082.0 ">If [G150C] is present, [560] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG082.1" diagnostics="errorCode.SG082.1 transactional.SG082.1 transactional.en.SG082.1 ">If [G150C] is present, [G150A] or [G150B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../../ct:LandRemediationCredit/ct:Total) + sum(../../ct:LifeAssuranceCompanyCredit/ct:Total)))) &lt; 0.001)" id="a_SG082.2" diagnostics="errorCode.SG082.2 transactional.SG082.2 transactional.en.SG082.2 ">[G150C] should equal [G140C] plus [G145C]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:LandOrLifeCredit)" id="a_SG082.3" diagnostics="errorCode.SG082.3 transactional.SG082.3 transactional.en.SG082.3 ">[G150C] should equal [560].</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG082.4" diagnostics="errorCode.SG082.4 transactional.SG082.4 transactional.en.SG082.4 ">[G150C] should equal [G150A] plus [G150B]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p245">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation/ct:CapitalAllowancesFirstYearCredit/ct:Total">
        <sch:assert test="../../../../ct:TaxReconciliation/ct:CapitalAllowancesFirstYearCredit" id="a_SG085.0" diagnostics="errorCode.SG085.0 transactional.SG085.0 transactional.en.SG085.0 ">If [G155C] is present, [565] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG085.1" diagnostics="errorCode.SG085.1 transactional.SG085.1 transactional.en.SG085.1 ">If [G155C] is present, [G155A] or [G155B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG085.2" diagnostics="errorCode.SG085.2 transactional.SG085.2 transactional.en.SG085.2 ">[G155C] should equal [G155A] plus [G155B]</sch:assert>
        <sch:assert test=". = sum(../../../../ct:TaxReconciliation/ct:CapitalAllowancesFirstYearCredit)" id="a_SG085.3" diagnostics="errorCode.SG085.3 transactional.SG085.3 transactional.en.SG085.3 ">[G155C] should equal [565].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p237">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:TaxReconciliation">
        <sch:assert test="not((((sum(ct:ResearchAndDevelopmentCredit/ct:Total) + sum(ct:CreativeCredit/ct:Total))) - (0) &gt;= 0.001)) or ct:ResearchAndDevelopmentOrCreativeTaxCredit/ct:Total" id="a_TAXRECONCILIATION.0" diagnostics="errorCode.TAXRECONCILIATION.0 transactional.TAXRECONCILIATION.0 transactional.en.TAXRECONCILIATION.0 ">[G135C] should be present if ( [G125C] plus [G130C] ) exceeds 0</sch:assert>
        <sch:assert test="not((((sum(ct:LandRemediationCredit/ct:Total) + sum(ct:LifeAssuranceCompanyCredit/ct:Total))) - (0) &gt;= 0.001)) or ct:TotalLandAndLifeCredit/ct:Total" id="a_TAXRECONCILIATION.1" diagnostics="errorCode.TAXRECONCILIATION.1 transactional.TAXRECONCILIATION.1 transactional.en.TAXRECONCILIATION.1 ">[G150C] should be present if ( [G140C] plus [G145C] ) exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p246">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:LossesDeficitsAndExcess/ct:LossesOfTradesUK/ct:Total">
        <sch:assert test="../../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesUK/ct:Arising" id="a_SG088.0" diagnostics="errorCode.SG088.0 transactional.SG088.0 transactional.en.SG088.0 ">If [G165C] is present, the 'Arising' element of [780/785] should be present</sch:assert>
        <sch:assert test="../ct:NorthernIreland or ../ct:RestOfUK" id="a_SG088.1" diagnostics="errorCode.SG088.1 transactional.SG088.1 transactional.en.SG088.1 ">If [G165C] is present, [G165A] or [G165B] should be present</sch:assert>
        <sch:assert test="(math:abs((.) - ((sum(../ct:NorthernIreland) + sum(../ct:RestOfUK)))) &lt; 0.001)" id="a_SG088.2" diagnostics="errorCode.SG088.2 transactional.SG088.2 transactional.en.SG088.2 ">[G165C] should equal [G165A] plus [G165B]</sch:assert>
        <sch:assert test="(.) = sum(../../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesUK/ct:Arising)" id="a_SG088.3" diagnostics="errorCode.SG088.3 transactional.SG088.3 transactional.en.SG088.3 ">[G165C] must equal the 'Arising' element of [780/785].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p247">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:LossesDeficitsAndExcess/ct:LossesOfTradesOutsideUK/ct:Total">
        <sch:assert test="../../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesOutsideUK" id="a_SG090.0" diagnostics="errorCode.SG090.0 transactional.SG090.0 transactional.en.SG090.0 ">If [G170C] is present, [790] should be present</sch:assert>
        <sch:assert test=". = ../ct:RestOfUK" id="a_SG090.1" diagnostics="errorCode.SG090.1 transactional.SG090.1 transactional.en.SG090.1 ">[G170C] should equal [G170B].</sch:assert>
        <sch:assert test=". = sum(../../../../ct:LossesDeficitsAndExcess/ct:AmountArising/ct:LossesOfTradesOutsideUK)" id="a_SG090.2" diagnostics="errorCode.SG090.2 transactional.SG090.2 transactional.en.SG090.2 ">[G170C] should equal [790].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p248">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Indicators/ct:BackOfficeActivities">
        <sch:assert test="../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances" id="a_SG091.0" diagnostics="errorCode.SG091.0 transactional.SG091.0 transactional.en.SG091.0 ">If [G175] is present, [8] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p249">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland/ct:Indicators/ct:SMEelectionIntoLargeCompanyRegime">
        <sch:assert test="../../../ct:CompanyInformation/ct:NorthernIreland/ct:SpecialCircumstances" id="a_SG093.0" diagnostics="errorCode.SG093.0 transactional.SG093.0 transactional.en.SG093.0 ">If [G185] is present, [8] should be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p204">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:NorthernIreland">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600G = &apos;yes&apos;" id="a_N101.0" diagnostics="errorCode.N101.0 transactional.N101.0 transactional.en.N101.0 ">If [N101] is present, [125] must equal 'yes'</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p251">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CrossBorderRoyalties/ct:Royalties/ct:DeductionAmount">
        <sch:assert test="(math:abs((.) - (round((../ct:Amount * (translate(string(../ct:DeductionRate),&apos;.&apos;,&apos;&apos;))) div 100) div 100)) &lt; 0.001)" id="a_SH008.0" diagnostics="errorCode.SH008.0 transactional.SH008.0 transactional.en.SH008.0 transactional.cy.SH008.0 ">For each iteration of [ROYALTIES], [H5G] must equal [H5D] multiplied by ( [H5F] divided by 100 ) and rounded to the nearest penny (round down for fractions less than half a penny, and round up for fractions of half a penny or greater)</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p250">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:CrossBorderRoyalties">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600H = &apos;yes&apos;" id="a_N102.0" diagnostics="errorCode.N102.0 transactional.N102.0 transactional.en.N102.0 transactional.cy.N102.0 ">[130] should equal 'yes' if [N102] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p253">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:DisallowedFinancingCosts/ct:Total">
        <sch:assert test="(math:abs((.) - ((sum(../ct:RelatedToCompany) + sum(../ct:RelatedToLossRelief)))) &lt; 0.001)" id="a_SI006.0" diagnostics="errorCode.SI006.0 transactional.SI006.0 transactional.en.SI006.0 transactional.cy.SI006.0 ">[I30] should equal [I20] plus [I25]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p254">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:Profits">
        <sch:assert test="not (../ct:Trade/ct:Profits = &apos;yes&apos;)
            or (math:abs((.) - (../ct:Trade/ct:Amount + sum(../ct:DisallowedFinancingCosts/ct:Total))) &lt; 0.001)" id="a_SI007.0" diagnostics="errorCode.SI007.0 transactional.SI007.0 transactional.en.SI007.0 transactional.cy.SI007.0 ">[I35] should equal [I5] plus [I30] if [I10] equals 'yes'</sch:assert>
        <sch:assert test="not( ../ct:Trade/ct:Losses = &apos;yes&apos;)
          or (
              sum(../ct:DisallowedFinancingCosts/ct:Total) - ../ct:Trade/ct:Amount &lt;= 0
            and
              (math:abs((.) - (0)) &lt; 0.001)
          )
          or (
              sum(../ct:DisallowedFinancingCosts/ct:Total) - ../ct:Trade/ct:Amount &gt; 0
            and
              (math:abs((.) - (sum(../ct:DisallowedFinancingCosts/ct:Total) - ../ct:Trade/ct:Amount)) &lt; 0.001)
          )" id="a_SI007.1" diagnostics="errorCode.SI007.1 transactional.SI007.1 transactional.en.SI007.1 transactional.cy.SI007.1 ">If [I15] is 'yes' then [I35] must equal [I30] minus [I5] if the sum is positive, or zero otherwise.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p255">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:MinusLosses">
        <sch:assert test=". &lt;= ../ct:Profits" id="a_SI008.0" diagnostics="errorCode.SI008.0 transactional.SI008.0 transactional.en.SI008.0 transactional.cy.SI008.0 ">[I50] should not exceed [I35]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p256">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:FieldAllowance">
        <sch:assert test="((.) - ((../ct:Profits - sum(../ct:MinusLosses))) &lt; 0.001)" id="a_SI014.1" diagnostics="errorCode.SI014.1 transactional.SI014.1 transactional.en.SI014.1 transactional.cy.SI014.1 ">[I60] should not exceed [I35] minus [I50]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p257">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:NetProfits">
        <sch:assert test="(math:abs((.) - (sum(../ct:RevisedProfits) - (sum(../ct:MinusLosses) + sum(../ct:DecommissioningReduction) + sum(../ct:FieldAllowance)))) &lt; 0.001)" id="a_SI009.0" diagnostics="errorCode.SI009.0 transactional.SI009.0 transactional.en.SI009.0 transactional.cy.SI009.0 ">[I65] should equal [I45] minus the sum of [I50], [I55] and [I60]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p258">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:CalculationOfSupplementaryCharge/ct:Tax">
        <sch:assert test="../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge and sum(../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:SupplementaryCharge) = (.)" id="a_SI010.0" diagnostics="errorCode.SI010.0 transactional.SI010.0 transactional.en.SI010.0 transactional.cy.SI010.0 ">[505] should be present and equal to [I70] if [I70] is present </sch:assert>
        <sch:assert test="not(((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2015-12-31&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2015-12-31&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))))
              or
                (math:abs((.) - ((round(round(date:seconds(normalize-space(date:difference(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(&apos;2015-12-31&apos;)))) div 86400 + 1) * ../ct:NetProfits div (date:seconds(normalize-space(date:difference(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)))) div 86400 + 1))) * (    number((round(date:seconds(normalize-space(&apos;2015-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
     number((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
    0.20

+
    number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400))) *
    0.10
) + (../ct:NetProfits - (round(round(date:seconds(normalize-space(date:difference(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(&apos;2015-12-31&apos;)))) div 86400 + 1) * ../ct:NetProfits div (date:seconds(normalize-space(date:difference(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From),normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)))) div 86400 + 1)))) * (    number((round(date:seconds(normalize-space(&apos;2015-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
     number((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
    0.20

+
    number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
    0.10
))) &lt; 0.001)" id="a_SI010.4" diagnostics="errorCode.SI010.4 transactional.SI010.4 transactional.en.SI010.4 ">If [RF-SUPPLEMENTARY-CHARGE-RATE] changes in the period [30] to [35] inclusive: let part1 = (the number of days from [30] to the end of the old rate inclusive, multiplied by [I65] and divided by number of days from [30] to [35] inclusive); let part2 = [I65] minus part1; [I70] must equal part1 at the former value of [RF-SUPPLEMENTARY-CHARGE-RATE] + part2 at the latter value of [RF-SUPPLEMENTARY-CHARGE-RATE]
To round part1: If the pence figure is equal to or greater than 50p then round part1 up, otherwise round part1 down, to the nearest whole pound.</sch:assert>
        <sch:assert test="((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)) div 86400) &lt;= round(date:seconds(normalize-space(&apos;2015-12-31&apos;)) div 86400)) and (round(date:seconds(normalize-space(&apos;2015-12-31&apos;)) div 86400) &lt; round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400)))
                or
              (math:abs((.) - (../ct:NetProfits * (    number((round(date:seconds(normalize-space(&apos;2015-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
     number((round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400) &lt; round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400))) *
    0.20

+
    number((round(date:seconds(normalize-space(&apos;2016-01-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)) div 86400))) *
    0.10
))) &lt; 0.001)" id="a_SI010.5" diagnostics="errorCode.SI010.5 transactional.SI010.5 transactional.en.SI010.5 ">If [RF-SUPPLEMENTARY-CHARGE-RATE] does not change in the period [30] to [35] inclusive: [I70] should equal [I65] at [RF-SUPPLEMENTARY-CHARGE-RATE] for that period</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p259">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:NetRingFenceTrade/ct:RingFenceCorpTaxIncluded">
        <sch:assert test="../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded and sum(../../../ct:TaxReconciliation/ct:RingFenceCorpTaxIncluded) = (.)" id="a_SI012.0" diagnostics="errorCode.SI012.0 transactional.SI012.0 transactional.en.SI012.0 transactional.cy.SI012.0 ">[585] must be present and equal to [I80] if [I80] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p260">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade/ct:NetRingFenceTrade/ct:SupplementaryChargeTax">
        <sch:assert test="../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded and sum(../../../ct:TaxReconciliation/ct:RingFenceSupplementaryChargeIncluded) = (.)" id="a_SI013.0" diagnostics="errorCode.SI013.0 transactional.SI013.0 transactional.en.SI013.0 transactional.cy.SI013.0 ">[590] must be present and equal to [I85] if [I85] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p252">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RingFenceTrade">
        <sch:assert test="not(ct:CalculationOfSupplementaryCharge/ct:NetProfits &gt; 0) or ct:CalculationOfSupplementaryCharge/ct:Tax" id="a_global.5" diagnostics="errorCode.global.5 transactional.global.5 transactional.en.global.5 transactional.cy.global.5 ">[I70] should be present if [I65] exceeds 0</sch:assert>
        <sch:assert test="not((ct:CalculationOfSupplementaryCharge/ct:Trade/ct:Losses = &apos;yes&apos;) and ((((ct:CalculationOfSupplementaryCharge/ct:Trade/ct:Amount - sum(ct:CalculationOfSupplementaryCharge/ct:DisallowedFinancingCosts/ct:RelatedToCompany))) - (0) &gt;= 0.001))) or ct:LossesArising" id="a_CT600I.0" diagnostics="errorCode.CT600I.0 transactional.CT600I.0 transactional.en.CT600I.0 transactional.cy.CT600I.0 ">[I75] should be present if [I15] equals 'yes' and ( [I5] minus [I20] ) exceeds 0</sch:assert>
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600I = &apos;yes&apos;" id="a_N103.0" diagnostics="errorCode.N103.0 transactional.N103.0 transactional.en.N103.0 transactional.cy.N103.0 ">[135] should equal 'yes' if [N103] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p261">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:TaxAvoidanceSchemes">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600J = &apos;yes&apos;" id="a_N104.0" diagnostics="errorCode.N104.0 transactional.N104.0 transactional.en.N104.0 transactional.cy.N104.0 ">[140] should equal 'yes' if [N104] is present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p263">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:SAbeforeRestitutionTax">
        <sch:assert test="(math:abs(((.)) - (../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:TaxPayable)) &lt; 0.001)" id="a_SK002.0" diagnostics="errorCode.SK002.0 transactional.SK002.0 transactional.en.SK002.0 transactional.cy.SK002.0 ">[K5] should equal [525].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p265">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearOne/ct:Year">
        <sch:assert test="(.) = date:year(normalize-space(date:add(normalize-space(string(../../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;))))" id="a_SK006.0" diagnostics="errorCode.SK006.0 transactional.SK006.0 transactional.en.SK006.0 transactional.cy.SK006.0 ">[K15.1A] should equal the equivalent financial year of the date in [30].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p266">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearOne/ct:AmountOfInterest">
        <sch:assert test="../../ct:FinancialYearTwo or (math:abs(((.)) - (../../../ct:RestitutionInterest)) &lt; 0.001)" id="a_SK007.0" diagnostics="errorCode.SK007.0 transactional.SK007.0 transactional.en.SK007.0 ">If [K15.2] is absent, [K15.1B] should equal [K10].</sch:assert>
        <sch:assert test="not(../../ct:FinancialYearTwo) or (((.)) - (../../../ct:RestitutionInterest) &lt; 0.001)" id="a_SK007.1" diagnostics="errorCode.SK007.1 transactional.SK007.1 transactional.en.SK007.1 ">If [K15.2] is present, [K15.1B] should be less than or equal to [K10].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p267">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearOne/ct:TaxRate">
        <sch:assert test="(math:abs(((.)) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    45

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    45)) &lt; 0.001)" id="a_SK008.0" diagnostics="errorCode.SK008.0 transactional.SK008.0 transactional.en.SK008.0 ">[K15.1C] should equal [RESTITUTION INTEREST TAX RATE].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p268">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearOne/ct:Tax">
        <sch:assert test="(math:abs((round(. * 100)) - (round((../ct:AmountOfInterest * round(../ct:TaxRate * 100)) div 100))) &lt; 0.001)" id="a_SK009.0" diagnostics="errorCode.SK009.0 transactional.SK009.0 transactional.en.SK009.0 ">[K15.1D] should equal [K15.1B] multiplied by ([K15.1C] divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p270">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearTwo/ct:Year">
        <sch:assert test="(math:abs((.) - ((../../ct:FinancialYearOne/ct:Year + 1))) &lt; 0.001)" id="a_SK011.0" diagnostics="errorCode.SK011.0 transactional.SK011.0 transactional.en.SK011.0 transactional.cy.SK011.0 ">[K15.2A] should equal [K15.1A] plus 1.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p271">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearTwo/ct:AmountOfInterest">
        <sch:assert test="(math:abs(((.)) - (../../../ct:RestitutionInterest - ../../ct:FinancialYearOne/ct:AmountOfInterest)) &lt; 0.001)" id="a_SK012.0" diagnostics="errorCode.SK012.0 transactional.SK012.0 transactional.en.SK012.0 transactional.cy.SK012.0 ">[K15.2B] should equal [K10] minus [K15.1B].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p272">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearTwo/ct:TaxRate">
        <sch:assert test="(math:abs(((.)) - (number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400))) *
     number((round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400) &lt; round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400))) *
    45

+
    number((round(date:seconds(normalize-space(&apos;2015-04-01&apos;)) div 86400) &lt;= round(date:seconds(normalize-space(concat(normalize-space(../ct:Year), &apos;-04-01&apos;))) div 86400))) *
    45)) &lt; 0.001)" id="a_SK013.0" diagnostics="errorCode.SK013.0 transactional.SK013.0 transactional.en.SK013.0 ">[K15.2C] should equal [RESTITUTION INTEREST TAX RATE].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p273">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearTwo/ct:Tax">
        <sch:assert test="(math:abs((round(. * 100)) - (round((../ct:AmountOfInterest * round(../ct:TaxRate * 100)) div 100))) &lt; 0.001)" id="a_SK014.0" diagnostics="errorCode.SK014.0 transactional.SK014.0 transactional.en.SK014.0 ">[K15.2D] should equal [K15.2B] multiplied by ([K15.2C] divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p269">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation/ct:FinancialYearTwo">
        <sch:assert test="not(
                    date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;))))
                  =
                    date:year(normalize-space(date:add(normalize-space(string(../../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)),normalize-space(&apos;-P3M&apos;))))
                )
                or
                not((.))" id="a_SK010.0" diagnostics="errorCode.SK010.0 transactional.SK010.0 transactional.en.SK010.0 ">[K15.2] should not be submitted if [30] and [35] both fall within the same financial year.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p264">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxCalculation">
        <sch:assert test="not(
                  date:year(normalize-space(date:add(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:From)),normalize-space(&apos;-P3M&apos;)))) + 1
                =
                  date:year(normalize-space(date:add(normalize-space(string(../../../ct:CompanyInformation/ct:PeriodCovered/ct:To)),normalize-space(&apos;-P3M&apos;))))
              )
              or
              ct:FinancialYearTwo" id="a_SK004.0" diagnostics="errorCode.SK004.0 transactional.SK004.0 transactional.en.SK004.0 ">[K15.2] should be submitted if [35] falls in the financial year following the financial year of [30].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p274">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TotalRestitutionTax">
        <sch:assert test="(math:abs((.) - ((../ct:TaxCalculation/ct:FinancialYearOne/ct:Tax + sum(../ct:TaxCalculation/ct:FinancialYearTwo/ct:Tax)))) &lt; 0.001)" id="a_SK015.0" diagnostics="errorCode.SK015.0 transactional.SK015.0 transactional.en.SK015.0 transactional.cy.SK015.0 ">[K20] should equal [K15.1D] plus [K15.2D].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p275">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:TaxAlreadyWithheld">
        <sch:assert test="(.) &lt;= ../ct:TotalRestitutionTax" id="a_SK016.0" diagnostics="errorCode.SK016.0 transactional.SK016.0 transactional.en.SK016.0 transactional.cy.SK016.0 ">[K25] should not exceed [K20].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p276">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:SAafterRestitutionTax">
        <sch:assert test="(math:abs(((.)) - (((../ct:SAbeforeRestitutionTax + ../ct:TotalRestitutionTax) - sum(../ct:TaxAlreadyWithheld)))) &lt; 0.001)" id="a_SK017.0" diagnostics="errorCode.SK017.0 transactional.SK017.0 transactional.en.SK017.0 transactional.cy.SK017.0 ">[K30] should equal [K5] plus [K20] minus [K25].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p277">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax/ct:TaxCalculation/ct:RestitutionTaxNowPayable">
        <sch:assert test="(math:abs(((.)) - ((../ct:TotalRestitutionTax - sum(../ct:TaxAlreadyWithheld)))) &lt; 0.001)" id="a_SK018.0" diagnostics="errorCode.SK018.0 transactional.SK018.0 transactional.en.SK018.0 transactional.cy.SK018.0 ">[K35] should equal [K20] minus [K25].</sch:assert>
        <sch:assert test="../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:RestitutionTax and (math:abs((../../../ct:CalculationOfTaxOutstandingOrOverpaid/ct:RestitutionTax) - ((.))) &lt; 0.001)" id="a_SK018.1" diagnostics="errorCode.SK018.1 transactional.SK018.1 transactional.en.SK018.1 transactional.cy.SK018.1 ">If [K35] is submitted then [527] must be present and equal to [K35].</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p262">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:RestitutionTax">
        <sch:assert test="../ct:ReturnInfoSummary/ct:SupplementaryPages/ct:CT600K = &apos;yes&apos;" id="a_N113.0" diagnostics="errorCode.N113.0 transactional.N113.0 transactional.en.N113.0 transactional.cy.N113.0 ">[141] should equal 'yes' if [N113] is present.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p280">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts/ct:Instance/ct:EncodedInlineXBRLDocument">
        <sch:assert test="count(./../ct:EncodedInlineXBRLDocument) &lt;= 1
                or
              @Filename" id="a_ENCODEDINLINEXBRLDOCUMENT.2" diagnostics="errorCode.ENCODEDINLINEXBRLDOCUMENT.2 transactional.ENCODEDINLINEXBRLDOCUMENT.2 transactional.en.ENCODEDINLINEXBRLDOCUMENT.2 transactional.cy.ENCODEDINLINEXBRLDOCUMENT.2 ">If multiple repetitions of [ENCODEDINLINEXBRLDOCUMENT] are submitted, each must have a Filename attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p281">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts/ct:Instance/ct:InlineXBRLDocument">
        <sch:assert test="count(./../ct:InlineXBRLDocument) &lt;= 1
                or
              @Filename" id="a_INLINEXBRLDOCUMENT.2" diagnostics="errorCode.INLINEXBRLDOCUMENT.2 transactional.INLINEXBRLDOCUMENT.2 transactional.en.INLINEXBRLDOCUMENT.2 transactional.cy.INLINEXBRLDOCUMENT.2 ">If multiple repetitions of [INLINEXBRLDOCUMENT] are submitted, each must have a Filename attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p279">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts/ct:Instance">
        <sch:assert test="count(ct:EncodedInlineXBRLDocument) &lt; 2 or count(ct:EncodedInlineXBRLDocument[@entryPoint]) = 1" id="a_ENCODEDINLINEXBRLDOCUMENT.1" diagnostics="errorCode.ENCODEDINLINEXBRLDOCUMENT.1 transactional.ENCODEDINLINEXBRLDOCUMENT.1 transactional.en.ENCODEDINLINEXBRLDOCUMENT.1 transactional.cy.ENCODEDINLINEXBRLDOCUMENT.1 ">If multiple repetitions of EncodedInlineXBRLDocument are submitted, exactly one should have an EntryPoint attribute.</sch:assert>
        <sch:assert test="count(ct:InlineXBRLDocument) &lt; 2 or count(ct:InlineXBRLDocument[@entryPoint]) = 1" id="a_INLINEXBRLDOCUMENT.1" diagnostics="errorCode.INLINEXBRLDOCUMENT.1 transactional.INLINEXBRLDOCUMENT.1 transactional.en.INLINEXBRLDOCUMENT.1 transactional.cy.INLINEXBRLDOCUMENT.1 ">If multiple repetitions of InlineXBRLDocument are submitted, exactly one should have an EntryPoint attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p282">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Accounts/ct:Extension">
        <sch:assert test="not(../ct:Instance/ct:RawXBRLDocument)" id="a_EXTENSION.0" diagnostics="errorCode.EXTENSION.0 transactional.EXTENSION.0 transactional.en.EXTENSION.0 transactional.cy.EXTENSION.0 ">[EXTENSION] should not be present if [RAWXBRLDOCUMENT]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p284">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Computation/ct:Instance/ct:EncodedInlineXBRLDocument">
        <sch:assert test="count(./../ct:EncodedInlineXBRLDocument) &lt;= 1
                or
              @Filename" id="a_ENCODEDINLINEXBRLDOCUMENT.2.0" diagnostics="errorCode.ENCODEDINLINEXBRLDOCUMENT.2.0 transactional.ENCODEDINLINEXBRLDOCUMENT.2.0 transactional.en.ENCODEDINLINEXBRLDOCUMENT.2.0 transactional.cy.ENCODEDINLINEXBRLDOCUMENT.2.0 ">If multiple repetitions of [ENCODEDINLINEXBRLDOCUMENT] are submitted, each must have a Filename attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p285">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Computation/ct:Instance/ct:InlineXBRLDocument">
        <sch:assert test="count(./../ct:InlineXBRLDocument) &lt;= 1
                or
              @Filename" id="a_INLINEXBRLDOCUMENT.2.0" diagnostics="errorCode.INLINEXBRLDOCUMENT.2.0 transactional.INLINEXBRLDOCUMENT.2.0 transactional.en.INLINEXBRLDOCUMENT.2.0 transactional.cy.INLINEXBRLDOCUMENT.2.0 ">If multiple repetitions of [INLINEXBRLDOCUMENT] are submitted, each must have a Filename attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p283">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Computation/ct:Instance">
        <sch:assert test="count(ct:EncodedInlineXBRLDocument) &lt; 2 or count(ct:EncodedInlineXBRLDocument[@entryPoint]) = 1" id="a_ENCODEDINLINEXBRLDOCUMENT.1.0" diagnostics="errorCode.ENCODEDINLINEXBRLDOCUMENT.1.0 transactional.ENCODEDINLINEXBRLDOCUMENT.1.0 transactional.en.ENCODEDINLINEXBRLDOCUMENT.1.0 transactional.cy.ENCODEDINLINEXBRLDOCUMENT.1.0 ">If multiple repetitions of EncodedInlineXBRLDocument are submitted, exactly one should have an EntryPoint attribute.</sch:assert>
        <sch:assert test="count(ct:InlineXBRLDocument) &lt; 2 or count(ct:InlineXBRLDocument[@entryPoint]) = 1" id="a_INLINEXBRLDOCUMENT.1.0" diagnostics="errorCode.INLINEXBRLDOCUMENT.1.0 transactional.INLINEXBRLDOCUMENT.1.0 transactional.en.INLINEXBRLDOCUMENT.1.0 transactional.cy.INLINEXBRLDOCUMENT.1.0 ">If multiple repetitions of InlineXBRLDocument are submitted, exactly one should have an EntryPoint attribute.</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p286">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission/ct:Computation/ct:Extension">
        <sch:assert test="not(../ct:Instance/ct:RawXBRLDocument)" id="a_EXTENSION.0.0" diagnostics="errorCode.EXTENSION.0.0 transactional.EXTENSION.0.0 transactional.en.EXTENSION.0.0 transactional.cy.EXTENSION.0.0 ">[EXTENSION] should not be present if [RAWXBRLDOCUMENT]</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p278">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn/ct:AttachedFiles/ct:XBRLsubmission">
        <sch:assert test="../../ct:ReturnInfoSummary/ct:Accounts/ct:NoAccountsReason
                or
                  ct:Accounts" id="a_N107.1" diagnostics="errorCode.N107.1 transactional.N107.1 transactional.en.N107.1 transactional.cy.N107.1 ">If [90A] is absent then the 'Accounts' child element must be present</sch:assert>
        <sch:assert test="../../ct:ReturnInfoSummary/ct:Computations/ct:NoComputationsReason
                or
                  ct:Computation" id="a_N107.2" diagnostics="errorCode.N107.2 transactional.N107.2 transactional.en.N107.2 transactional.cy.N107.2 ">If [90B] is absent then the 'Computation' child element must be present</sch:assert>
      </sch:rule>
    </sch:pattern>
    <sch:pattern id="p3">
      <sch:rule context="/hd:GovTalkMessage/hd:Body/ct:IRenvelope/ct:CompanyTaxReturn">
        <sch:assert test="not(ct:CompanyTaxCalculation/ct:NetCorporationTaxChargeable &gt; 0) or ct:CalculationOfTaxOutstandingOrOverpaid/ct:NetCorporationTaxLiability" id="a_N002.0" diagnostics="errorCode.N002.0 transactional.N002.0 transactional.en.N002.0 transactional.cy.N002.0 ">[475] should be present if [440] exceeds 0</sch:assert>
      </sch:rule>
    </sch:pattern>
  <sch:diagnostics>
    <sch:diagnostic id="errorCode.CTIRheader.0">5004</sch:diagnostic>
    <sch:diagnostic id="transactional.CTIRheader.0">At least one key must exist in the IRHeader</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CTIRheader.0">At least one key must exist in the IRHeader</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CTIRheader.0">Mae'n rhaid i o leiaf un allwedd bodoli yn yr IRHeader</sch:diagnostic>
    <sch:diagnostic id="errorCode.CTIRheader.1">5005</sch:diagnostic>
    <sch:diagnostic id="transactional.CTIRheader.1">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CTIRheader.1">Keys in the GovTalkDetails do not match those in the IRheader.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CTIRheader.1">Nid yw'r allweddi yn y GovTalkDetails yn cyd-fynd â'r rheiny yn yr IRHeader.</sch:diagnostic>
    <sch:diagnostic id="errorCode.N002.0">9319</sch:diagnostic>
    <sch:diagnostic id="transactional.N002.0">Box 475 must be completed if Box 440 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N002.0">Box 475 must be completed if Box 440 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N002.0">Mae’n rhaid cwblhau Blwch 475 os yw Blwch 440 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.N007.0">9100</sch:diagnostic>
    <sch:diagnostic id="transactional.N007.0">There must be a Key element in the IRheader whose Type attribute is UTR and matches the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N007.0">There must be a Key element in the IRheader whose Type attribute is UTR and matches the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N007.0">Mae’n rhaid bod yna elfen Allweddol yn yr IRheader sydd â’i briodoledd Teip yn UTR ac sy'n cyd-fynd â’r cyfeirnod treth ym Mlwch 3</sch:diagnostic>
    <sch:diagnostic id="errorCode.N009.0">9102</sch:diagnostic>
    <sch:diagnostic id="transactional.N009.0">Boxes 5, 6, 7 and 8 can only be completed if the To date in Box 35 is on or after 01 April 2050</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N009.0">Boxes 5, 6, 7 and 8 can only be completed if the To date in Box 35 is on or after 01 April 2050</sch:diagnostic>
    <sch:diagnostic id="errorCode.N009.1">9014</sch:diagnostic>
    <sch:diagnostic id="transactional.N009.1">Box 125 must be completed if Box 5 is completed and Boxes 6, 7 and 8 are not completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N009.1">Box 125 must be completed if Box 5 is completed and Boxes 6, 7 and 8 are not completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N009c.0">9107</sch:diagnostic>
    <sch:diagnostic id="transactional.N009c.0">Box 7 must be completed if Box 6 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N009c.0">Box 7 must be completed if Box 6 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N009d.0">9108</sch:diagnostic>
    <sch:diagnostic id="transactional.N009d.0">Box 125 must be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N009d.0">Box 125 must be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N010.1">9101</sch:diagnostic>
    <sch:diagnostic id="transactional.N010.1">The return period covered in Boxes 30 and 35 must not be longer than 12 months</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N010.1">The return period covered in Boxes 30 and 35 must not be longer than 12 months</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N010.1">Ni ddylai cyfnod y ffurflen dreth a gwmpasir ym Mlychau 30 a 35 fod yn hirach na 12 mis</sch:diagnostic>
    <sch:diagnostic id="errorCode.N012.2">9103</sch:diagnostic>
    <sch:diagnostic id="transactional.N012.2">The return period From date in Box 30 must not be later than yesterday</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N012.2">The return period From date in Box 30 must not be later than yesterday</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N012.2">Ni ddylai dyddiad I cyfnod y ffurflen dreth ym Mlwch 30 fod yn hwyrach na ddoe</sch:diagnostic>
    <sch:diagnostic id="errorCode.N013.1">9105</sch:diagnostic>
    <sch:diagnostic id="transactional.N013.1">The return period To date in Box 35 must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N013.1">The return period To date in Box 35 must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N013.1">Mae’n rhaid i ddyddiad I cyfnod y ffurflen dreth ym Mlwch 35 fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.N013.2">9106</sch:diagnostic>
    <sch:diagnostic id="transactional.N013.2">The return period To date cannot be later than today unless the type of company is 3 (Company in liquidation which is chargeable at the main rate following the first period after liquidation)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N013.2">The return period To date cannot be later than today unless the type of company is 3 (Company in liquidation which is chargeable at the main rate following the first period after liquidation)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N013.2">Ni all dyddiad I cyfnod y ffurflen dreth fod yn hwyrach na heddiw heblaw bod y math o gwmni yn 3 (Cwmni mewn datodiad sy'n drethadwy ar y brif gyfradd yn dilyn y cyfnod cyntaf ar ôl datodiad)</sch:diagnostic>
    <sch:diagnostic id="errorCode.N021.1">9109</sch:diagnostic>
    <sch:diagnostic id="transactional.N021.1">If the return type is New then Box 140 must be completed if Box 65 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N021.1">If the return type is New then Box 140 must be completed if Box 65 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N021.1">Os ydy math y ffurflen dreth yn Newydd yna mae'n rhaid i Flwch 140 cael ei gwblhau os yw Blwch 65 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N022.1">9110</sch:diagnostic>
    <sch:diagnostic id="transactional.N022.1">Boxes 70 and 75 cannot both be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N022.1">Boxes 70 and 75 cannot both be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N022.1">Ni all Blychau 70 a 75 ill dau cael eu cwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028.2">9112</sch:diagnostic>
    <sch:diagnostic id="transactional.N028.2">You can only provide a set of PDF accounts if you also complete the 'No accounts reason' with the value of 'PDF accounts attached with explanation' </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028.2">You can only provide a set of PDF accounts if you also complete the 'No accounts reason' with the value of 'PDF accounts attached with explanation' </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028.2">Gallwch dim ond rhoi set o gyfrifon PDF os ydych hefyd yn cwblhau'r 'Rheswm dim cyfrifon' gyda'r gwerth 'Cyfrifon PDF sydd wedi eu hatodi ynghyd ag esboniad' </sch:diagnostic>
    <sch:diagnostic id="errorCode.N025.0">9113</sch:diagnostic>
    <sch:diagnostic id="transactional.N025.0">You must provide a set of iXBRL accounts if the 'No accounts reason' is absent</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N025.0">You must provide a set of iXBRL accounts if the 'No accounts reason' is absent</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N025.0">Mae'n rhaid i chi gyflwyno set o gyfrifon iXBRL os yw'r 'Rheswm dim cyfrifon' yn absennol</sch:diagnostic>
    <sch:diagnostic id="errorCode.N025.1">9114</sch:diagnostic>
    <sch:diagnostic id="transactional.N025.1">If 'No accounts reason' is absent or has been completed with 'PDF accounts attached with explanation' you must complete either 'This period accounts' or 'Different period accounts'</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N025.1">If 'No accounts reason' is absent or has been completed with 'PDF accounts attached with explanation' you must complete either 'This period accounts' or 'Different period accounts'</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N025.1">Os yw'r 'Rheswm dim cyfrifon' yn absennol neu wedi ei gwblhau gyda 'Cyfrifon PDF sydd wedi eu hatodi ynghyd ag esboniad' rhaid i chi gwblhau naill ai 'Cyfrifon y cyfnod hwn' neu 'Cyfrifon cyfnod gwahanol'</sch:diagnostic>
    <sch:diagnostic id="errorCode.N025.2">9116</sch:diagnostic>
    <sch:diagnostic id="transactional.N025.2">If 'No accounts reason' is present and has not been completed with 'PDF accounts attached with Explanation' you must not complete either 'This period accounts' or 'Different period accounts'</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N025.2">If 'No accounts reason' is present and has not been completed with 'PDF accounts attached with Explanation' you must not complete either 'This period accounts' or 'Different period accounts'</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N025.2">Os yw ''Rheswm dim cyfrifon' yn bresennol ac nid yw wedi ei gwblhau gyda 'Cyfrifon PDF sydd wedi eu hatodi ynghyd ag esboniad' ni ddylech gwblhau naill ai 'Cyfrifon y cyfnod hwn' neu 'Cyfrifon cyfnod gwahanol'</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028.3">9349</sch:diagnostic>
    <sch:diagnostic id="transactional.N028.3">iXBRL Accounts are attached so 'No accounts reason' must not be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028.3">iXBRL Accounts are attached so 'No accounts reason' must not be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028.3">Mae Cyfrifon iXBRL wedi eu hatodi felly ni ddylid cwblhau 'Rheswm dim cyfrifon'</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028.4">9115</sch:diagnostic>
    <sch:diagnostic id="transactional.N028.4">Amendment - accounts already submitted' cannot be used if the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028.4">Amendment - accounts already submitted' cannot be used if the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028.4">Diwygiad - ni ellid defnyddio cyfrifon sydd eisoes wedi eu cyflwyno os yw'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028.5">9971</sch:diagnostic>
    <sch:diagnostic id="transactional.N028.5">You must provide a set of PDF Accounts if 'No accounts reason' is completed with 'PDF accounts attached with explanation' </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028.5">You must provide a set of PDF Accounts if 'No accounts reason' is completed with 'PDF accounts attached with explanation' </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028.5">Mae'n rhaid i chi gyflwyno set o Gyfrifon PDF os yw'r 'Rheswm dim cyfrifon' wedi ei gwblhau gyda 'Cyfrifon PDF sydd wedi eu hatodi ynghyd ag esboniad' </sch:diagnostic>
    <sch:diagnostic id="errorCode.N028a.0">9965</sch:diagnostic>
    <sch:diagnostic id="transactional.N028a.0">You must provide a Tax Computation with the return unless you provide a valid reason not to supply it</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028a.0">You must provide a Tax Computation with the return unless you provide a valid reason not to supply it</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028a.0">Mae'n rhaid i chi gyflwyno Cyfrifiant Treth gyda'r ffurflen dreth oni bai eich bod yn rhoi rheswm dilys dros beidio â'i chyflwyno</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028a.1">9966</sch:diagnostic>
    <sch:diagnostic id="transactional.N028a.1">You cannot provide both iXBRL and PDF Tax Computations with the return</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028a.1">You cannot provide both iXBRL and PDF Tax Computations with the return</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028a.1">Ni allwch roi iXBRL a Chyfrifiannau Treth PDF gyda'r ffurflen dreth</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028d.4">9117</sch:diagnostic>
    <sch:diagnostic id="transactional.N028d.4">Computations in PDF format are attached so a reason for no Computations must not be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028d.4">Computations in PDF format are attached so a reason for no Computations must not be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028d.4">Mae Cyfrifiannau wedi eu hatodi mewn fformat PDF felly ni ddylid cwblhau rheswm ar gyfer dim Cyfrifiannau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028d.5">9118</sch:diagnostic>
    <sch:diagnostic id="transactional.N028d.5">Computations in iXBRL format are attached so a reason for no Computations must not be provided</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028d.5">Computations in iXBRL format are attached so a reason for no Computations must not be provided</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028d.5">Mae Cyfrifiannau wedi eu hatodi mewn fformat iXBRL felly ni ddylid rhoi rheswm ar gyfer dim Cyfrifiannau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N028d.6">9119</sch:diagnostic>
    <sch:diagnostic id="transactional.N028d.6">Amendments - computations already submitted' cannot be used if the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N028d.6">Amendments - computations already submitted' cannot be used if the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N028d.6">Diwygiadau - ni ellid defnyddio cyfrifiannu sydd eisoes wedi eu cyflwyno os yw'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N030.0">9120</sch:diagnostic>
    <sch:diagnostic id="transactional.N030.0">Supplementary form CT600A must be present if Box 95 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N030.0">Supplementary form CT600A must be present if Box 95 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N030.0">Mae’n rhaid i’r ffurflen atodol CT600A fod yn bresennol os yw Blwch 95 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N031.0">9121</sch:diagnostic>
    <sch:diagnostic id="transactional.N031.0">Supplementary form CT600B must be present if Box 100 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N031.0">Supplementary form CT600B must be present if Box 100 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N031.0">Mae’n rhaid i’r ffurflen atodol CT600B fod yn bresennol os yw Blwch 100 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N032.0">9123</sch:diagnostic>
    <sch:diagnostic id="transactional.N032.0">Supplementary form CT600C must be present if Box 105 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N032.0">Supplementary form CT600C must be present if Box 105 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N032.0">Mae’n rhaid i’r ffurflen atodol CT600C fod yn bresennol os yw Blwch 105 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N033.0">9124</sch:diagnostic>
    <sch:diagnostic id="transactional.N033.0">Supplementary form CT600D must be present if Box 110 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N033.0">Supplementary form CT600D must be present if Box 110 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N033.0">Mae’n rhaid i’r ffurflen atodol CT600D fod yn bresennol os yw Blwch 110 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N034.0">9125</sch:diagnostic>
    <sch:diagnostic id="transactional.N034.0">Supplementary form CT600E must be present if Box 115 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N034.0">Supplementary form CT600E must be present if Box 115 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N034.0">Mae’n rhaid i’r ffurflen atodol CT600E fod yn bresennol os yw Blwch 115 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N035.0">9126</sch:diagnostic>
    <sch:diagnostic id="transactional.N035.0">Supplementary form CT600F must be present if Box 120 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N035.0">Supplementary form CT600F must be present if Box 120 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N035.0">Mae’n rhaid i’r ffurflen atodol CT600F fod yn bresennol os yw Blwch 120 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N002.13">9127</sch:diagnostic>
    <sch:diagnostic id="transactional.N002.13">If Box 120 is completed then Box 200 must be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N002.13">If Box 120 is completed then Box 200 must be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N002.13">Os yw Blwch 120 wedi ei gwblhau yna mae’n rhaid i Flwch 200 gael ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.N036.0">9128</sch:diagnostic>
    <sch:diagnostic id="transactional.N036.0">Box 125 must not be completed if Boxes 6 or 7 are completed and Box 8 is not completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N036.0">Box 125 must not be completed if Boxes 6 or 7 are completed and Box 8 is not completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N036.1">9131</sch:diagnostic>
    <sch:diagnostic id="transactional.N036.1">Box 125 must not be completed if Box 5 is not completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N036.1">Box 125 must not be completed if Box 5 is not completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N036.2">9133</sch:diagnostic>
    <sch:diagnostic id="transactional.N036.2">Supplementary form CT600G must be present if Box 125 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N036.2">Supplementary form CT600G must be present if Box 125 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N036.3">9135</sch:diagnostic>
    <sch:diagnostic id="transactional.N036.3">Box G90 must be completed if Boxes 125 and 280 are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N036.3">Box G90 must be completed if Boxes 125 and 280 are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N037.0">9129</sch:diagnostic>
    <sch:diagnostic id="transactional.N037.0">Supplementary form CT600H must be present if Box 130 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N037.0">Supplementary form CT600H must be present if Box 130 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N037.0">Mae’n rhaid i’r ffurflen atodol CT600H fod yn bresennol os yw Blwch 130 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N037.1">9130</sch:diagnostic>
    <sch:diagnostic id="transactional.N037.1">If Box 130 is completed then Box 645 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N037.1">If Box 130 is completed then Box 645 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N037.1">Os yw Blwch 130 wedi ei gwblhau yna mae’n rhaid i Flwch 645 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N038.1">9132</sch:diagnostic>
    <sch:diagnostic id="transactional.N038.1">Supplementary form CT600I must be present if Box 135 is completed and the return type is New </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N038.1">Supplementary form CT600I must be present if Box 135 is completed and the return type is New </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N038.1">Mae’n rhaid i’r ffurflen atodol CT600I fod yn bresennol os yw Blwch 135 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd </sch:diagnostic>
    <sch:diagnostic id="errorCode.N039.1">9134</sch:diagnostic>
    <sch:diagnostic id="transactional.N039.1">If Box 140 is completed then Box 65 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N039.1">If Box 140 is completed then Box 65 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N039.1">Os yw Blwch 140 wedi ei gwblhau yna mae’n rhaid i Flwch 65 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N039.2">9136</sch:diagnostic>
    <sch:diagnostic id="transactional.N039.2">Supplementary form CT600J must be present if Box 140 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N039.2">Supplementary form CT600J must be present if Box 140 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N039.2">Mae’n rhaid i’r ffurflen atodol CT600J fod yn bresennol os yw Blwch 140 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N112.0">9137</sch:diagnostic>
    <sch:diagnostic id="transactional.N112.0">Supplementary form CT600K must be present if Box 141 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N112.0">Supplementary form CT600K must be present if Box 141 is completed and the return type is New</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N112.0">Mae’n rhaid i’r ffurflen atodol CT600K fod yn bresennol os yw Blwch 141 wedi ei gwblhau ac mae'r math o ffurflen dreth yn Newydd</sch:diagnostic>
    <sch:diagnostic id="errorCode.N041.1">9140</sch:diagnostic>
    <sch:diagnostic id="transactional.N041.1">If Box F45 is completed then Box 450 must be greater than or equal to that entry</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N041.1">If Box F45 is completed then Box 450 must be greater than or equal to that entry</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N041.1">Os yw Blwch F45 wedi ei gwblhau yna mae’n rhaid i Flwch 450 fod yn fwy na neu'n hafal i'r cofnod hwnnw</sch:diagnostic>
    <sch:diagnostic id="errorCode.N002.10">9144</sch:diagnostic>
    <sch:diagnostic id="transactional.N002.10">Box 330 must be completed if Box 315 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N002.10">Box 330 must be completed if Box 315 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N002.10">Mae’n rhaid cwblhau Blwch 330 os yw Blwch 315 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.N002.11">9146</sch:diagnostic>
    <sch:diagnostic id="transactional.N002.11">Box 430 must be completed if Box 345 or Box 395 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N002.11">Box 430 must be completed if Box 345 or Box 395 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N002.11">Mae’n rhaid cwblhau Blwch 430 os yw Blwch 345 neu Flwch 395 wedi eu cwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N041.2">9320</sch:diagnostic>
    <sch:diagnostic id="transactional.N041.2">Box 300 must be completed if Box 235 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N041.2">Box 300 must be completed if Box 235 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N041.2">Mae’n rhaid cwblhau Blwch 300 os yw Blwch 235 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.8">9327</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.8">Box 235 must be completed if (the sum of Boxes 195, 200 and 205) is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.8">Box 235 must be completed if (the sum of Boxes 195, 200 and 205) is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.8">Mae’n rhaid cwblhau Blwch 235 os yw (swm Blychau 195, 200 a 205) yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.N043.0">9148</sch:diagnostic>
    <sch:diagnostic id="transactional.N043.0">Box 165 must be completed if Box 155 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N043.0">Box 165 must be completed if Box 155 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N043.0">Mae’n rhaid cwblhau Blwch 165 os yw Blwch 155 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F002.1">9149</sch:diagnostic>
    <sch:diagnostic id="transactional.F002.1">Box 160 must not be greater than Box 155</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F002.1">Box 160 must not be greater than Box 155</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F002.1">Ni ddylai Blwch 160 fod yn fwy na Blwch 155</sch:diagnostic>
    <sch:diagnostic id="errorCode.F002.0">9150</sch:diagnostic>
    <sch:diagnostic id="transactional.F002.0">If Box 160 is completed then Box 155 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F002.0">If Box 160 is completed then Box 155 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F002.0">Os yw Blwch 160 wedi ei gwblhau yna mae’n rhaid i Flwch 155 fod yn fwy na 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F003.1">9151</sch:diagnostic>
    <sch:diagnostic id="transactional.F003.1">Box 165 must equal Box 155 minus Box 160</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F003.1">Box 165 must equal Box 155 minus Box 160</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F003.1">Mae’n rhaid i Flwch 165 fod yn hafal i Flwch 155 llai Blwch 160</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.2">9321</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.2">Box 235 must be completed if Box 165 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.2">Box 235 must be completed if Box 165 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.2">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 165 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.3">9322</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.3">Box 235 must be completed if Box 170 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.3">Box 235 must be completed if Box 170 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.3">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 170 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.4">9323</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.4">Box 235 must be completed if Box 175 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.4">Box 235 must be completed if Box 175 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.4">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 175 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.5">9324</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.5">Box 235 must be completed if Box 180 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.5">Box 235 must be completed if Box 180 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.5">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 180 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.6">9325</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.6">Box 235 must be completed if Box 185 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.6">Box 235 must be completed if Box 185 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.6">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 185 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.7">9326</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.7">Box 235 must be completed if Box 190 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.7">Box 235 must be completed if Box 190 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.7">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 190 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F175.0">9154</sch:diagnostic>
    <sch:diagnostic id="transactional.F175.0">Box 200 can only be completed if Box 120 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F175.0">Box 200 can only be completed if Box 120 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F175.0">Gellir ond cwblhau Blwch 200 os yw Blwch 120 wedi ei gwblhau neu mae'r math o ffurflen dreth yn 'Diwygiedig'</sch:diagnostic>
    <sch:diagnostic id="errorCode.F175.1">9155</sch:diagnostic>
    <sch:diagnostic id="transactional.F175.1">If Box F70 is completed then Box 200 must equal Box F70</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F175.1">If Box F70 is completed then Box 200 must equal Box F70</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F175.1">Os yw Blwch F70 wedi ei gwblhau yna mae’n rhaid i Flwch 200 fod yn hafal i Flwch F70</sch:diagnostic>
    <sch:diagnostic id="errorCode.F012.1">9157</sch:diagnostic>
    <sch:diagnostic id="transactional.F012.1">Box 215 must not be greater than Box 210</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F012.1">Box 215 must not be greater than Box 210</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F012.1">Ni ddylai Blwch 215 fod yn fwy na Blwch 210</sch:diagnostic>
    <sch:diagnostic id="errorCode.F012.2">9158</sch:diagnostic>
    <sch:diagnostic id="transactional.F012.2">If Box 215 is completed then Box 210 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F012.2">If Box 215 is completed then Box 210 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F012.2">Os yw Blwch 215 wedi ei gwblhau yna mae’n rhaid i Flwch 210 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F013.1">9159</sch:diagnostic>
    <sch:diagnostic id="transactional.F013.1">Box 220 must equal Box 210 minus Box 215</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F013.1">Box 220 must equal Box 210 minus Box 215</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F013.1">Mae’n rhaid i Flwch 220 fod yn hafal i Flwch 210 llai Blwch 215</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.9">9331</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.9">Box 235 must be completed if Box 220 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.9">Box 235 must be completed if Box 220 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.9">Mae’n rhaid cwblhau Blwch 235 os yw Blwch 220 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F020.0">9160</sch:diagnostic>
    <sch:diagnostic id="transactional.F020.0">Box 225 must not be greater than the sum of Boxes 170, 175, 180, 185, 190, 195, 200, 205 and 220</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F020.0">Box 225 must not be greater than the sum of Boxes 170, 175, 180, 185, 190, 195, 200, 205 and 220</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F020.0">Ni ddylai Blwch 225 fod yn fwy na swm Blychau 170, 175, 180, 185, 190, 195, 200, 205 a 220</sch:diagnostic>
    <sch:diagnostic id="errorCode.F139.0">9161</sch:diagnostic>
    <sch:diagnostic id="transactional.F139.0">Box 230 must not be greater than (the sum of Boxes 170, 175, 180, 185, 190, 195, 200, 205 and 220) minus Box 225</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F139.0">Box 230 must not be greater than (the sum of Boxes 170, 175, 180, 185, 190, 195, 200, 205 and 220) minus Box 225</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F139.0">Mae’n rhaid i Flwch 230 fod yn hafal i (swm Blychau 170, 175, 180, 185, 190, 195, 200, 205 a 220) llai Blwch 225</sch:diagnostic>
    <sch:diagnostic id="errorCode.F014.1">9332</sch:diagnostic>
    <sch:diagnostic id="transactional.F014.1">Box 235 must equal (the sum of Boxes 165, 170, 175, 180, 185, 190, 195, 200, 205 and 220 ) minus (the sum of Boxes 225 and 230 ) )</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F014.1">Box 235 must equal (the sum of Boxes 165, 170, 175, 180, 185, 190, 195, 200, 205 and 220 ) minus (the sum of Boxes 225 and 230 ) )</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F014.1">Mae’n rhaid i Flwch 235 fod yn hafal i (swm Blychau 165, 170, 175, 180, 185, 190, 195, 200 a 220) llai (swm Blychau 225 a 230) )</sch:diagnostic>
    <sch:diagnostic id="errorCode.N046.0">9318</sch:diagnostic>
    <sch:diagnostic id="transactional.N046.0">Box 295 must be completed if the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N046.0">Box 295 must be completed if the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N046.0">Mae’n rhaid cwblhau Blwch 295 os yw swm Blychau 240, 245, 250, 255, 260, 263, 265, 275, 285 a 290 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F015.1">9166</sch:diagnostic>
    <sch:diagnostic id="transactional.F015.1">Box 240 must not be greater than Box 235</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F015.1">Box 240 must not be greater than Box 235</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F015.1">Ni ddylai Blwch 240 fod yn fwy na Blwch 235</sch:diagnostic>
    <sch:diagnostic id="errorCode.F018.1">9167</sch:diagnostic>
    <sch:diagnostic id="transactional.F018.1">Box 245 must not be greater than Box 235 minus Box 240</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F018.1">Box 245 must not be greater than Box 235 minus Box 240</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F018.1">Ni ddylai Blwch 245 fod yn fwy na Blwch 235 llai Blwch 240</sch:diagnostic>
    <sch:diagnostic id="errorCode.F085.0">9169</sch:diagnostic>
    <sch:diagnostic id="transactional.F085.0">Box 250 must not be greater than Box 235 minus (the sum of Boxes 240 and 245)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F085.0">Box 250 must not be greater than Box 235 minus (the sum of Boxes 240 and 245)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F085.0">Ni ddylai Blwch 250 fod yn fwy na Blwch 235 llai (swm Blychau 240 a 245)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F086.0">9170</sch:diagnostic>
    <sch:diagnostic id="transactional.F086.0">Box 255 must not be greater than Box 235 minus (the sum of Boxes 240, 245 and 250</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F086.0">Box 255 must not be greater than Box 235 minus (the sum of Boxes 240, 245 and 250</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F086.0">Ni ddylai Blwch 255 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245 a 250)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F140.0">9171</sch:diagnostic>
    <sch:diagnostic id="transactional.F140.0">Box 260 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250 and 255)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F140.0">Box 260 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250 and 255)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F140.0">Ni ddylai Blwch 260 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250 a 255)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F238.0">9371</sch:diagnostic>
    <sch:diagnostic id="transactional.F238.0">Box 263 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255 and 260)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F238.0">Box 263 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255 and 260)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F238.0">Ni ddylai Blwch 263 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255 a 260)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F198.3">9172</sch:diagnostic>
    <sch:diagnostic id="transactional.F198.3">Box 265 must be less than or equal to Box 830</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F198.3">Box 265 must be less than or equal to Box 830</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F198.3">Mae’n rhaid i Flwch 265 fod yn llai neu’n hafal i Flwch 830</sch:diagnostic>
    <sch:diagnostic id="errorCode.F198.0">9173</sch:diagnostic>
    <sch:diagnostic id="transactional.F198.0">Box 265 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260 and 263)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F198.0">Box 265 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260 and 263)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F198.0">Ni ddylai Blwch 265 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260 a 263)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F016.1">9175</sch:diagnostic>
    <sch:diagnostic id="transactional.F016.1">If Box 280 is not completed then Box 275 must be less than or equal to Box 780</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F016.1">If Box 280 is not completed then Box 275 must be less than or equal to Box 780</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F016.1">Os na yw Blwch 280 wedi ei gwblhau yna mae’n rhaid i Flwch 275 fod yn llai na neu'n hafal i Flwch 780</sch:diagnostic>
    <sch:diagnostic id="errorCode.F016.0">9176</sch:diagnostic>
    <sch:diagnostic id="transactional.F016.0">Box 275 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263 and 265)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F016.0">Box 275 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263 and 265)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F016.0">Ni ddylai Blwch 275 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263 a 265)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F904.0">9174</sch:diagnostic>
    <sch:diagnostic id="transactional.F904.0">If Box 280 is completed then Box 275 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F904.0">If Box 280 is completed then Box 275 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F904.0">Os yw Blwch 280 wedi ei gwblhau yna mae’n rhaid i Flwch 275 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F239.0">9372</sch:diagnostic>
    <sch:diagnostic id="transactional.F239.0">Box 285 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265 and 275)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F239.0">Box 285 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265 and 275)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F239.0">Ni ddylai Blwch 285 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263, 265 a 275)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F019.0">9178</sch:diagnostic>
    <sch:diagnostic id="transactional.F019.0">Box 290 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275 and 285)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F019.0">Box 290 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275 and 285)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F019.0">Ni ddylai Blwch 290 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263, 265, 275 a 285)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F021.2">9179</sch:diagnostic>
    <sch:diagnostic id="transactional.F021.2">Box 295 must not be greater than Box 235</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F021.2">Box 295 must not be greater than Box 235</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F021.2">Ni ddylai Blwch 295 fod yn fwy na Blwch 235</sch:diagnostic>
    <sch:diagnostic id="errorCode.F021.0">9180</sch:diagnostic>
    <sch:diagnostic id="transactional.F021.0">Box 295 must equal the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F021.0">Box 295 must equal the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F021.0">Mae’n rhaid i Flwch 295 fod yn hafal i swm Blychau 240, 245, 250, 255, 260, 263, 265, 275, 285 a 290</sch:diagnostic>
    <sch:diagnostic id="errorCode.F022.1">9334</sch:diagnostic>
    <sch:diagnostic id="transactional.F022.1">If Box 300 is completed then Box 305 must not be greater than Box 300</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F022.1">If Box 300 is completed then Box 305 must not be greater than Box 300</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F022.1">Os yw Blwch 300 wedi ei gwblhau yna ni ddylai Blwch 305 fod yn fwy na Blwch 300</sch:diagnostic>
    <sch:diagnostic id="errorCode.F022.3">9335</sch:diagnostic>
    <sch:diagnostic id="transactional.F022.3">If Box 300 is completed then Box 315 must equal Box 300 minus (the sum of Boxes 305, 310 and 312)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F022.3">If Box 300 is completed then Box 315 must equal Box 300 minus (the sum of Boxes 305, 310 and 312)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F022.3">Os yw Blwch 300 wedi ei gwblhau yna mae’n rhaid i Flwch 315 fod yn hafal i Flwch 300 llai (swm Blychau 305, 310 a 312)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F022.0">9333</sch:diagnostic>
    <sch:diagnostic id="transactional.F022.0">Box 300 must equal Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F022.0">Box 300 must equal Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F022.0">Mae’n rhaid i Flwch 300 fod yn hafal i Flwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 265, 263, 275, 285 a 290)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F023.0">9336</sch:diagnostic>
    <sch:diagnostic id="transactional.F023.0">If Box 300 is absent then Box 305 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F023.0">If Box 300 is absent then Box 305 must not be greater than Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F023.0">Os yw Blwch 300 yn absennol ni ddylai Blwch 305 fod yn fwy na Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263, 265, 275, 285 a 290)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F025.2">9954</sch:diagnostic>
    <sch:diagnostic id="transactional.F025.2">Box C10 must be completed if the return type is New and Box 310 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F025.2">Box C10 must be completed if the return type is New and Box 310 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F025.2">Mae’n rhaid cwblhau Blwch C10 os yw math y ffurflen dreth yn Newydd a Blwch 310 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F025.0">9185</sch:diagnostic>
    <sch:diagnostic id="transactional.F025.0">Box 310 can only be completed if Box 105 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F025.0">Box 310 can only be completed if Box 105 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F025.0">Gellir ond cwblhau Blwch 310 os yw Blwch 105 wedi ei gwblhau neu mae'r math o ffurflen dreth yn 'Diwygiedig'</sch:diagnostic>
    <sch:diagnostic id="errorCode.F025.3">9955</sch:diagnostic>
    <sch:diagnostic id="transactional.F025.3">If return type is New and Box 310 is greater than 0 (zero) then 'Copy of Notices of Consent Attached' must be Yes or 'Authorisation of claim to group relief for simplified arrangements' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F025.3">If return type is New and Box 310 is greater than 0 (zero) then 'Copy of Notices of Consent Attached' must be Yes or 'Authorisation of claim to group relief for simplified arrangements' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F025.3">Os yw math y ffurflen dreth yn Newydd a Blwch 310 yn fwy na 0 (sero) yna mae'n rhaid i 'Copi o Hysbysiadau Cydsynio wedi eu hatodi' fod yn Iawn neu mae'n rhaid cwblhau 'Awdurdod o gais ar gyfer rhyddhad grŵp ar gyfer trefniadau syml'</sch:diagnostic>
    <sch:diagnostic id="errorCode.F025.1">9337</sch:diagnostic>
    <sch:diagnostic id="transactional.F025.1">Box 310 must not be greater than (Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)) minus Box 305</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F025.1">Box 310 must not be greater than (Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285 and 290)) minus Box 305</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F025.1">Ni ddylai Blwch 310 fod yn fwy na (Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263, 265, 275, 285 a 290)) llai Blwch 305</sch:diagnostic>
    <sch:diagnostic id="errorCode.F240.0">9373</sch:diagnostic>
    <sch:diagnostic id="transactional.F240.0">Box 312 can only be completed if Box 105 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F240.0">Box 312 can only be completed if Box 105 is completed or the return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F240.0">Gellir ond llenwi Blwch 312 os yw Blwch 105 wedi ei lenwi neu os mai 'Diwygiedig' yw math y Ffurflen Dreth</sch:diagnostic>
    <sch:diagnostic id="errorCode.F240.1">9374</sch:diagnostic>
    <sch:diagnostic id="transactional.F240.1">Box 312 must not be greater than (Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 265, 275, 285 and 290)) minus (the sum of Boxes 305 and 310)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F240.1">Box 312 must not be greater than (Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 265, 275, 285 and 290)) minus (the sum of Boxes 305 and 310)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F240.1">Ni ddylai Blwch 312 fod yn fwy na (Blwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 265, 275, 285 a 290)) llai (swm Blychau 305 a 310)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F240.2">9375</sch:diagnostic>
    <sch:diagnostic id="transactional.F240.2">Box C130 must be completed if the return type is New and Box 312 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F240.2">Box C130 must be completed if the return type is New and Box 312 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F240.2">Mae’n rhaid cwblhau Blwch C130 os yw math y ffurflen dreth yn Newydd a Blwch 312 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F240.3">9376</sch:diagnostic>
    <sch:diagnostic id="transactional.F240.3">If return type is New and Box 312 is greater than 0 (zero) then 'Copy of Notices of Consent Attached' must be Yes or 'Authorisation of claim to group relief for carried forward losses' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F240.3">If return type is New and Box 312 is greater than 0 (zero) then 'Copy of Notices of Consent Attached' must be Yes or 'Authorisation of claim to group relief for carried forward losses' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F240.3">Os mai 'Newydd' yw math y Ffurflen Dreth a bod Blwch 312 yn fwy na 0 (sero), mae'n rhaid i 'Copi o Hysbysiadau Cydsynio wedi eu hatodi' fod yn 'Iawn' neu mae'n rhaid llenwi 'Awdurdodi cais am ryddhad grŵp ar gyfer colledion a gariwyd ymlaen'</sch:diagnostic>
    <sch:diagnostic id="errorCode.F900.1">9186</sch:diagnostic>
    <sch:diagnostic id="transactional.F900.1">Box 315 must equal the sum of Boxes 335, 350, 365, 385, 400 and 415</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F900.1">Box 315 must equal the sum of Boxes 335, 350, 365, 385, 400 and 415</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F900.1">Mae’n rhaid i Flwch 315 fod yn hafal i swm Blychau 335, 350, 365, 385, 400 a 415</sch:diagnostic>
    <sch:diagnostic id="errorCode.F900.2">9338</sch:diagnostic>
    <sch:diagnostic id="transactional.F900.2">If Box 300 is absent then Box 315 must equal Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285, 290, 305, 310 and 312)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F900.2">If Box 300 is absent then Box 315 must equal Box 235 minus (the sum of Boxes 240, 245, 250, 255, 260, 263, 265, 275, 285, 290, 305, 310 and 312)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F900.2">Os yw Blwch 300 yn absennol ni ddylai Blwch 315 fod yn hafal i Flwch 235 llai (swm Blychau 240, 245, 250, 255, 260, 263, 265, 275, 285, 290, 305, 310 a 312)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F900.0">9188</sch:diagnostic>
    <sch:diagnostic id="transactional.F900.0">Financial year two information must be provided if Box 315 is greater than 0 (zero) and the return period To date in Box 35 falls in the financial year following that of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F900.0">Financial year two information must be provided if Box 315 is greater than 0 (zero) and the return period To date in Box 35 falls in the financial year following that of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F900.0">Mae’n rhaid darparu gwybodaeth blwyddyn ariannol dau os yw Blwch 315 yn fwy na 0 (sero) a’r dyddiad I cyfnod y ffurflen dreth ym Mlwch 35 yn syrthio yn y flwyddyn ariannol sy’n dilyn dyddiad O cyfnody ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.F229.2">9190</sch:diagnostic>
    <sch:diagnostic id="transactional.F229.2">Box 320 must not be greater than Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F229.2">Box 320 must not be greater than Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F229.2">Ni ddylai Blwch 320 fod yn fwy na Blwch 315</sch:diagnostic>
    <sch:diagnostic id="errorCode.F229.3">9956</sch:diagnostic>
    <sch:diagnostic id="transactional.F229.3">Box 320 can only be completed if Box 135 is completed or return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F229.3">Box 320 can only be completed if Box 135 is completed or return type is Amended</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F229.3">Gellir ond cwblhau Blwch 320 os yw Blwch 135 wedi ei gwblhau neu mae'r math o ffurflen dreth yn Diwygiedig</sch:diagnostic>
    <sch:diagnostic id="errorCode.F241.0">9138</sch:diagnostic>
    <sch:diagnostic id="transactional.F241.0">Box 325 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F241.0">Box 325 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F241.1">9139</sch:diagnostic>
    <sch:diagnostic id="transactional.F241.1">Box 325 must not be greater than Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F241.1">Box 325 must not be greater than Box 315</sch:diagnostic>
    <sch:diagnostic id="errorCode.F032.1">9195</sch:diagnostic>
    <sch:diagnostic id="transactional.F032.1">Box 330 must equal the equivalent financial year of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F032.1">Box 330 must equal the equivalent financial year of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F032.1">Mae’n rhaid i Flwch 330 fod yn hafal i’r flwyddyn ariannol gyfwerth o ddyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.F032.3">9197</sch:diagnostic>
    <sch:diagnostic id="transactional.F032.3">Where the return period From date in Box 30 and the return period To date in Box 35 are in the same financial year then the sum of Boxes 335, 350 and 365 must equal Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F032.3">Where the return period From date in Box 30 and the return period To date in Box 35 are in the same financial year then the sum of Boxes 335, 350 and 365 must equal Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F032.3">Pan fo dyddiad O cyfnod y ffurflen dreth ym Mlwch 30 a'r dyddiad I cyfnod y ffurflen dreth ym Mlwch 35 yn yr unflwyddyn ariannol, mae’n rhaid i swm Blychau 335, 350 a 365 fod yn hafal i Flwch 315</sch:diagnostic>
    <sch:diagnostic id="errorCode.F032.4">9198</sch:diagnostic>
    <sch:diagnostic id="transactional.F032.4">Where the return period From date in Box 30 and the return period To date in Box 35 are in different financial years then the sum of Boxes 335, 350 and 365 must equal Box 315 apportioned to the first financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F032.4">Where the return period From date in Box 30 and the return period To date in Box 35 are in different financial years then the sum of Boxes 335, 350 and 365 must equal Box 315 apportioned to the first financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F032.4">Pan fo dyddiad O cyfnod y ffurflen dreth ym Mlwch 30 a'r dyddiad I cyfnod y ffurflen dreth ym Mlwch 35 mewn blynyddoedd ariannol gwahanol, mae’n rhaid i swm Blychau 335, 350 a 365 fod yn hafal i Flwch 315, wedi ei ddosrannu i’r flwyddyn ariannol gyntaf</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.5">9199</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.5">If the type of company is 5 (Insurance) than an applicable tax rate from one of [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT] must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.5">If the type of company is 5 (Insurance) than an applicable tax rate from one of [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT] must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F034.5">Os yw'r math o gwmni yn 5 (Yswiriant), yna mae'n rhaid defnyddio cyfradd treth cymwys o un o'r rhain: [CYFRADD LAWN O CT], [CYFRADD CYFWERTH ISEL O CT], [CYFRADD RF LLAWN O CT] neu [CYFRADD RF CWMNI BACH O CT] </sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.4">9200</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.4">If the type of company is 0 (UK trading or Professional Services or CASC) then an applicable tax rate from one of [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS] must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.4">If the type of company is 0 (UK trading or Professional Services or CASC) then an applicable tax rate from one of [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS] must be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.3">9201</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.3">If the type of company is 4 then the [FULL RATE OF CT] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.3">If the type of company is 4 then the [FULL RATE OF CT] of tax must be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.1">9202</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.1">If the company type is 1 (Unit trust or open-ended investment company) than the [EQUIV. LOW CT RATE] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.1">If the company type is 1 (Unit trust or open-ended investment company) than the [EQUIV. LOW CT RATE] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F034.1">Os yw'r math o gwmni yn 1 (Ymddiriedolaeth unedol neu gwmnïau bpuddsoddi enagored), yna mae'n rhaid defnyddio [CYFRADD CYFWERTH ISEL O CT] </sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.2">9203</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.2">If the type of company is 2 (Close investment-holding company) then the [FULL RATE OF CT] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.2">If the type of company is 2 (Close investment-holding company) then the [FULL RATE OF CT] of tax must be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.6">9143</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.6">If the type of company is 3 (Company in liquidation) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.6">If the type of company is 3 (Company in liquidation) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.7">9145</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.7">If the type of company is 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.7">If the type of company is 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F034.8">9147</sch:diagnostic>
    <sch:diagnostic id="transactional.F034.8">If the type of company is 0 (UK trading or Professional Services or CASC), 3 (Company in liquidation), 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) and the [CT RATE FOR NI TRADING PROFITS] of tax is different to all other CT rates and has been used  then Box 586 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F034.8">If the type of company is 0 (UK trading or Professional Services or CASC), 3 (Company in liquidation), 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) and the [CT RATE FOR NI TRADING PROFITS] of tax is different to all other CT rates and has been used  then Box 586 must be completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F035.0">9204</sch:diagnostic>
    <sch:diagnostic id="transactional.F035.0">The amount of Tax must equal the Amount of profit multiplied by the Rate of tax e.g. Box 345 must equal Box 335 multiplied by Box 340</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F035.0">The amount of Tax must equal the Amount of profit multiplied by the Rate of tax e.g. Box 345 must equal Box 335 multiplied by Box 340</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F035.0">Mae'n rhaid i swm y Dreth fod yn hafal i Swm yr elw wedi ei luosi â'r Gyfradd dreth h.y. mae'n rhaid i Flwch 345 fod yn hafal i Flwch 335 wedi ei luosi â Blwch 340</sch:diagnostic>
    <sch:diagnostic id="errorCode.N052b.0">9206</sch:diagnostic>
    <sch:diagnostic id="transactional.N052b.0">Financial year two information must not be completed if the accounting period falls within the same financial year.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N052b.0">Financial year two information must not be completed if the accounting period falls within the same financial year.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N052b.0">Ni ddylid cwblhau gwybodaeth blwyddyn ariannol dau os yw’r cyfnod cyfrifo yn syrthio o fewn yr un flwyddyn ariannol.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F039.0">9207</sch:diagnostic>
    <sch:diagnostic id="transactional.F039.0">Box 380 must equal Box 330 plus one.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F039.0">Box 380 must equal Box 330 plus one.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F039.0">Mae’n rhaid i Flwch 380 fod yn hafal i Blwch 330 plws un.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.5">9208</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.5">If the type of company is 5 (Insurance) than an applicable tax rate from one of [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT] must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.5">If the type of company is 5 (Insurance) than an applicable tax rate from one of [FULL RATE OF CT], [EQUIV. LOW CT RATE], [FULL RF RATE OF CT] or [RF SMALL CO RATE OF CT] must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F041.5">Os yw'r math o gwmni yn 5 (Yswiriant) yna mae'n rhaid defnyddio cyfradd treth gymwys o un o'r rhain: [CYFRADD LAWN O CT], [CYFRADD CYFWERTH ISEL O CT], [CYFRADD RF LLAWN O CT] neu [CYFRADD RF CWMNI BACH O CT] ar gyfer yr ail flwyddyn ariannol </sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.4">9209</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.4">If the type of company is 0 (UK trading or Professional Services or CASC) then an applicable tax rate from one of [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS] must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.4">If the type of company is 0 (UK trading or Professional Services or CASC) then an applicable tax rate from one of [FULL RATE OF CT], [FULL RF RATE OF CT], [RF SMALL CO RATE OF CT] or [CT RATE FOR NI TRADING PROFITS] must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.3">9210</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.3">If the type of company is 4 then the [FULL RATE OF CT] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.3">If the type of company is 4 then the [FULL RATE OF CT] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.1">9211</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.1">If the company type is 1 (Unit trust or open-ended investment company) than the [EQUIV. LOW CT RATE] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.1">If the company type is 1 (Unit trust or open-ended investment company) than the [EQUIV. LOW CT RATE] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F041.1">Os yw’r math o gwmni yn 1 (Ymddiriedolaeth unedol neu gwmnïau buddsoddi penagored) mae’n rhaid defnyddio'r [CYFRADD CYFWERTH ISEL O CT] o dreth am yr ail flwyddyn ariannol </sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.2">9212</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.2">If the type of company is 2 (Close investment-holding company) then the [FULL RATE OF CT] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.2">If the type of company is 2 (Close investment-holding company) then the [FULL RATE OF CT] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.6">9152</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.6">If the type of company is 3 (Company in liquidation) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.6">If the type of company is 3 (Company in liquidation) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.7">9153</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.7">If the type of company is 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.7">If the type of company is 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) then the [FULL RATE OF CT] or the [CT RATE FOR NI TRADING PROFITS] of tax must be used for the second financial year</sch:diagnostic>
    <sch:diagnostic id="errorCode.F041.8">9156</sch:diagnostic>
    <sch:diagnostic id="transactional.F041.8">If the type of company is 0 (UK trading or Professional Services or CASC), 3 (Company in liquidation), 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) and the [CT RATE FOR NI TRADING PROFITS] of tax is different to all other CT rates and has been used for the second financial year, then Box 586 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F041.8">If the type of company is 0 (UK trading or Professional Services or CASC), 3 (Company in liquidation), 6 (Members' club or voluntary association), 7 (Property management company), 8 (Charity or owed by a charity) or 9 (Real Estate Investment Trust C – residual company) and the [CT RATE FOR NI TRADING PROFITS] of tax is different to all other CT rates and has been used for the second financial year, then Box 586 must be completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F042.0">9213</sch:diagnostic>
    <sch:diagnostic id="transactional.F042.0">For the second financial year the amount of Tax must equal the Amount of profit multiplied by the Rate of tax e.g. Box 395 must equal Box 385 multiplied by Box 390</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F042.0">For the second financial year the amount of Tax must equal the Amount of profit multiplied by the Rate of tax e.g. Box 395 must equal Box 385 multiplied by Box 390</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F042.0">Ar gyfer yr ail flwyddyn ariannol mae'n rhaid i swm y Dreth fod yn hafal i Swm yr elw wedi ei luosi a'r Gyfradd dreth h.y. mae'n rhaid i Flwch 395 fod yn hafal i Flwch 385 wedi ei luosi â Blwch 390</sch:diagnostic>
    <sch:diagnostic id="errorCode.F046.0">9214</sch:diagnostic>
    <sch:diagnostic id="transactional.F046.0">Box 430 must equal the sum of Boxes 345, 360, 375, 395, 410 and 425</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F046.0">Box 430 must equal the sum of Boxes 345, 360, 375, 395, 410 and 425</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F046.0">Mae’n rhaid i Flwch 430 fod yn hafal i swm Blychau 345, 360, 375, 395, 410 a 425</sch:diagnostic>
    <sch:diagnostic id="errorCode.F047.4">9216</sch:diagnostic>
    <sch:diagnostic id="transactional.F047.4">Box 435 must be less than Box 430</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F047.4">Box 435 must be less than Box 430</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F047.4">Mae’n rhaid i Flwch 435 fod yn llai na Blwch 430</sch:diagnostic>
    <sch:diagnostic id="errorCode.F047.1">9350</sch:diagnostic>
    <sch:diagnostic id="transactional.F047.1">If Box 435 is completed then Box 135 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F047.1">If Box 435 is completed then Box 135 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F047.1">Os yw Blwch 435 wedi ei gwblhau yna mae’n rhaid i Flwch 135 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F220.3">9234</sch:diagnostic>
    <sch:diagnostic id="transactional.F220.3">Box 440 must equal Box 430 minus Box 435</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F220.3">Box 440 must equal Box 430 minus Box 435</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F220.3">Mae’n rhaid i Flwch 440 fod yn hafal i Flwch 430 llai Blwch 435</sch:diagnostic>
    <sch:diagnostic id="errorCode.F051.4">9236</sch:diagnostic>
    <sch:diagnostic id="transactional.F051.4">Box 470 must be completed if Box 445 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F051.4">Box 470 must be completed if Box 445 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F051.4">Mae’n rhaid cwblhau Blwch 470 os yw Blwch 445 wedi ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F051.5">9237</sch:diagnostic>
    <sch:diagnostic id="transactional.F051.5">Box 470 must be completed if Box 450 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F051.5">Box 470 must be completed if Box 450 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F051.5">Mae’n rhaid cwblhau Blwch 470 os yw Blwch 450 wedi ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F051.6">9238</sch:diagnostic>
    <sch:diagnostic id="transactional.F051.6">Box 470 must be completed if Box 465 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F051.6">Box 470 must be completed if Box 465 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F051.6">Mae’n rhaid cwblhau Blwch 470 os yw Blwch 465 wedi ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F202.0">9241</sch:diagnostic>
    <sch:diagnostic id="transactional.F202.0">Box 445 must not be greater than Box 440</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F202.0">Box 445 must not be greater than Box 440</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F202.0">Ni ddylai Blwch 445 fod yn fwy na Blwch 440</sch:diagnostic>
    <sch:diagnostic id="errorCode.F048.0">9242</sch:diagnostic>
    <sch:diagnostic id="transactional.F048.0">Box 450 must not be greater than Box 440 minus Box 445</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F048.0">Box 450 must not be greater than Box 440 minus Box 445</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F048.0">Ni ddylai Blwch 450 fod yn fwy na Blwch 440 llai Blwch 445</sch:diagnostic>
    <sch:diagnostic id="errorCode.F214.0">9244</sch:diagnostic>
    <sch:diagnostic id="transactional.F214.0">If Box 455 is completed then Box 450 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F214.0">If Box 455 is completed then Box 450 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F214.0">Os yw Blwch 455 wedi ei gwblhau yna mae’n rhaid i Flwch 450 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F186.0">9245</sch:diagnostic>
    <sch:diagnostic id="transactional.F186.0">If Box 460 is completed then Box 450 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F186.0">If Box 460 is completed then Box 450 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F186.0">Os yw Blwch 460 wedi ei gwblhau yna mae’n rhaid i Flwch 450 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F049.0">9246</sch:diagnostic>
    <sch:diagnostic id="transactional.F049.0">Box 465 must not be greater than Box 440 minus (the sum of Boxes 445 and 450)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F049.0">Box 465 must not be greater than Box 440 minus (the sum of Boxes 445 and 450)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F049.0">Ni ddylai Blwch 465 fod yn fwy na Blwch 440 llai (swm Blychau 445 a 450)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F051.0">9247</sch:diagnostic>
    <sch:diagnostic id="transactional.F051.0">Box 470 must equal the sum of Boxes 445, 450 and 465</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F051.0">Box 470 must equal the sum of Boxes 445, 450 and 465</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F051.0">Mae’n rhaid i Flwch 470 fod yn hafal i swm Blychau 445, 450 ac 465</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.0">9351</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.0">Box 500 must be completed if Box 490 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.0">Box 500 must be completed if Box 490 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.0">Mae’n rhaid cwblhau Blwch 500 os yw Blwch 490 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.1">9352</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.1">Box 500 must be completed if Box 495 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.1">Box 500 must be completed if Box 495 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.1">Mae’n rhaid cwblhau Blwch 500 os yw Blwch 495 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.2">9340</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.2">If Box 475 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.2">If Box 475 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.2">Os yw Blwch 475 wedi ei gwblhau yna mae’n rhaid i Flwch 510 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.3">9341</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.3">If Box 480 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.3">If Box 480 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.3">Os yw Blwch 480 wedi ei gwblhau yna mae’n rhaid i Flwch 510 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.4">9342</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.4">If Box 500 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.4">If Box 500 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.4">Os yw Blwch 500 wedi ei gwblhau yna mae’n rhaid i Flwch 510 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.5">9343</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.5">If Box 505 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.5">If Box 505 is completed then Box 510 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.5">Os yw Blwch 505 wedi ei gwblhau yna mae’n rhaid i Flwch 510 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.6">9366</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.6">Box 500 must be completed if Box 496 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.6">Box 500 must be completed if Box 496 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.6">Mae’n rhaid cwblhau Blwch 500 os yw Blwch 496 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F050.7">9367</sch:diagnostic>
    <sch:diagnostic id="transactional.F050.7">If Box 527 is completed then Box 528 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F050.7">If Box 527 is completed then Box 528 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F050.7">Os yw Blwch 527 wedi ei gwblhau yna mae’n rhaid i Flwch 528 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F052.1">9248</sch:diagnostic>
    <sch:diagnostic id="transactional.F052.1">Box 475 must equal Box 440 minus Box 470</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F052.1">Box 475 must equal Box 440 minus Box 470</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F052.1">Mae’n rhaid i Flwch 475 fod yn hafal i Flwch 440 llai Blwch 470</sch:diagnostic>
    <sch:diagnostic id="errorCode.F093.1">9339</sch:diagnostic>
    <sch:diagnostic id="transactional.F093.1">If Box 475 is completed then Box 510 must equal (the sum of Boxes 475, 480, 500 and 505)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F093.1">If Box 475 is completed then Box 510 must equal (the sum of Boxes 475, 480, 500 and 505)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F093.1">Os yw Blwch 475 wedi ei gwblhau yna mae’n rhaid i Flwch 510 fod yn hafal i (swm Blychau 475, 480, 500 a 505)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F097.0">9252</sch:diagnostic>
    <sch:diagnostic id="transactional.F097.0">If return type is New then Box 480 can only be completed if Box 95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F097.0">If return type is New then Box 480 can only be completed if Box 95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F097.0">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 480 ond cael ei gwblhau os yw Blwch 95 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F096.0">9249</sch:diagnostic>
    <sch:diagnostic id="transactional.F096.0">Box 480 must be completed if Box 485 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F096.0">Box 480 must be completed if Box 485 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F096.0">Mae’n rhaid cwblhau Blwch 480 os yw Blwch 485 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F096.1">9250</sch:diagnostic>
    <sch:diagnostic id="transactional.F096.1">Box 485 can only be completed if Box A70 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F096.1">Box 485 can only be completed if Box A70 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F096.1">Gellir ond cwblhau Blwch 485 os yw Blwch A70 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F096.2">9251</sch:diagnostic>
    <sch:diagnostic id="transactional.F096.2">If  return type is New then Box 485 can only be completed if Box 95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F096.2">If  return type is New then Box 485 can only be completed if Box 95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F096.2">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 485 ond cael ei gwblhau os yw Blwch 95 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F098a.0">9353</sch:diagnostic>
    <sch:diagnostic id="transactional.F098a.0">Box 490 must not be completed if the return type is New and Box 100 is not completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F098a.0">Box 490 must not be completed if the return type is New and Box 100 is not completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F098a.0">Ni ddylid cwblhau Blwch 490 os yw math y ffurflen dreth yn Newydd ac nid yw Blwch 100 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F098.1">9354</sch:diagnostic>
    <sch:diagnostic id="transactional.F098.1">Box 500 must equal the sum of Boxes 490, 495 and 496</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F098.1">Box 500 must equal the sum of Boxes 490, 495 and 496</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F098.1">Mae’n rhaid i Flwch 500 fod yn hafal i swm Blychau 490, 495 a 496</sch:diagnostic>
    <sch:diagnostic id="errorCode.F203.1">9254</sch:diagnostic>
    <sch:diagnostic id="transactional.F203.1">If return type is New then Box 505 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F203.1">If return type is New then Box 505 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F203.1">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 505 ond cael ei gwblhau os yw Blwch 135 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F093.2">9344</sch:diagnostic>
    <sch:diagnostic id="transactional.F093.2">If Box 475 is not completed then Box 510 must equal (the sum of Boxes 440, 480, 500 and 505) minus Box 470 </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F093.2">If Box 475 is not completed then Box 510 must equal (the sum of Boxes 440, 480, 500 and 505) minus Box 470 </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F093.2">Os nad yw Blwch 475 wedi ei gwblhau yna mae’n rhaid i Flwch 510 fod yn hafal i (swm Blychau 440, 480, 500 a 505) llai Blwch 470 </sch:diagnostic>
    <sch:diagnostic id="errorCode.F055.1">9345</sch:diagnostic>
    <sch:diagnostic id="transactional.F055.1">If Box 510 is completed then Box 520 must equal Box 515 minus Box 510</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F055.1">If Box 510 is completed then Box 520 must equal Box 515 minus Box 510</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F055.1">Os yw Blwch 510 wedi ei gwblhau yna mae’n rhaid i Flwch 520 fod yn hafal i Flwch 515 llai Blwch 510</sch:diagnostic>
    <sch:diagnostic id="errorCode.F055.2">9346</sch:diagnostic>
    <sch:diagnostic id="transactional.F055.2">If Box 510 is not completed then Box 520 must equal Box 515 plus Box 470 minus (the sum of Boxes 440, 480, 500 and 505)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F055.2">If Box 510 is not completed then Box 520 must equal Box 515 plus Box 470 minus (the sum of Boxes 440, 480, 500 and 505)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F055.2">Os nad yw Blwch 510 wedi ei gwblhau yna mae’n rhaid i Flwch 520 fod yn hafal i Flwch 515 plws Blwch 470 llai (swm Blychau 440, 480, 500 a 505)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F163.0">9347</sch:diagnostic>
    <sch:diagnostic id="transactional.F163.0">If Box 510 is completed then Box 525 must equal Box 510 minus Box 515. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F163.0">If Box 510 is completed then Box 525 must equal Box 510 minus Box 515. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F163.0">Os yw Blwch 510 wedi ei gwblhau yna mae’n rhaid i Flwch 525 fod yn hafal i Flwch 510 llai Blwch 515 Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F163.1">9348</sch:diagnostic>
    <sch:diagnostic id="transactional.F163.1">If Box 510 is completed then Box 525 must equal (the sum of Boxes 440, 480, 500 and 505) minus (the sum of Boxes 515 and Box 470 ). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F163.1">If Box 510 is completed then Box 525 must equal (the sum of Boxes 440, 480, 500 and 505) minus (the sum of Boxes 515 and Box 470 ). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F163.1">Os yw Blwch 510 wedi ei gwblhau yna mae’n rhaid i Flwch 525 fod yn hafal i (swm Blychau 440, 480, 500 a 505) llai (swm Blwch 515 a Blwch 470). Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F236.0">9368</sch:diagnostic>
    <sch:diagnostic id="transactional.F236.0">If return type is New then Box 527 can only be completed if Box 141 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F236.0">If return type is New then Box 527 can only be completed if Box 141 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F236.0">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 527 ond cael ei gwblhau os yw Blwch 141 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F236.1">9369</sch:diagnostic>
    <sch:diagnostic id="transactional.F236.1">If Box K35 is not completed and Box 141 is not completed then Box 527 must be 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F236.1">If Box K35 is not completed and Box 141 is not completed then Box 527 must be 0 (zero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F237.0">9370</sch:diagnostic>
    <sch:diagnostic id="transactional.F237.0">Box 528 must equal the sum of Box 525 and Box 527</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F237.0">Box 528 must equal the sum of Box 525 and Box 527</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F237.0">Mae’n rhaid i Flwch 527 fod yn hafal i swm Blychau 525 a 527</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059.0">9355</sch:diagnostic>
    <sch:diagnostic id="transactional.N059.0">If Box 530 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059.0">If Box 530 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059.0">Os yw Blwch 530 wedi ei gwblhau yna mae’n rhaid i Flwch 545 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059.1">9356</sch:diagnostic>
    <sch:diagnostic id="transactional.N059.1">If Box 535 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059.1">If Box 535 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059.1">Os yw Blwch 535 wedi ei gwblhau yna mae’n rhaid i Flwch 545 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059.2">9357</sch:diagnostic>
    <sch:diagnostic id="transactional.N059.2">If Box 540 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059.2">If Box 540 is completed then Box 545 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059.2">Os yw Blwch 540 wedi ei gwblhau yna mae’n rhaid i Flwch 545 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059.3">9358</sch:diagnostic>
    <sch:diagnostic id="transactional.N059.3">If Box 550 is completed then Box 560 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059.3">If Box 550 is completed then Box 560 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059.3">Os yw Blwch 550 wedi ei gwblhau yna mae’n rhaid i Flwch 560 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059.4">9359</sch:diagnostic>
    <sch:diagnostic id="transactional.N059.4">If Box 555 is completed then Box 560 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059.4">If Box 555 is completed then Box 560 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059.4">Os yw Blwch 555 wedi ei gwblhau yna mae’n rhaid i Flwch 560 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F179b.0">9141</sch:diagnostic>
    <sch:diagnostic id="transactional.F179b.0">Box 535 must not be used</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F179b.0">Box 535 must not be used</sch:diagnostic>
    <sch:diagnostic id="errorCode.F179.0">9360</sch:diagnostic>
    <sch:diagnostic id="transactional.F179.0">Box 545 must equal the sum of Boxes 530, 535 and 540</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F179.0">Box 545 must equal the sum of Boxes 530, 535 and 540</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F179.0">Mae’n rhaid i Flwch 545 fod yn hafal i swm Blychau 530, 535 ac 540</sch:diagnostic>
    <sch:diagnostic id="errorCode.F184.0">9361</sch:diagnostic>
    <sch:diagnostic id="transactional.F184.0">Box 560 must equal the sum of 550 and 555</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F184.0">Box 560 must equal the sum of 550 and 555</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F184.0">Mae’n rhaid i Flwch 560 fod yn hafal i swm 550 ac 555</sch:diagnostic>
    <sch:diagnostic id="errorCode.F180.0">9261</sch:diagnostic>
    <sch:diagnostic id="transactional.F180.0">Box 570 must equal Box 545 minus Box 525. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F180.0">Box 570 must equal Box 545 minus Box 525. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F180.0">Mae’n rhaid i Flwch 570 fod yn hafal i Flwch 545 llai Blwch 525 Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F185.0">9263</sch:diagnostic>
    <sch:diagnostic id="transactional.F185.0">Box 575 must equal (the sum of Boxes 545 and 560) minus (the sum of Boxes 525 and 570). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F185.0">Box 575 must equal (the sum of Boxes 545 and 560) minus (the sum of Boxes 525 and 570). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F185.0">Mae’n rhaid i Flwch 575 fod yn hafal i (swm Blychau 545 a 560) llai (swm Blychau 525 a 570). Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F185.3">9264</sch:diagnostic>
    <sch:diagnostic id="transactional.F185.3">Box 575 must not be greater than Box 560</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F185.3">Box 575 must not be greater than Box 560</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F185.3">Ni ddylai Blwch 575 fod yn fwy na Blwch 560</sch:diagnostic>
    <sch:diagnostic id="errorCode.F815.1">9267</sch:diagnostic>
    <sch:diagnostic id="transactional.F815.1">Box 580 must not be greater than Box 565</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F815.1">Box 580 must not be greater than Box 565</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F815.1">Ni ddylai Blwch 580 fod yn fwy na Blwch 565</sch:diagnostic>
    <sch:diagnostic id="errorCode.F815.2">9268</sch:diagnostic>
    <sch:diagnostic id="transactional.F815.2">Box 580 must equal (the sum of Boxes 545, 560 and 565) minus (the sum of Boxes 525, 570 and 575). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F815.2">Box 580 must equal (the sum of Boxes 545, 560 and 565) minus (the sum of Boxes 525, 570 and 575). If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F815.2">Mae’n rhaid i Flwch 580 fod yn hafal i (swm Blychau 545, 560 a 565) llai (swm Blychau 525, 570 a 575). Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F221.1">9269</sch:diagnostic>
    <sch:diagnostic id="transactional.F221.1">If return type is New then Box 585 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F221.1">If return type is New then Box 585 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F221.1">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 585 ond cael ei gwblhau os yw Blwch 135 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F221.2">9270</sch:diagnostic>
    <sch:diagnostic id="transactional.F221.2">Box 585 must not be greater than Box 525</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F221.2">Box 585 must not be greater than Box 525</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F221.2">Ni ddylai Blwch 585 fod yn fwy na Blwch 525</sch:diagnostic>
    <sch:diagnostic id="errorCode.F221.3">9271</sch:diagnostic>
    <sch:diagnostic id="transactional.F221.3">If Box 585 is completed and the return type is New then Box I80 must be completed and equal to Box 585.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F221.3">If Box 585 is completed and the return type is New then Box I80 must be completed and equal to Box 585.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F221.3">Os yw Blwch 585 wedi ei gwblhau ac mae math y ffurflen dreth yn Newydd yna mae'n rhaid i Flwch I80 fod wedi ei gwblhau ac yn hafal i Flwch 585</sch:diagnostic>
    <sch:diagnostic id="errorCode.F242.0">9142</sch:diagnostic>
    <sch:diagnostic id="transactional.F242.0">Box 586 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F242.0">Box 586 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F227.1">9272</sch:diagnostic>
    <sch:diagnostic id="transactional.F227.1">Box 590 must not be greater than Box 505</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F227.1">Box 590 must not be greater than Box 505</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F227.1">Ni ddylai Blwch 590 fod yn fwy na Blwch 505</sch:diagnostic>
    <sch:diagnostic id="errorCode.F227.0">9273</sch:diagnostic>
    <sch:diagnostic id="transactional.F227.0">If return type is New then Box 590 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F227.0">If return type is New then Box 590 can only be completed if Box 135 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F227.0">Os ydy math y ffurflen dreth yn Newydd yna gall Blwch 590 ond cael ei gwblhau os yw Blwch 135 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F227.3">9274</sch:diagnostic>
    <sch:diagnostic id="transactional.F227.3">If the return type is New and Box 590 is completed then Box I85 must be completed and equal to Box 590.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F227.3">If the return type is New and Box 590 is completed then Box I85 must be completed and equal to Box 590.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F227.3">Os yw math y ffurflen dreth yn Newydd ac mae Blwch 590 wedi ei gwblhau yna mae'n rhaid i Flwch I85 fod wedi ei gwblhau ac yn hafal i Flwch 590</sch:diagnostic>
    <sch:diagnostic id="errorCode.N059b.0">9275</sch:diagnostic>
    <sch:diagnostic id="transactional.N059b.0">Only one of Boxes 600 and 605 can be completed unless both are zero (0). </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N059b.0">Only one of Boxes 600 and 605 can be completed unless both are zero (0). </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N059b.0">Dim ond un o Flychau 600 a 605 y gellir eu cwblhau heblaw bod y ddau yn sero (0). </sch:diagnostic>
    <sch:diagnostic id="errorCode.F060.0">9276</sch:diagnostic>
    <sch:diagnostic id="transactional.F060.0">Box 600 must equal Box 525 minus (the sum of Boxes 545, 560, 565 and 595). If the result is negative them Box 600 must not be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F060.0">Box 600 must equal Box 525 minus (the sum of Boxes 545, 560, 565 and 595). If the result is negative them Box 600 must not be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F060.0">Mae’n rhaid i Flwch 600 fod yn hafal i Flwch 525 llai (swm Blychau 545, 560, 565 a 595). Os yw’r canlyniad yn negatif ni ddylid cwblhau Blwch 600.</sch:diagnostic>
    <sch:diagnostic id="errorCode.F061.0">9277</sch:diagnostic>
    <sch:diagnostic id="transactional.F061.0">Box 605 must equal (the sum of Boxes 545, 560, 565 and 595) minus Box 525. If the result is negative Box 605 must not be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F061.0">Box 605 must equal (the sum of Boxes 545, 560, 565 and 595) minus Box 525. If the result is negative Box 605 must not be completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F061.0">Mae’n rhaid i Flwch 605 fod yn hafal i (swm Blychau 545, 560, 565 a 595) llai Blwch 525. Os yw’r canlyniad yn negatif ni ddylid cwblhau Blwch 605.</sch:diagnostic>
    <sch:diagnostic id="errorCode.N061.0">9362</sch:diagnostic>
    <sch:diagnostic id="transactional.N061.0">If Box 660 is completed then Box 670 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N061.0">If Box 660 is completed then Box 670 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N061.0">Os yw Blwch 660 wedi ei gwblhau yna mae’n rhaid i Flwch 670 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N061.1">9363</sch:diagnostic>
    <sch:diagnostic id="transactional.N061.1">If Box 665 is completed then Box 670 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N061.1">If Box 665 is completed then Box 670 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N061.1">Os yw Blwch 665 wedi ei gwblhau yna mae’n rhaid i Flwch 670 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F204.1">9281</sch:diagnostic>
    <sch:diagnostic id="transactional.F204.1">Box 650 can only be completed if at least one of the boxes 670, 675 or 680 is greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F204.1">Box 650 can only be completed if at least one of the boxes 670, 675 or 680 is greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F204.1">Gellir ond cwblhau Blwch 650 os yw o leiaf un o’r blychau 670, 675, 680 yn fwy na 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.F204.0">9282</sch:diagnostic>
    <sch:diagnostic id="transactional.F204.0">Box 650 must not be completed if Box 655 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F204.0">Box 650 must not be completed if Box 655 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F204.0">Ni ddylid cwblhau Blwch 650 os yw Blwch 655 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F205.0">9283</sch:diagnostic>
    <sch:diagnostic id="transactional.F205.0">Box 655 can only be completed if at least one of the boxes 670 or 680 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F205.0">Box 655 can only be completed if at least one of the boxes 670 or 680 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F205.0">Gellir ond cwblhau Blwch 655 os yw o leiaf un o’r blychau 670 neu 680 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.F205.3">9284</sch:diagnostic>
    <sch:diagnostic id="transactional.F205.3">Box 655 must not be completed if Box 650 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F205.3">Box 655 must not be completed if Box 650 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F205.3">Ni ddylid cwblhau Blwch 655 os yw Blwch 650 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F181a.0">9364</sch:diagnostic>
    <sch:diagnostic id="transactional.F181a.0">Box 660 must only be completed if either Box 650 or Box 655 are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F181a.0">Box 660 must only be completed if either Box 650 or Box 655 are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F181a.0">Ni ddylid cwblhau Blwch 660 os yw naill ai Blwch 650 neu Flwch 655 wedi eu cwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F181.0">9365</sch:diagnostic>
    <sch:diagnostic id="transactional.F181.0">Box 670 must equal the sum of Boxes 660 and 665</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F181.0">Box 670 must equal the sum of Boxes 660 and 665</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F181.0">Mae’n rhaid i Flwch 670 fod yn hafal i swm Blychau 660 a 665</sch:diagnostic>
    <sch:diagnostic id="errorCode.F207.1">9287</sch:diagnostic>
    <sch:diagnostic id="transactional.F207.1">Box 675 can only be completed if Box 650 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F207.1">Box 675 can only be completed if Box 650 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F207.1">Gellir ond cwblhau Blwch 675 os yw Blwch 650 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F206.0">9286</sch:diagnostic>
    <sch:diagnostic id="transactional.F206.0">Box 680 must only be completed if either Box 650 or Box 655 are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F206.0">Box 680 must only be completed if either Box 650 or Box 655 are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.F206.0">Ni ddylid cwblhau Blwch 680 os yw naill ai Blwch 650 neu Flwch 655 wedi eu cwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.F206.1">9285</sch:diagnostic>
    <sch:diagnostic id="transactional.F206.1">Box 680 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F206.1">Box 680 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic id="errorCode.N062.1">9288</sch:diagnostic>
    <sch:diagnostic id="transactional.N062.1">The sum of Boxes 690 and 735 must not exceed the apportioned AIA limit</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N062.1">The sum of Boxes 690 and 735 must not exceed the apportioned AIA limit</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N062.1">Ni ddylai swm Blychau 690 a 735 fod yn uwch na’r terfyn AIA a ddosrannwyd</sch:diagnostic>
    <sch:diagnostic id="errorCode.F222.0">9289</sch:diagnostic>
    <sch:diagnostic id="transactional.F222.0">Boxes 715 and 720 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F222.0">Boxes 715 and 720 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic id="errorCode.F224.0">9290</sch:diagnostic>
    <sch:diagnostic id="transactional.F224.0">Boxes 740 and 745 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F224.0">Boxes 740 and 745 must not be completed if the return period from date is on or after 1 April 2017</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.1">9952</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.1">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.1">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.1">Mae 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' wedi ei gwblhau felly mae'n rhaid i'r swm sy'n 'Codi' fod yn fwy na sero.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.2">9953</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.2">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.2">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.2">Ni ddylai 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' fod yn fwy na'r swm sy'n 'Codi'.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.1.0">9952</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.1.0">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.1.0">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.1.0">Mae 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' wedi ei gwblhau felly mae'n rhaid i'r swm sy'n 'Codi' fod yn fwy na sero.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.2.0">9953</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.2.0">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.2.0">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.2.0">Ni ddylai 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' fod yn fwy na'r swm sy'n 'Codi'.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.1.1">9952</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.1.1">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.1.1">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.1.1">Mae 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' wedi ei gwblhau felly mae'n rhaid i'r swm sy'n 'Codi' fod yn fwy na sero.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.2.1">9953</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.2.1">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.2.1">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.2.1">Ni ddylai 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' fod yn fwy na'r swm sy'n 'Codi'.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.1.2">9952</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.1.2">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.1.2">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.1.2">Mae 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' wedi ei gwblhau felly mae'n rhaid i'r swm sy'n 'Codi' fod yn fwy na sero.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.2.2">9953</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.2.2">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.2.2">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.2.2">Ni ddylai 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' fod yn fwy na'r swm sy'n 'Codi'.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.1.3">9952</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.1.3">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.1.3">The 'Maximum available for surrender as group relief' is completed so the amount 'Arising' must be greater than zero.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.1.3">Mae 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' wedi ei gwblhau felly mae'n rhaid i'r swm sy'n 'Codi' fod yn fwy na sero.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SurrenderMaximum.2.3">9953</sch:diagnostic>
    <sch:diagnostic id="transactional.SurrenderMaximum.2.3">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SurrenderMaximum.2.3">The 'Maximum available for surrender as group relief' must not be greater than the amount 'Arising'.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SurrenderMaximum.2.3">Ni ddylai 'Yr uchafswm sydd ar gael i'w ildio fel rhyddhad grŵp' fod yn fwy na'r swm sy'n 'Codi'.</sch:diagnostic>
    <sch:diagnostic id="errorCode.N203.0">9162</sch:diagnostic>
    <sch:diagnostic id="transactional.N203.0">Boxes 856, 857 and 858 can only be completed if the 'To' date in Box 35 is on or after 01 April 2050</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N203.0">Boxes 856, 857 and 858 can only be completed if the 'To' date in Box 35 is on or after 01 April 2050</sch:diagnostic>
    <sch:diagnostic id="errorCode.F243.0">9163</sch:diagnostic>
    <sch:diagnostic id="transactional.F243.0">Box 856 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F243.0">Box 856 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F244.0">9164</sch:diagnostic>
    <sch:diagnostic id="transactional.F244.0">Box 857 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F244.0">Box 857 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.F245.0">9165</sch:diagnostic>
    <sch:diagnostic id="transactional.F245.0">Box 858 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.F245.0">Box 858 can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N070.1">9296</sch:diagnostic>
    <sch:diagnostic id="transactional.N070.1">Box 870 must equal Box 520</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N070.1">Box 870 must equal Box 520</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N070.1">Mae’n rhaid i Flwch 870 fod yn hafal i Flwch 520</sch:diagnostic>
    <sch:diagnostic id="errorCode.N072.2">9300</sch:diagnostic>
    <sch:diagnostic id="transactional.N072.2">Box 885 must not be greater than Box 570</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N072.2">Box 885 must not be greater than Box 570</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N072.2">Ni ddylai Blwch 885 fod yn fwy na Blwch 570</sch:diagnostic>
    <sch:diagnostic id="errorCode.N073.0">9301</sch:diagnostic>
    <sch:diagnostic id="transactional.N073.0">Box 890 must equal Box 575</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N073.0">Box 890 must equal Box 575</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N073.0">Mae’n rhaid i Flwch 890 fod yn hafal i Flwch 575</sch:diagnostic>
    <sch:diagnostic id="errorCode.N074.0">9302</sch:diagnostic>
    <sch:diagnostic id="transactional.N074.0">Box 895 must equal Box 580</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N074.0">Box 895 must equal Box 580</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N074.0">Mae’n rhaid i Flwch 895 fod yn hafal i Flwch 580</sch:diagnostic>
    <sch:diagnostic id="errorCode.N078.1">9303</sch:diagnostic>
    <sch:diagnostic id="transactional.N078.1">You must attach the Joint Notice if Box 905 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N078.1">You must attach the Joint Notice if Box 905 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N078.1">Mae'n rhaid i chi atodi'r Hysbysiad ar y Cyd os yw Blwch 905 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N080.1">9304</sch:diagnostic>
    <sch:diagnostic id="transactional.N080.1">Box 915 must not be greater than Box 900</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N080.1">Box 915 must not be greater than Box 900</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N080.1">Ni ddylai Blwch 915 fod yn fwy na Blwch 900</sch:diagnostic>
    <sch:diagnostic id="errorCode.N095.0">9305</sch:diagnostic>
    <sch:diagnostic id="transactional.N095.0">Supplementary form CT600A is present so Box 95 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N095.0">Supplementary form CT600A is present so Box 95 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N095.0">Mae ffurflen atodol CT600A yn bresennol felly mae'n rhaid i Flwch 95 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN.0">9400</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN.0">The maximum number of loans has been exceeded in Part 1</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN.0">The maximum number of loans has been exceeded in Part 1</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN.0">Aed yn uwch nag uchafswm y benthyciadau yn Rhan 1</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA012.0">9401</sch:diagnostic>
    <sch:diagnostic id="transactional.SA012.0">Box A15 must equal the sum of all 'Amount of loan' amounts in column A10B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA012.0">Box A15 must equal the sum of all 'Amount of loan' amounts in column A10B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA012.0">Mae’n rhaid i Flwch A15 fod yn hafal i swm yr holl symiau ‘Swm y benthyciad’ yng ngholofn A10B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA014.0">9466</sch:diagnostic>
    <sch:diagnostic id="transactional.SA014.0">If the loans to participator rate does not change in the accounting period of the return then Box A20 must equal Box A15 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA014.0">If the loans to participator rate does not change in the accounting period of the return then Box A20 must equal Box A15 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA014.1">9467</sch:diagnostic>
    <sch:diagnostic id="transactional.SA014.1">If the loans to participator rate changes in the accounting period of the return then Box A20 must be equal to or greater than Box A15 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA014.1">If the loans to participator rate changes in the accounting period of the return then Box A20 must be equal to or greater than Box A15 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA014.2">9468</sch:diagnostic>
    <sch:diagnostic id="transactional.SA014.2">If the loans to participator rate changes in the accounting period of the return then Box A20 must be equal to or less than Box A15 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA014.2">If the loans to participator rate changes in the accounting period of the return then Box A20 must be equal to or less than Box A15 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN2.1">9403</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN2.1">The maximum number of loans has been exceeded in Part 2</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN2.1">The maximum number of loans has been exceeded in Part 2</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN2.1">Aed yn uwch nag uchafswm y benthyciadau yn Rhan 2</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN2.2">9404</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN2.2">At least one of 'Amount repaid/return repayments made' in Box A25B or 'Amount released or written off' in Box A25C must be greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN2.2">At least one of 'Amount repaid/return repayments made' in Box A25B or 'Amount released or written off' in Box A25C must be greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN2.2">Mae’n rhaid i o leiaf un o ‘Swm a ad-dalwyd/ad-daliadau ffurflen dreth a wnaed’ ym Mlwch A25B neu ‘Swm a ryddhawyd neu a ddiddymwyd’ ym Mlwch A25C fod yn uwch na 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN2.0">9405</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN2.0">If 'Part 2: Relief for return payments and/or amounts repaid, released or written off within 9 months' is completed then 'Part 1: Outstanding loans and arrangements' made must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN2.0">If 'Part 2: Relief for return payments and/or amounts repaid, released or written off within 9 months' is completed then 'Part 1: Outstanding loans and arrangements' made must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN2.0">Os yw 'Rhan 2: Rhyddhad ar gyfer taliadau ffurflen treth a/neu symiau a ad-dalwyd, a ryddhawyd neu a ddilëwyd o fewn 9 mis'' wedi ei gwblhau yna mae'n rhaid i 'Rhan 1: Benthyciadau heb eu had-dalu a threfniadau' gael ei gwblhau  </sch:diagnostic>
    <sch:diagnostic id="errorCode.SA018.0">9406</sch:diagnostic>
    <sch:diagnostic id="transactional.SA018.0">The 'Date of repayment, release or write-off' in Box A25D must be less than nine months and one day after the period To date in Box 35. </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA018.0">The 'Date of repayment, release or write-off' in Box A25D must be less than nine months and one day after the period To date in Box 35. </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA018.0">Mae'n rhaid i'r ‘Dyddiad ad-daliad, rhyddhad neu ddiddymu’ ym Mlwch A25D fod yn llai na naw mis ac un diwrnod ar ôl dyddiad I y cyfnod ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA018.1">9429</sch:diagnostic>
    <sch:diagnostic id="transactional.SA018.1">The 'Date of repayment, release or write-off' in Box A25D must be after the period To date in Box 35.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA018.1">The 'Date of repayment, release or write-off' in Box A25D must be after the period To date in Box 35.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA018.1">Mae'n rhaid i'r ‘Dyddiad ad-daliad, rhyddhad neu ddiddymu’ ym Mlwch A25D fod ar ôl dyddiad I y cyfnod ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA039.0">9407</sch:diagnostic>
    <sch:diagnostic id="transactional.SA039.0">Box A30 must equal the sum of all 'Amounts repaid/return repayments made' in Boxes A25B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA039.0">Box A30 must equal the sum of all 'Amounts repaid/return repayments made' in Boxes A25B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA039.0">Mae’n rhaid i Flwch A30 fod yn hafal i swm yr holl symiau ‘Swm a ad-dalwyd/ad-daliadau ffurflen dreth a wnaed’ ym Mlychau A25B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA040.0">9408</sch:diagnostic>
    <sch:diagnostic id="transactional.SA040.0">Box A35 must equal the sum of all 'Amounts released or written off' made in Boxes A25C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA040.0">Box A35 must equal the sum of all 'Amounts released or written off' made in Boxes A25C</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA040.0">Mae’n rhaid i Flwch A35 fod yn hafal i swm yr holl symiau ‘Swm a ryddhawyd neu a ddiddymwyd' a wnaed ym Mlychau A25C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA042.0">9409</sch:diagnostic>
    <sch:diagnostic id="transactional.SA042.0">Box A40 must equal the sum of Boxes A30 and A35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA042.0">Box A40 must equal the sum of Boxes A30 and A35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA042.0">Mae’n rhaid i Flwch A40 fod yn hafal i swm Blychau A30 ac A35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA043.1">9411</sch:diagnostic>
    <sch:diagnostic id="transactional.SA043.1">Box A45 must not be greater than Box A20</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA043.1">Box A45 must not be greater than Box A20</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA043.1">Ni ddylai Blwch A45 fod yn fwy na Blwch A20</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA043.0">9469</sch:diagnostic>
    <sch:diagnostic id="transactional.SA043.0">If the loans to participator rate does not change in the accounting period of the return then Box A45 must equal Box A40 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA043.0">If the loans to participator rate does not change in the accounting period of the return then Box A45 must equal Box A40 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA043.2">9470</sch:diagnostic>
    <sch:diagnostic id="transactional.SA043.2">If the loans to participator rate changes in the accounting period of the return then Box A45 must be equal to or greater than Box A40 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA043.2">If the loans to participator rate changes in the accounting period of the return then Box A45 must be equal to or greater than Box A40 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA043.3">9471</sch:diagnostic>
    <sch:diagnostic id="transactional.SA043.3">If the loans to participator rate changes in the accounting period of the return then Box A45 must be equal to or less than Box A40 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA043.3">If the loans to participator rate changes in the accounting period of the return then Box A45 must be equal to or less than Box A40 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN3.0">9418</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN3.0">The maximum number of loans has been exceeded in Part 3</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN3.0">The maximum number of loans has been exceeded in Part 3</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN3.0">Aed yn uwch nag uchafswm y benthyciadau yn Rhan 3</sch:diagnostic>
    <sch:diagnostic id="errorCode.LOAN3.1">9419</sch:diagnostic>
    <sch:diagnostic id="transactional.LOAN3.1">At least one of 'Amount repaid/return repayments made' in Box A50B or 'Amount released or written off' in Box A50C must be greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.LOAN3.1">At least one of 'Amount repaid/return repayments made' in Box A50B or 'Amount released or written off' in Box A50C must be greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.LOAN3.1">Mae’n rhaid i o leiaf un o ‘Swm a ad-dalwyd/ad-daliadau ffurflen dreth’ ym Mlwch A50B neu ‘Swm a ryddhawyd neu a ddiddymwyd’ ym Mlwch A50C fod yn uwch na 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA051.0">9430</sch:diagnostic>
    <sch:diagnostic id="transactional.SA051.0">The 'Date of repayment, release or write-off' in Box A50D must be at least nine months after the period To date in Box 35.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA051.0">The 'Date of repayment, release or write-off' in Box A50D must be at least nine months after the period To date in Box 35.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA051.0">Mae'n rhaid i'r ‘Dyddiad ad-daliad, rhyddhad neu ddiddymu’ ym Mlwch A50D fod o leiaf naw mis ar ôl dyddiad I y cyfnod ym Mlwch 35.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA051.1">9431</sch:diagnostic>
    <sch:diagnostic id="transactional.SA051.1">The 'Date of repayment, release or write-off' in Box A50D cannot be later than today</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA051.1">The 'Date of repayment, release or write-off' in Box A50D cannot be later than today</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA051.1">Ni all y 'Dyddiad ad-dalu, rhyddhau neu ddiddymu' ym Mlwch A50D  fod yn hwyrach na heddiw.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA072.0">9421</sch:diagnostic>
    <sch:diagnostic id="transactional.SA072.0">Box A55 must equal the sum of all 'Amounts repaid/return repayments made' in Boxes A50B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA072.0">Box A55 must equal the sum of all 'Amounts repaid/return repayments made' in Boxes A50B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA072.0">Mae’n rhaid i Flwch A55 fod yn hafal i swm yr holl symiau ‘Swm a ad-dalwyd/ad-daliadau ffurflen dreth a wnaed’ ym Mlychau A50B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA073.0">9422</sch:diagnostic>
    <sch:diagnostic id="transactional.SA073.0">Box A60 must equal the sum of all 'Amounts released or written off' made in Boxes A50C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA073.0">Box A60 must equal the sum of all 'Amounts released or written off' made in Boxes A50C</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA073.0">Mae’n rhaid i Flwch A60 fod yn hafal i swm yr holl symiau ‘Swm a ryddhawyd neu a ddiddymwyd' a wnaed ym Mlychau A50C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA075.0">9423</sch:diagnostic>
    <sch:diagnostic id="transactional.SA075.0">Box A65 must equal the sum of Boxes A55 and A60</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA075.0">Box A65 must equal the sum of Boxes A55 and A60</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA075.0">Mae’n rhaid i Flwch A65 fod yn hafal i swm Blychau A55 ac A60</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA076.1">9425</sch:diagnostic>
    <sch:diagnostic id="transactional.SA076.1">Box A70 must not be greater than Box A20</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA076.1">Box A70 must not be greater than Box A20</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA076.1">Ni ddylai Blwch A70 fod yn fwy na Blwch A20</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA076.2">9426</sch:diagnostic>
    <sch:diagnostic id="transactional.SA076.2">If Box A70 is completed then Box 485 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA076.2">If Box A70 is completed then Box 485 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA076.2">Os yw Blwch A70 wedi ei gwblhau yna mae’n rhaid i Flwch 485 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA076.0">9472</sch:diagnostic>
    <sch:diagnostic id="transactional.SA076.0">If the loans to participator rate does not change in the accounting period of the return then Box A65 must equal Box A70 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA076.0">If the loans to participator rate does not change in the accounting period of the return then Box A65 must equal Box A70 multiplied by the loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA076.3">9473</sch:diagnostic>
    <sch:diagnostic id="transactional.SA076.3">If the loans to participator rate changes in the accounting period of the return then Box A65 must be equal to or greater than Box A70 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA076.3">If the loans to participator rate changes in the accounting period of the return then Box A65 must be equal to or greater than Box A70 multiplied by the lowest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA076.4">9474</sch:diagnostic>
    <sch:diagnostic id="transactional.SA076.4">If the loans to participator rate changes in the accounting period of the return then Box A65 must be equal to or less than Box A70 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA076.4">If the loans to participator rate changes in the accounting period of the return then Box A65 must be equal to or less than Box A70 multiplied by the highest loans to participator rate for that period. Round down for fractions less than half a penny and round up for fractions of half a penny or greater</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA078.0">9427</sch:diagnostic>
    <sch:diagnostic id="transactional.SA078.0">Box A80 must equal Box A20 minus (the sum of Boxes A45 and A70)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA078.0">Box A80 must equal Box A20 minus (the sum of Boxes A45 and A70)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA078.0">Mae’n rhaid i Flwch A80 fod yn hafal i Flwch A3 llai (swm Blychau A45 ac A70)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SA078.1">9428</sch:diagnostic>
    <sch:diagnostic id="transactional.SA078.1">If Box A80 is completed then Box 480 must be completed and equal to Box A80</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SA078.1">If Box A80 is completed then Box 480 must be completed and equal to Box A80</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SA078.1">Os yw Blwch A80 wedi ei gwblhau mae’n rhaid i Flwch 480 fod wedi ei gwblhau ac yn hafal i Flwch A80</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.0">9450</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.0">Box B10 must be completed if the sum of 'Tax on chargeable profits' in Boxes B5F is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.0">Box B10 must be completed if the sum of 'Tax on chargeable profits' in Boxes B5F is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600B.0">Mae’n rhaid cwblhau Blwch B10 os yw swm 'Treth ar elw trethadwy' ym Mlychau B5F yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.1">9451</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.1">Box B15 must be completed if 'Creditable tax' in Box B5G is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.1">Box B15 must be completed if 'Creditable tax' in Box B5G is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600B.1">Mae’n rhaid cwblhau Blwch B15 os yw 'Treth y gellir ei chredydu' ym Mlwch B5G wedi ei chwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.2">9452</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.2">Box B20 must be completed if 'Reliefs in terms of tax' in Box B5H is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.2">Box B20 must be completed if 'Reliefs in terms of tax' in Box B5H is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600B.2">Mae’n rhaid cwblhau Blwch B20 os yw 'Rhyddhad mewn perthynas â threth' ym Mlwch B5H wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.3">9453</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.3">Box B25 must be completed if 'ACT as restricted' in Box B5I is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.3">Box B25 must be completed if 'ACT as restricted' in Box B5I is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600B.3">Mae’n rhaid cwblhau Blwch B25 os yw 'ACT fel y cyfyngir' ym Mlwch B5I wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.4">9454</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.4">Box B30 must be completed if any of 'Tax on chargeable profits' in Box B5F, 'Creditable tax' in Box B5G, 'Reliefs in terms of tax' in Box B5H, 'ACT as restricted' in Box B5I or 'CFC charge due' in Box B5J are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.4">Box B30 must be completed if any of 'Tax on chargeable profits' in Box B5F, 'Creditable tax' in Box B5G, 'Reliefs in terms of tax' in Box B5H, 'ACT as restricted' in Box B5I or 'CFC charge due' in Box B5J are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600B.4">Mae'n rhaid cwblhau Blwch B30 os yw unrhyw un o'r rhain wedi eu cwblhau: 'Treth ar elw trethadwy' ym Mlwch B5F, 'Treth y gellir ei chredydu' ym Mlwch B5G, 'Rhyddhad mewn perthynas â threth' ym Mlwch B5H, ACT fel y cyfyngir ym Mlwch B5I neu 'Tâl CFC sy'n ddyledus' ym Mlwch B5J</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600B.5">9460</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600B.5">Supplementary form CT600B is present so at least one group of Boxes B1, B2, B3, B4 and B5 or Box B35 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600B.5">Supplementary form CT600B is present so at least one group of Boxes B1, B2, B3, B4 and B5 or Box B35 must be completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N096.0">9306</sch:diagnostic>
    <sch:diagnostic id="transactional.N096.0">Supplementary form CT600B is present so Box 100 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N096.0">Supplementary form CT600B is present so Box 100 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N096.0">Mae ffurflen atodol CT600B yn bresennol felly mae'n rhaid i Flwch 100 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB010.0">9455</sch:diagnostic>
    <sch:diagnostic id="transactional.SB010.0">CFC charge due' in Box B5J must equal 'Tax on chargeable profits' in Box B5F minus (the sum of 'Creditable tax' in Box B5G, 'Reliefs in terms of tax' in Box B5H and 'ACT as restricted' in Box B5I)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB010.0">CFC charge due' in Box B5J must equal 'Tax on chargeable profits' in Box B5F minus (the sum of 'Creditable tax' in Box B5G, 'Reliefs in terms of tax' in Box B5H and 'ACT as restricted' in Box B5I)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB010.0">Mae'n rhaid i 'Tâl CFC sy'n ddyledus' ym Mlwch B5J fod yn hafal i 'Treth ar elw trethadwy' ym Mlwch B5F llai (swm 'Treth y gellir ei chredydu' ym Mlwch B5G, 'Rhyddhad mewn perthynas â threth' ym Mlwch B5H ac 'ACT fel y cyfyngir' ym Mlwch B5I)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB121.0">9456</sch:diagnostic>
    <sch:diagnostic id="transactional.SB121.0">Box B10 must equal the sum of 'Tax on chargeable profits' in Boxes B5F</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB121.0">Box B10 must equal the sum of 'Tax on chargeable profits' in Boxes B5F</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB121.0">Mae’n rhaid i Flwch B10 fod yn hafal i swm 'Treth ar elw trethadwy' ym Mlychau B5F</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB122.0">9457</sch:diagnostic>
    <sch:diagnostic id="transactional.SB122.0">Box B15 must equal the sum of 'Creditable tax' in Boxes B5G</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB122.0">Box B15 must equal the sum of 'Creditable tax' in Boxes B5G</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB122.0">Mae’n rhaid i Flwch B10 fod yn hafal i swm 'Treth y gellir ei chredydu' ym Mlychau B5G</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB123.0">9458</sch:diagnostic>
    <sch:diagnostic id="transactional.SB123.0">Box B20 must equal the sum of 'Reliefs in terms of tax' in Boxes B5H</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB123.0">Box B20 must equal the sum of 'Reliefs in terms of tax' in Boxes B5H</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB123.0">Mae’n rhaid i Flwch B20 fod yn hafal i swm 'Rhyddhad mewn perthynas â threth' ym Mlychau B5H</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB124.0">9459</sch:diagnostic>
    <sch:diagnostic id="transactional.SB124.0">Box B25 must equal the sum of 'ACT as restricted' in Boxes B5I</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB124.0">Box B25 must equal the sum of 'ACT as restricted' in Boxes B5I</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB124.0">Mae’n rhaid i Flwch B25 fod yn hafal i swm 'ACT fel y cyfyngir' ym Mlychau B5I</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB125.1">9463</sch:diagnostic>
    <sch:diagnostic id="transactional.SB125.1">Box B30 must equal the sum of 'CFC charge due' amounts in Boxes B5J</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB125.1">Box B30 must equal the sum of 'CFC charge due' amounts in Boxes B5J</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB125.1">Mae’n rhaid i Flwch B30 fod yn hafal i swm yr holl symiau ‘Tâl CFC sy'n ddyledus’ ym Mlychau B5J</sch:diagnostic>
    <sch:diagnostic id="errorCode.SB125.2">9465</sch:diagnostic>
    <sch:diagnostic id="transactional.SB125.2">If Box B30 is completed then Box 490 must be completed and equal to Box B30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SB125.2">If Box B30 is completed then Box 490 must be completed and equal to Box B30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SB125.2">Os yw Blwch B30 wedi ei gwblhau mae’n rhaid i Flwch 490 fod wedi ei gwblhau ac yn hafal i Flwch B30</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600C.0">9544</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600C.0">At least one of 'Part 1: Claims to group relief', 'Part 2: Amounts surrendered as group relief' must be completed, 'Part 3: Claims to group relief for carried forward losses' and 'Part 4: Amounts surrendered as group relief for carried forward losses' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600C.0">At least one of 'Part 1: Claims to group relief', 'Part 2: Amounts surrendered as group relief' must be completed, 'Part 3: Claims to group relief for carried forward losses' and 'Part 4: Amounts surrendered as group relief for carried forward losses' must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600C.0">Mae'n rhaid llenwi o leiaf un o'r rhain: 'Rhan 1: Ceisiadau am ryddhad grŵp' a 'Rhan 2: Symiau a ildiwyd fel rhyddhad grŵp'. Mae'n rhaid llenwi 'Rhan 3: Ceisiadau am ryddhad grŵp ar gyfer colledion a gariwyd ymlaen' a 'Rhan 4: Symiau a ildiwyd fel rhyddhad grŵp ar gyfer colledion a gariwyd ymlaen'</sch:diagnostic>
    <sch:diagnostic id="errorCode.N097.0">9307</sch:diagnostic>
    <sch:diagnostic id="transactional.N097.0">Supplementary form CT600C is present so Box 105 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N097.0">Supplementary form CT600C is present so Box 105 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N097.0">Mae ffurflen atodol CT600C yn bresennol felly mae'n rhaid i Flwch 105 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.CLAIMTOGROUPRELIEF.0">9518</sch:diagnostic>
    <sch:diagnostic id="transactional.CLAIMTOGROUPRELIEF.0">The Claim authorisation section must be completed if the return type is New and there is a claim to group relief</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CLAIMTOGROUPRELIEF.0">The Claim authorisation section must be completed if the return type is New and there is a claim to group relief</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CLAIMTOGROUPRELIEF.0">Mae'n rhaid i'r adran 'Awdurdod cais' fod wedi ei gwblhau os ydy math y ffurflen dreth yn Newydd ac mae yna gais am ryddhad grŵp</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC002.2">9502</sch:diagnostic>
    <sch:diagnostic id="transactional.SC002.2">The 'Accounting period From date of surrendering company' in Box C5B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC002.2">The 'Accounting period From date of surrendering company' in Box C5B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC002.2">Mae’n rhaid i'r 'Dyddiad I cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C5B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC002.3">9503</sch:diagnostic>
    <sch:diagnostic id="transactional.SC002.3">The 'Accounting period of surrendering company' in Box C5B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC002.3">The 'Accounting period of surrendering company' in Box C5B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC002.3">Ni ddylai'r 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C5B fod yn hirach na 12 mis.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC002.4">9504</sch:diagnostic>
    <sch:diagnostic id="transactional.SC002.4">The 'Accounting period of surrendering company' To date must not be before the From date in Box C5B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC002.4">The 'Accounting period of surrendering company' To date must not be before the From date in Box C5B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC002.4">Ni ddylai dyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' fod cyn y dyddiad O ym Mlwch C5B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC002.5">9505</sch:diagnostic>
    <sch:diagnostic id="transactional.SC002.5">The 'Accounting period of surrendering company' To date in Box C5B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC002.5">The 'Accounting period of surrendering company' To date in Box C5B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC002.5">Mae’n rhaid i ddyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C5B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC021.0">9506</sch:diagnostic>
    <sch:diagnostic id="transactional.SC021.0">If Box C10 is completed then Box 310 must be completed and equal to Box C10</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC021.0">If Box C10 is completed then Box 310 must be completed and equal to Box C10</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC021.0">Os yw Blwch C10 wedi ei gwblhau mae’n rhaid i Flwch 310 fod wedi ei gwblhau ac yn hafal i Flwch C10.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC021.1">9507</sch:diagnostic>
    <sch:diagnostic id="transactional.SC021.1">Box C10 must equal the sum of 'Claims to group relief Amount Claimed' in Boxes C5D</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC021.1">Box C10 must equal the sum of 'Claims to group relief Amount Claimed' in Boxes C5D</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC021.1">Mae’n rhaid i Flwch C10 fod yn hafal i swm ‘Ceisiadau am ryddhad grŵp Swm a Hawliwyd’ ym Mlychau C5D</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC161.1">9510</sch:diagnostic>
    <sch:diagnostic id="transactional.SC161.1">If 'Copy of notices of consent' is completed then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC161.1">If 'Copy of notices of consent' is completed then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC161.1">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' wedi ei gwblhau yna mae'n rhaid bod atodiad ar ffurf PDF o’r math ‘Arall’ yn bresennol</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC161.2">9973</sch:diagnostic>
    <sch:diagnostic id="transactional.SC161.2">If 'Copy of notices of consent' is completed then Box 310 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC161.2">If 'Copy of notices of consent' is completed then Box 310 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC161.2">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' wedi ei gwblhau yna mae'n rhaid bod Blwch 310 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC197.0">9168</sch:diagnostic>
    <sch:diagnostic id="transactional.SC197.0">Box C46 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC197.0">Box C46 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC197.1">9177</sch:diagnostic>
    <sch:diagnostic id="transactional.SC197.1">Box C46 must not be greater than Box C45</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC197.1">Box C46 must not be greater than Box C45</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC032.0">9511</sch:diagnostic>
    <sch:diagnostic id="transactional.SC032.0">Box C80 must equal the sum of Boxes C45, C50, C55, C60, C65, C70 and C75</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC032.0">Box C80 must equal the sum of Boxes C45, C50, C55, C60, C65, C70 and C75</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC032.0">Mae’n rhaid i Flwch C80 fod yn hafal i swm Blychau C45, C50, C55, C60, C65, C70 ac C75</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC034.2">9513</sch:diagnostic>
    <sch:diagnostic id="transactional.SC034.2">The 'Accounting period of claimant company' From date in Box C85B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC034.2">The 'Accounting period of claimant company' From date in Box C85B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC034.2">Mae’n rhaid i ddyddiad O 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C5B fod ar neu ar ôl dyddiad I cyfnod y ffurflen dreth ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC034.3">9514</sch:diagnostic>
    <sch:diagnostic id="transactional.SC034.3">The 'Accounting period of claimant company' in Box C85B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC034.3">The 'Accounting period of claimant company' in Box C85B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC034.3">Ni ddylai 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C85B fod yn hirach na 12 mis</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC034.4">9515</sch:diagnostic>
    <sch:diagnostic id="transactional.SC034.4">The 'Accounting period of claimant company' To date must not be before the From date in Box C85B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC034.4">The 'Accounting period of claimant company' To date must not be before the From date in Box C85B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC034.4">Ni ddylai dyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' fod cyn y dyddiad O ym Mlwch C85B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC034.5">9516</sch:diagnostic>
    <sch:diagnostic id="transactional.SC034.5">The 'Accounting period of claimant company' To date in Box C85B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC034.5">The 'Accounting period of claimant company' To date in Box C85B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC034.5">Mae’n rhaid i ddyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C85B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC061.1">9517</sch:diagnostic>
    <sch:diagnostic id="transactional.SC061.1">Box C90 must equal the sum of all 'Amount surrendered' in Boxes C85D</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC061.1">Box C90 must equal the sum of all 'Amount surrendered' in Boxes C85D</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC061.1">Mae’n rhaid i Flwch C90 fod yn hafal i swm yr holl symiau ‘Swm a ildiwyd’ ym Mlychau C85D</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC150.0">9974</sch:diagnostic>
    <sch:diagnostic id="transactional.SC150.0">If 'Simplified arrangement in force' is completed then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC150.0">If 'Simplified arrangement in force' is completed then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC150.0">Os yw 'Trefniant syml mewn grym' wedi ei gwblhau yna mae’n rhaid i Flwch C90 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC151.0">9519</sch:diagnostic>
    <sch:diagnostic id="transactional.SC151.0">Amounts surrendered as group relief Declaration must be completed if Notice of consent is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC151.0">Amounts surrendered as group relief Declaration must be completed if Notice of consent is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC151.0">Mae'n rhaid cwblhau Symiau a ildiwyd fel Datganiad rhyddhad grŵp os yw Hysbysiad o gydsyniad wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC151.3">9961</sch:diagnostic>
    <sch:diagnostic id="transactional.SC151.3">Notice of consent completed' must not be Yes if 'Copy of notices of consent attached' is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC151.3">Notice of consent completed' must not be Yes if 'Copy of notices of consent attached' is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC151.3">Rhaid i hysbysiad cydsynio wedi ei gwblhau peidio â bod yn Iawn os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC151.4">9975</sch:diagnostic>
    <sch:diagnostic id="transactional.SC151.4">If 'Notice of consent completed' is Yes then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC151.4">If 'Notice of consent completed' is Yes then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC151.4">Os ydy 'Copi o Hysbysiad Cydsynio wedi ei hatodi' yn Iawn yna mae'n rhaid bod Blwch C90 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC152.0">9521</sch:diagnostic>
    <sch:diagnostic id="transactional.SC152.0">Copies of notices of consent' must not be completed if 'Amounts surrendered as group relief Declaration' is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC152.0">Copies of notices of consent' must not be completed if 'Amounts surrendered as group relief Declaration' is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC152.0">Ni ddylid cwblhau 'Copïau o hysbysiadau cydsynio' os yw 'Symiau a ildiwyd fel Datganiad rhyddhad grŵp' wedi ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC152.1">9522</sch:diagnostic>
    <sch:diagnostic id="transactional.SC152.1">If Amounts surrendered as group relief 'Copies of notices of consent' is Yes then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC152.1">If Amounts surrendered as group relief 'Copies of notices of consent' is Yes then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC152.1">Os yw Symiau a ildiwyd fel rhyddhad grŵp 'Copïau o hysbysiadau cydsynio' yn Iawn yna mae'n rhaid cynnwys atodiad ar ffurf PDF o'r math 'Arall'</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC152.2">9976</sch:diagnostic>
    <sch:diagnostic id="transactional.SC152.2">If 'Copy of notices of consent' is Yes then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC152.2">If 'Copy of notices of consent' is Yes then Box C90 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC152.2">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' yn Iawn yna mae'n rhaid bod Blwch C90 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC153.0">9523</sch:diagnostic>
    <sch:diagnostic id="transactional.SC153.0">The company name in Box C95 must equal the company name in Box 1</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC153.0">The company name in Box C95 must equal the company name in Box 1</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC153.0">Mae’n rhaid i enw'r cwmni ym Mlwch C95 fod yr un peth ag enw'r cwmni ym Mlwch 1</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC154.1">9543</sch:diagnostic>
    <sch:diagnostic id="transactional.SC154.1">The tax reference in Box C100 must equal the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC154.1">The tax reference in Box C100 must equal the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC154.1">Mae'n rhaid i'r cyfeirnod treth ym Mlwch C100 fod yr un peth â'r cyfeirnod treth ym Mlwch 3</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC155.1">9524</sch:diagnostic>
    <sch:diagnostic id="transactional.SC155.1">Details of company surrendering relief Accounting period in Boxes C105 and C110 must match the Accounting period of the return in Boxes 30 and 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC155.1">Details of company surrendering relief Accounting period in Boxes C105 and C110 must match the Accounting period of the return in Boxes 30 and 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC155.1">Mae'n rhaid i Fanylion cyfnod cyfrifyddu cwmni yn ildio rhyddhad ym Mlychau C105 ac C110 cyd-fynd â Chyfnod cyfrifyddu y ffurflen dreth ym Mlychau 30 a 35  </sch:diagnostic>
    <sch:diagnostic id="errorCode.GROUPRELIEFCFL.0">9545</sch:diagnostic>
    <sch:diagnostic id="transactional.GROUPRELIEFCFL.0">The Claim authorisation section must be completed if the return type is New and there is a claim to group relief for carried forward losses</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.GROUPRELIEFCFL.0">The Claim authorisation section must be completed if the return type is New and there is a claim to group relief for carried forward losses</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.GROUPRELIEFCFL.0">Mae'n rhaid llenwi'r adran 'Awdurdodi cais' os mai 'Newydd' yw math y Ffurflen Dreth a bod cais am ryddhad grŵp ar gyfer colledion a gariwyd ymlaen</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC167.2">9546</sch:diagnostic>
    <sch:diagnostic id="transactional.SC167.2">The 'Accounting period From date of surrendering company' in Box C125B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC167.2">The 'Accounting period From date of surrendering company' in Box C125B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC167.2">Mae’n rhaid i'r 'Dyddiad I cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C125B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC167.3">9547</sch:diagnostic>
    <sch:diagnostic id="transactional.SC167.3">The 'Accounting period of surrendering company' in Box C125B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC167.3">The 'Accounting period of surrendering company' in Box C125B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC167.3">Ni ddylai'r 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C125B fod yn hirach na 12 mis.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC167.4">9548</sch:diagnostic>
    <sch:diagnostic id="transactional.SC167.4">The 'Accounting period of surrendering company' To date must not be before the From date in Box C125B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC167.4">The 'Accounting period of surrendering company' To date must not be before the From date in Box C125B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC167.4">Ni ddylai dyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' fod cyn y dyddiad O ym Mlwch C125B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC167.5">9549</sch:diagnostic>
    <sch:diagnostic id="transactional.SC167.5">The 'Accounting period of surrendering company' To date in Box C125B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC167.5">The 'Accounting period of surrendering company' To date in Box C125B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC167.5">Mae’n rhaid i ddyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n ildio' ym Mlwch C125B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC170.0">9550</sch:diagnostic>
    <sch:diagnostic id="transactional.SC170.0">If Box C130 is completed then Box 312 must be completed and equal to Box C130</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC170.0">If Box C130 is completed then Box 312 must be completed and equal to Box C130</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC170.0">Os yw Blwch C130 wedi ei gwblhau mae’n rhaid i Flwch 312 fod wedi ei gwblhau ac yn hafal i Flwch C130</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC170.1">9551</sch:diagnostic>
    <sch:diagnostic id="transactional.SC170.1">Box C130 must equal the sum of 'Claims to group relief for carried forward losses Amount Claimed' in Boxes C125D</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC170.1">Box C130 must equal the sum of 'Claims to group relief for carried forward losses Amount Claimed' in Boxes C125D</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC170.1">Mae'n rhaid i Flwch C130 fod yn hafal i swm 'Ceisiadau am ryddhad grŵp ar gyfer colledion a gariwyd ymlaen - Swm a Hawliwyd' ym Mlychau C125D</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC172.1">9552</sch:diagnostic>
    <sch:diagnostic id="transactional.SC172.1">If 'Copy of notices of consent' is completed then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC172.1">If 'Copy of notices of consent' is completed then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC172.1">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' wedi ei gwblhau yna mae'n rhaid bod atodiad ar ffurf PDF o’r math ‘Arall’ yn bresennol</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC172.2">9553</sch:diagnostic>
    <sch:diagnostic id="transactional.SC172.2">If 'Copy of notices of consent' is completed then Box 312 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC172.2">If 'Copy of notices of consent' is completed then Box 312 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC172.2">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' wedi ei gwblhau yna mae'n rhaid bod Blwch 312 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC198.0">9181</sch:diagnostic>
    <sch:diagnostic id="transactional.SC198.0">Box C161 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC198.0">Box C161 can only be completed if Box 5 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC198.1">9182</sch:diagnostic>
    <sch:diagnostic id="transactional.SC198.1">Box C161 must not be greater than Box C160</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC198.1">Box C161 must not be greater than Box C160</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC182.0">9554</sch:diagnostic>
    <sch:diagnostic id="transactional.SC182.0">Box C185 must equal the sum of Boxes C160, C165, C170, C175 and C180</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC182.0">Box C185 must equal the sum of Boxes C160, C165, C170, C175 and C180</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC182.0">Mae’n rhaid i Flwch C80 fod yn hafal i swm Blychau C160, C165, C170, C175 ac C180</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC184.2">9555</sch:diagnostic>
    <sch:diagnostic id="transactional.SC184.2">The 'Accounting period of claimant company' From date in Box C190B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC184.2">The 'Accounting period of claimant company' From date in Box C190B must be on or before the return period To date in Box 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC184.2">Mae’n rhaid i ddyddiad O 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C190B fod ar neu ar ôl dyddiad I cyfnod y ffurflen dreth ym Mlwch 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC184.3">9556</sch:diagnostic>
    <sch:diagnostic id="transactional.SC184.3">The 'Accounting period of claimant company' in Box C190B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC184.3">The 'Accounting period of claimant company' in Box C190B must not be longer than 12 months.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC184.3">Ni ddylai 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C190B fod yn hirach na 12 mis</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC184.4">9557</sch:diagnostic>
    <sch:diagnostic id="transactional.SC184.4">The 'Accounting period of claimant company' To date must not be before the From date in Box C190B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC184.4">The 'Accounting period of claimant company' To date must not be before the From date in Box C190B</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC184.4">Ni ddylai dyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' fod cyn y dyddiad O ym Mlwch C190B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC184.5">9558</sch:diagnostic>
    <sch:diagnostic id="transactional.SC184.5">The 'Accounting period of claimant company' To date in Box C190B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC184.5">The 'Accounting period of claimant company' To date in Box C190B must be on or after the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC184.5">Mae’n rhaid i ddyddiad I 'Cyfnod cyfrifyddu'r cwmni sy'n hawlio' ym Mlwch C190B fod ar neu ar ôl dyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC187.0">9559</sch:diagnostic>
    <sch:diagnostic id="transactional.SC187.0">Box C195 must equal the sum of all 'Amount surrendered' in Boxes C190D</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC187.0">Box C195 must equal the sum of all 'Amount surrendered' in Boxes C190D</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC187.0">Mae’n rhaid i Flwch C195 fod yn hafal i swm yr holl symiau ‘Swm a ildiwyd’ ym Mlychau C190D</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC188.0">9560</sch:diagnostic>
    <sch:diagnostic id="transactional.SC188.0">If 'Simplified arrangement in force' is completed then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC188.0">If 'Simplified arrangement in force' is completed then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC188.0">Os yw 'Trefniant syml mewn grym' wedi ei gwblhau yna mae’n rhaid i Flwch C195 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC189.0">9561</sch:diagnostic>
    <sch:diagnostic id="transactional.SC189.0">Amounts surrendered as group relief for carried forward losses Declaration must be completed if Notice of consent is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC189.0">Amounts surrendered as group relief for carried forward losses Declaration must be completed if Notice of consent is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC189.0">Mae'n rhaid llenwi 'Datganiad - Symiau a ildiwyd fel rhyddhad grŵp ar gyfer colledion a gariwyd ymlaen' os yw'r 'Hysbysiad o gydsyniad' wedi ei lenwi</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC189.1">9562</sch:diagnostic>
    <sch:diagnostic id="transactional.SC189.1">If 'Simplified arrangement in force' is completed then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC189.1">If 'Simplified arrangement in force' is completed then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC189.1">Os yw 'Trefniant syml mewn grym' wedi ei gwblhau yna mae’n rhaid i Flwch C195 fod yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC189.2">9563</sch:diagnostic>
    <sch:diagnostic id="transactional.SC189.2">Notice of consent completed' must not be Yes if 'Copy of notices of consent attached' is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC189.2">Notice of consent completed' must not be Yes if 'Copy of notices of consent attached' is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC189.2">Rhaid i hysbysiad cydsynio wedi ei gwblhau peidio â bod yn Iawn os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC190.0">9564</sch:diagnostic>
    <sch:diagnostic id="transactional.SC190.0">Copies of notices of consent' must not be completed if 'Amounts surrendered as group relief for carried forward losses Declaration' is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC190.0">Copies of notices of consent' must not be completed if 'Amounts surrendered as group relief for carried forward losses Declaration' is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC190.0">Ni ddylid llenwi 'Copïau o hysbysiadau cydsynio' os yw 'Datganiad Symiau a ildiwyd fel rhyddhad grŵp ar gyfer colledion a gariwyd ymlaen' wedi ei lenwi</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC190.1">9565</sch:diagnostic>
    <sch:diagnostic id="transactional.SC190.1">If Amounts surrendered as group relief for carried forward losses 'Copies of notices of consent' is Yes then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC190.1">If Amounts surrendered as group relief for carried forward losses 'Copies of notices of consent' is Yes then a PDF attachment of type 'Other' must be included</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC190.1">Os yw Symiau a ildiwyd fel rhyddhad grŵp ar gyfer colledion a gariwyd ymlaen 'Copïau o hysbysiadau cydsynio' yn 'Iawn', mae'n rhaid cynnwys atodiad ar ffurf PDF o'r math 'Arall'</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC190.2">9566</sch:diagnostic>
    <sch:diagnostic id="transactional.SC190.2">If 'Copy of notices of consent' is Yes then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC190.2">If 'Copy of notices of consent' is Yes then Box C195 must be greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC190.2">Os ydy 'Copi o hysbysiadau cydsynio wedi eu hatodi' yn Iawn yna mae'n rhaid bod Blwch C195 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC191.0">9567</sch:diagnostic>
    <sch:diagnostic id="transactional.SC191.0">The company name in Box C200 must equal the company name in Box 1</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC191.0">The company name in Box C200 must equal the company name in Box 1</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC191.0">Mae’n rhaid i enw'r cwmni ym Mlwch C200 fod yr un peth ag enw'r cwmni ym Mlwch 1</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC192.0">9568</sch:diagnostic>
    <sch:diagnostic id="transactional.SC192.0">The tax reference in Box C205 must equal the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC192.0">The tax reference in Box C205 must equal the tax reference in Box 3</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC192.0">Mae'n rhaid i'r cyfeirnod treth ym Mlwch C205 fod yr un peth â'r cyfeirnod treth ym Mlwch 3</sch:diagnostic>
    <sch:diagnostic id="errorCode.SC193.1">9569</sch:diagnostic>
    <sch:diagnostic id="transactional.SC193.1">Details of company surrendering relief Accounting period in Boxes C210 and C215 must match the Accounting period of the return in Boxes 30 and 35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SC193.1">Details of company surrendering relief Accounting period in Boxes C210 and C215 must match the Accounting period of the return in Boxes 30 and 35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SC193.1">Mae'n rhaid i Fanylion cyfnod cyfrifyddu cwmni yn ildio rhyddhad ym Mlychau C210 ac C215 cyd-fynd â Chyfnod cyfrifyddu y ffurflen dreth ym Mlychau 30 a 35</sch:diagnostic>
    <sch:diagnostic id="errorCode.N098.0">9308</sch:diagnostic>
    <sch:diagnostic id="transactional.N098.0">Supplementary form CT600D is present so Box 110 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N098.0">Supplementary form CT600D is present so Box 110 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N098.0">Mae ffurflen atodol CT600D yn bresennol felly mae'n rhaid i Flwch 110 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N099.0">9309</sch:diagnostic>
    <sch:diagnostic id="transactional.N099.0">Supplementary form CT600E is present so Box 115 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N099.0">Supplementary form CT600E is present so Box 115 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N099.0">Mae ffurflen atodol CT600E yn bresennol felly mae'n rhaid i Flwch 115 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SE043.0">9614</sch:diagnostic>
    <sch:diagnostic id="transactional.SE043.0">Box E90 must equal the sum of Boxes E50, E55, E60, E65, E70, E75, E80 and E85</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SE043.0">Box E90 must equal the sum of Boxes E50, E55, E60, E65, E70, E75, E80 and E85</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SE043.0">Mae’n rhaid i Flwch E9 fod yn hafal i swm Blychau E50, E55, E60, E65, E70, E75, E80 ac E85</sch:diagnostic>
    <sch:diagnostic id="errorCode.SE023.0">9611</sch:diagnostic>
    <sch:diagnostic id="transactional.SE023.0">Box E50 must be greater than 0 (zero) if Box E95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SE023.0">Box E50 must be greater than 0 (zero) if Box E95 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SE023.0">Mae’n rhaid i Flwch E50 fod yn fwy na 0 (sero) os yw Blwch E95 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SE024.0">9612</sch:diagnostic>
    <sch:diagnostic id="transactional.SE024.0">Box E60 must be greater than 0 (zero) if Box E100 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SE024.0">Box E60 must be greater than 0 (zero) if Box E100 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SE024.0">Mae’n rhaid i Flwch E60 fod yn fwy na 0 (sero) os yw Blwch E100 wedi ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SE044.0">9615</sch:diagnostic>
    <sch:diagnostic id="transactional.SE044.0">Box E125 must equal the sum of Boxes E95, E100, E105, E110, E115 and E120</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SE044.0">Box E125 must equal the sum of Boxes E95, E100, E105, E110, E115 and E120</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SE044.0">Mae’n rhaid i Flwch E25 fod yn hafal i swm Blychau E95, E100, E105, E110, E115 ac E120</sch:diagnostic>
    <sch:diagnostic id="errorCode.SE039.1">9613</sch:diagnostic>
    <sch:diagnostic id="transactional.SE039.1">Box E180 must not be completed if Box E185 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SE039.1">Box E180 must not be completed if Box E185 is completed.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SE039.1">Ni ddylid cwblhau Blwch E180 os yw Blwch E185 wedi ei gwblhau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.N100.0">9310</sch:diagnostic>
    <sch:diagnostic id="transactional.N100.0">Supplementary form CT600F is present so Box 120 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N100.0">Supplementary form CT600F is present so Box 120 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N100.0">Mae ffurflen atodol CT600F yn bresennol felly mae'n rhaid i Flwch 120 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.TONNAGETAX.0">9650</sch:diagnostic>
    <sch:diagnostic id="transactional.TONNAGETAX.0">Supplementary form CT600F can only be present if at least one of 'Part 3 Relevant shipping profits' or 'Part 4: Computation of tonnage tax profits' is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TONNAGETAX.0">Supplementary form CT600F can only be present if at least one of 'Part 3 Relevant shipping profits' or 'Part 4: Computation of tonnage tax profits' is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.TONNAGETAX.0">Gall ffurflen atodol CT600F dim ond fod yn bresennol os yw o leiaf un o'r rhain wedi ei cwblhau: 'Rhan 3: Elw llongau perthnasol' neu 'Rhan 4: Cyfrifiant elw treth tunelledd' </sch:diagnostic>
    <sch:diagnostic id="errorCode.INFORMATION.0">9664</sch:diagnostic>
    <sch:diagnostic id="transactional.INFORMATION.0">Box F35A or F35B must be completed if Box F30A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INFORMATION.0">Box F35A or F35B must be completed if Box F30A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.INFORMATION.0">Mae’n rhaid cwblhau Blwch F35A neu F35B os yw Blwch F30A yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF001.1">9651</sch:diagnostic>
    <sch:diagnostic id="transactional.SF001.1">Box F10 must be completed if Box F5A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF001.1">Box F10 must be completed if Box F5A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF001.1">Mae’n rhaid cwblhau Blwch F10 os yw Blwch F5A yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF001.2">9652</sch:diagnostic>
    <sch:diagnostic id="transactional.SF001.2">Box F25A, F25B of F25C must be completed if Box F5A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF001.2">Box F25A, F25B of F25C must be completed if Box F5A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF001.2">Mae’n rhaid cwblhau Blwch F25A, F25B neu F25C os yw Blwch F5A yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF003.1">9653</sch:diagnostic>
    <sch:diagnostic id="transactional.SF003.1">Box F10 must not be completed if Box F5B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF003.1">Box F10 must not be completed if Box F5B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF003.1">Ni ddylid cwblhau Blwch F10 os yw Blwch F5B yn Na</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF009.1">9656</sch:diagnostic>
    <sch:diagnostic id="transactional.SF009.1">If Box F5A is Yes then Box F20C must be Not applicable</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF009.1">If Box F5A is Yes then Box F20C must be Not applicable</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF009.1">Os yw Blwch F5A yn Iawn yna mae’n rhaid i Flwch F20C fod yn Ddim yn gymwys</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF012.3">9659</sch:diagnostic>
    <sch:diagnostic id="transactional.SF012.3">Boxes F25A, F25B or F25C must not be completed if Box F5B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF012.3">Boxes F25A, F25B or F25C must not be completed if Box F5B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF012.3">Ni ddylid cwblhau Blychau F25A, F25B neu F25C os yw Blwch F5A yn Na</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF014.0">9665</sch:diagnostic>
    <sch:diagnostic id="transactional.SF014.0">Boxes F35A or F35B must not be completed if Box F30A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF014.0">Boxes F35A or F35B must not be completed if Box F30A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF014.0">Ni ddylid cwblhau Blwch F35A neu F35B os yw Blwch F30A yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF015.0">9660</sch:diagnostic>
    <sch:diagnostic id="transactional.SF015.0">Part 2 Offshore training allowance must be completed if Box F40A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF015.0">Part 2 Offshore training allowance must be completed if Box F40A is Yes</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF015.0">Mae’n rhaid cwblhau Rhan 2 Lwfans hyfforddi alltraeth os yw Blwch F40A yn Iawn</sch:diagnostic>
    <sch:diagnostic id="errorCode.OFFSHORETRAININGALLOWANCE.0">9666</sch:diagnostic>
    <sch:diagnostic id="transactional.OFFSHORETRAININGALLOWANCE.0">Part 2 Offshore training allowance must not be present if Box F40B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.OFFSHORETRAININGALLOWANCE.0">Part 2 Offshore training allowance must not be present if Box F40B is No</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.OFFSHORETRAININGALLOWANCE.0">Mae’n rhaid cwblhau Rhan 2 Lwfans hyfforddi alltraeth os yw Blwch F40B yn Na</sch:diagnostic>
    <sch:diagnostic id="errorCode.SF062.1">9663</sch:diagnostic>
    <sch:diagnostic id="transactional.SF062.1">Box F70 must equal the sum of 'Tonnage Tax profits' in boxes 70G rounded down to the nearest whole pound.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SF062.1">Box F70 must equal the sum of 'Tonnage Tax profits' in boxes 70G rounded down to the nearest whole pound.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SF062.1">Mae'n rhaid i Flwch F70 fod yn hafal i swm 'Elw Treth tunelledd' ym mlychau 70G wedi ei dalgrynnu lawr i'r bunt agosaf</sch:diagnostic>
    <sch:diagnostic id="errorCode.N101.0">9183</sch:diagnostic>
    <sch:diagnostic id="transactional.N101.0">Supplementary form CT600G is present so Box 125 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N101.0">Supplementary form CT600G is present so Box 125 must be completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.TRADINGG.0">9184</sch:diagnostic>
    <sch:diagnostic id="transactional.TRADINGG.0">Box G20 must be completed if Box G5 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TRADINGG.0">Box G20 must be completed if Box G5 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG003.0">9187</sch:diagnostic>
    <sch:diagnostic id="transactional.SG003.0">Box G5C can only be completed if Box 155 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG003.0">Box G5C can only be completed if Box 155 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG003.1">9189</sch:diagnostic>
    <sch:diagnostic id="transactional.SG003.1">Box G5C can only be completed if Box G5A or Box G5B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG003.1">Box G5C can only be completed if Box G5A or Box G5B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG003.2">9191</sch:diagnostic>
    <sch:diagnostic id="transactional.SG003.2">Box G5C must equal the sum of Boxes G5A and G5B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG003.2">Box G5C must equal the sum of Boxes G5A and G5B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG003.3">9192</sch:diagnostic>
    <sch:diagnostic id="transactional.SG003.3">Box G5C must equal Box 155</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG003.3">Box G5C must equal Box 155</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG006.0">9194</sch:diagnostic>
    <sch:diagnostic id="transactional.SG006.0">Box G10C can only be completed if Box 160 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG006.0">Box G10C can only be completed if Box 160 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG006.1">9196</sch:diagnostic>
    <sch:diagnostic id="transactional.SG006.1">Box G10C can only be completed if Box G10A or Box G10B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG006.1">Box G10C can only be completed if Box G10A or Box G10B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG006.2">9205</sch:diagnostic>
    <sch:diagnostic id="transactional.SG006.2">Box G10C must equal the sum of Boxes G10A and G10B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG006.2">Box G10C must equal the sum of Boxes G10A and G10B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG006.3">9215</sch:diagnostic>
    <sch:diagnostic id="transactional.SG006.3">Box G10C must equal Box 160</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG006.3">Box G10C must equal Box 160</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG006.4">9217</sch:diagnostic>
    <sch:diagnostic id="transactional.SG006.4">Box G10C must not exceed Box G5C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG006.4">Box G10C must not exceed Box G5C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG008.0">9219</sch:diagnostic>
    <sch:diagnostic id="transactional.SG008.0">Box G15C must equal Box G15B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG008.0">Box G15C must equal Box G15B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG011.0">9243</sch:diagnostic>
    <sch:diagnostic id="transactional.SG011.0">Box G20C can only be completed if Box 165 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG011.0">Box G20C can only be completed if Box 165 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG011.1">9253</sch:diagnostic>
    <sch:diagnostic id="transactional.SG011.1">Box G20C can only be completed if Box G20A or Box G20B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG011.1">Box G20C can only be completed if Box G20A or Box G20B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG011.2">9255</sch:diagnostic>
    <sch:diagnostic id="transactional.SG011.2">Box G20C must equal Box G5C minus Box G10C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG011.2">Box G20C must equal Box G5C minus Box G10C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG011.3">9256</sch:diagnostic>
    <sch:diagnostic id="transactional.SG011.3">Box G20C must equal Box 165</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG011.3">Box G20C must equal Box 165</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG013.0">9259</sch:diagnostic>
    <sch:diagnostic id="transactional.SG013.0">Box G25C must equal Box G25B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG013.0">Box G25C must equal Box G25B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG016.0">9262</sch:diagnostic>
    <sch:diagnostic id="transactional.SG016.0">Box G30C can only be completed if Box G30A or Box G30B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG016.0">Box G30C can only be completed if Box G30A or Box G30B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG016.1">9265</sch:diagnostic>
    <sch:diagnostic id="transactional.SG016.1">Box G30C must equal the sum of Boxes G30A and G30B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG016.1">Box G30C must equal the sum of Boxes G30A and G30B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG016.2">9266</sch:diagnostic>
    <sch:diagnostic id="transactional.SG016.2">Box G45C must be completed if Box G30C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG016.2">Box G45C must be completed if Box G30C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG018.0">9292</sch:diagnostic>
    <sch:diagnostic id="transactional.SG018.0">Box G35C can only be completed if Box 225 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG018.0">Box G35C can only be completed if Box 225 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG018.1">9293</sch:diagnostic>
    <sch:diagnostic id="transactional.SG018.1">Box G35C must equal Box G35B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG018.1">Box G35C must equal Box G35B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG018.2">9090</sch:diagnostic>
    <sch:diagnostic id="transactional.SG018.2">Box G35C must equal Box 225</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG018.2">Box G35C must equal Box 225</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG020.0">9091</sch:diagnostic>
    <sch:diagnostic id="transactional.SG020.0">Box G40C can only be completed if Box 230 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG020.0">Box G40C can only be completed if Box 230 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG020.1">9092</sch:diagnostic>
    <sch:diagnostic id="transactional.SG020.1">Box G40C must equal Box G40B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG020.1">Box G40C must equal Box G40B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG020.2">9093</sch:diagnostic>
    <sch:diagnostic id="transactional.SG020.2">Box G40C must equal Box 230</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG020.2">Box G40C must equal Box 230</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG021.0">9095</sch:diagnostic>
    <sch:diagnostic id="transactional.SG021.0">Box G45A must equal Box G30A</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG021.0">Box G45A must equal Box G30A</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG022.0">9096</sch:diagnostic>
    <sch:diagnostic id="transactional.SG022.0">Box G45B must equal Box G30B minus the sum of Boxes G35B and G40B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG022.0">Box G45B must equal Box G30B minus the sum of Boxes G35B and G40B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG023.0">9097</sch:diagnostic>
    <sch:diagnostic id="transactional.SG023.0">Box G45C can only be completed if Box 235 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG023.0">Box G45C can only be completed if Box 235 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG023.1">9098</sch:diagnostic>
    <sch:diagnostic id="transactional.SG023.1">Box G45C can only be completed if Box G45A or Box G45B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG023.1">Box G45C can only be completed if Box G45A or Box G45B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG023.2">9280</sch:diagnostic>
    <sch:diagnostic id="transactional.SG023.2">Box G45C must equal Box G30C minus the sum of Boxes G35C and G40C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG023.2">Box G45C must equal Box G30C minus the sum of Boxes G35C and G40C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG023.3">9294</sch:diagnostic>
    <sch:diagnostic id="transactional.SG023.3">Box G50C must equal Box 235</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG023.3">Box G50C must equal Box 235</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG023.4">9295</sch:diagnostic>
    <sch:diagnostic id="transactional.SG023.4">Box G105C must be completed if Box G45C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG023.4">Box G105C must be completed if Box G45C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.DEDUCTIONSANDRELIEFSG.0">9297</sch:diagnostic>
    <sch:diagnostic id="transactional.DEDUCTIONSANDRELIEFSG.0">Box G100C must be completed if the sum of Boxes G50C, G55C, G60C, G65C, G70C, G73C, G75C, G80C, G92C, and G95C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.DEDUCTIONSANDRELIEFSG.0">Box G100C must be completed if the sum of Boxes G50C, G55C, G60C, G65C, G70C, G73C, G75C, G80C, G92C, and G95C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.DEDUCTIONSANDRELIEFSG.1">9298</sch:diagnostic>
    <sch:diagnostic id="transactional.DEDUCTIONSANDRELIEFSG.1">Box G120C must be completed if Box G105C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.DEDUCTIONSANDRELIEFSG.1">Box G120C must be completed if Box G105C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG026.0">9299</sch:diagnostic>
    <sch:diagnostic id="transactional.SG026.0">Box G50C can only be completed if Box 240 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG026.0">Box G50C can only be completed if Box 240 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG026.1">9311</sch:diagnostic>
    <sch:diagnostic id="transactional.SG026.1">Box G50C can only be completed if Box G50A or Box G50B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG026.1">Box G50C can only be completed if Box G50A or Box G50B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG026.2">9317</sch:diagnostic>
    <sch:diagnostic id="transactional.SG026.2">Box G50C must equal the sum of Boxes G50A and G50B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG026.2">Box G50C must equal the sum of Boxes G50A and G50B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG026.3">9402</sch:diagnostic>
    <sch:diagnostic id="transactional.SG026.3">Box G50C must equal Box 240</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG026.3">Box G50C must equal Box 240</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG029.0">9410</sch:diagnostic>
    <sch:diagnostic id="transactional.SG029.0">Box G55C can only be completed if Box 245 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG029.0">Box G55C can only be completed if Box 245 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG029.1">9441</sch:diagnostic>
    <sch:diagnostic id="transactional.SG029.1">Box G55C can only be completed if Box G55A or Box G55B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG029.1">Box G55C can only be completed if Box G55A or Box G55B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG029.2">9442</sch:diagnostic>
    <sch:diagnostic id="transactional.SG029.2">Box G55C must equal the sum of Boxes G55A and G55B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG029.2">Box G55C must equal the sum of Boxes G55A and G55B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG029.3">9443</sch:diagnostic>
    <sch:diagnostic id="transactional.SG029.3">Box G55C must equal Box 245</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG029.3">Box G55C must equal Box 245</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG032.0">9444</sch:diagnostic>
    <sch:diagnostic id="transactional.SG032.0">Box G60C can only be completed if Box 250 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG032.0">Box G60C can only be completed if Box 250 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG032.1">9445</sch:diagnostic>
    <sch:diagnostic id="transactional.SG032.1">Box G60C can only be completed if Box G60A or Box G60B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG032.1">Box G60C can only be completed if Box G60A or Box G60B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG032.2">9446</sch:diagnostic>
    <sch:diagnostic id="transactional.SG032.2">Box G60C must equal the sum of Boxes G60A and G60B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG032.2">Box G60C must equal the sum of Boxes G60A and G60B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG032.3">9447</sch:diagnostic>
    <sch:diagnostic id="transactional.SG032.3">Box G60C must equal Box 250</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG032.3">Box G60C must equal Box 250</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG035.0">9448</sch:diagnostic>
    <sch:diagnostic id="transactional.SG035.0">Box G65C can only be completed if Box 255 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG035.0">Box G65C can only be completed if Box 255 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG035.1">9449</sch:diagnostic>
    <sch:diagnostic id="transactional.SG035.1">Box G65C can only be completed if Box G65A or Box G65B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG035.1">Box G65C can only be completed if Box G65A or Box G65B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG035.2">9530</sch:diagnostic>
    <sch:diagnostic id="transactional.SG035.2">Box G65C must equal the sum of Boxes G65A and G65B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG035.2">Box G65C must equal the sum of Boxes G65A and G65B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG035.3">9531</sch:diagnostic>
    <sch:diagnostic id="transactional.SG035.3">Box G65C must equal Box 255</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG035.3">Box G65C must equal Box 255</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG038.0">9532</sch:diagnostic>
    <sch:diagnostic id="transactional.SG038.0">Box G70C can only be completed if Box 260 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG038.0">Box G70C can only be completed if Box 260 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG038.1">9533</sch:diagnostic>
    <sch:diagnostic id="transactional.SG038.1">Box G70C can only be completed if Box G70A or Box G70B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG038.1">Box G70C can only be completed if Box G70A or Box G70B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG038.2">9534</sch:diagnostic>
    <sch:diagnostic id="transactional.SG038.2">Box G70C must equal the sum of Boxes G70A and G70B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG038.2">Box G70C must equal the sum of Boxes G70A and G70B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG038.3">9535</sch:diagnostic>
    <sch:diagnostic id="transactional.SG038.3">Box G70C must equal Box 260</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG038.3">Box G70C must equal Box 260</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG096.0">9536</sch:diagnostic>
    <sch:diagnostic id="transactional.SG096.0">Box G73C can only be completed if Box 263 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG096.0">Box G73C can only be completed if Box 263 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG096.1">9537</sch:diagnostic>
    <sch:diagnostic id="transactional.SG096.1">Box G73C can only be completed if Box G73A or Box G73B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG096.1">Box G73C can only be completed if Box G73A or Box G73B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG096.2">9538</sch:diagnostic>
    <sch:diagnostic id="transactional.SG096.2">Box G73C must equal the sum of Boxes G73A and G73B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG096.2">Box G73C must equal the sum of Boxes G73A and G73B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG096.3">9539</sch:diagnostic>
    <sch:diagnostic id="transactional.SG096.3">Box G73C must equal Box 263</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG096.3">Box G73C must equal Box 263</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG041.0">9540</sch:diagnostic>
    <sch:diagnostic id="transactional.SG041.0">Box G75C can only be completed if Box 265 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG041.0">Box G75C can only be completed if Box 265 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG041.1">9541</sch:diagnostic>
    <sch:diagnostic id="transactional.SG041.1">Box G75C can only be completed if Box G75A or Box G75B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG041.1">Box G75C can only be completed if Box G75A or Box G75B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG041.2">9542</sch:diagnostic>
    <sch:diagnostic id="transactional.SG041.2">Box G75C must equal the sum of Boxes G75A and G75B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG041.2">Box G75C must equal the sum of Boxes G75A and G75B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG041.3">9570</sch:diagnostic>
    <sch:diagnostic id="transactional.SG041.3">Box G75C must equal Box 265</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG041.3">Box G75C must equal Box 265</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG044.0">9571</sch:diagnostic>
    <sch:diagnostic id="transactional.SG044.0">Box G80C can only be completed if Box 275 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG044.0">Box G80C can only be completed if Box 275 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG044.1">9572</sch:diagnostic>
    <sch:diagnostic id="transactional.SG044.1">Box G80C can only be completed if Box G80A or Box G80B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG044.1">Box G80C can only be completed if Box G80A or Box G80B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG044.2">9573</sch:diagnostic>
    <sch:diagnostic id="transactional.SG044.2">Box G80C must equal the sum of Boxes G80A and G80B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG044.2">Box G80C must equal the sum of Boxes G80A and G80B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG044.3">9574</sch:diagnostic>
    <sch:diagnostic id="transactional.SG044.3">Box G80C must equal Box 275</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG044.3">Box G80C must equal Box 275</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG046.0">9575</sch:diagnostic>
    <sch:diagnostic id="transactional.SG046.0">Box G85C must equal Box G85B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG046.0">Box G85C must equal Box G85B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG047.0">9576</sch:diagnostic>
    <sch:diagnostic id="transactional.SG047.0">Box G90 can only be completed if Box 280 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG047.0">Box G90 can only be completed if Box 280 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG099.0">9577</sch:diagnostic>
    <sch:diagnostic id="transactional.SG099.0">Box G92C can only be completed if Box 285 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG099.0">Box G92C can only be completed if Box 285 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG099.1">9578</sch:diagnostic>
    <sch:diagnostic id="transactional.SG099.1">Box G92C can only be completed if Box G92A or Box G92B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG099.1">Box G92C can only be completed if Box G92A or Box G92B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG099.2">9579</sch:diagnostic>
    <sch:diagnostic id="transactional.SG099.2">Box G92C must equal the sum of Boxes G92A and G92B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG099.2">Box G92C must equal the sum of Boxes G92A and G92B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG099.3">9580</sch:diagnostic>
    <sch:diagnostic id="transactional.SG099.3">Box G92C must equal Box 285</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG099.3">Box G92C must equal Box 285</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG101.0">9581</sch:diagnostic>
    <sch:diagnostic id="transactional.SG101.0">Box G93C must equal Box G93B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG101.0">Box G93C must equal Box G93B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG050.0">9582</sch:diagnostic>
    <sch:diagnostic id="transactional.SG050.0">Box G95C can only be completed if Box 290 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG050.0">Box G95C can only be completed if Box 290 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG050.1">9583</sch:diagnostic>
    <sch:diagnostic id="transactional.SG050.1">Box G95C can only be completed if Box G95A or Box G95B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG050.1">Box G95C can only be completed if Box G95A or Box G95B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG050.2">9584</sch:diagnostic>
    <sch:diagnostic id="transactional.SG050.2">Box G95C must equal the sum of Boxes G95A and G95B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG050.2">Box G95C must equal the sum of Boxes G95A and G95B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG050.3">9585</sch:diagnostic>
    <sch:diagnostic id="transactional.SG050.3">Box G95C must equal Box 290</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG050.3">Box G95C must equal Box 290</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG053.0">9586</sch:diagnostic>
    <sch:diagnostic id="transactional.SG053.0">Box G100C can only be completed if Box 295 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG053.0">Box G100C can only be completed if Box 295 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG053.1">9587</sch:diagnostic>
    <sch:diagnostic id="transactional.SG053.1">Box G100C can only be completed if Box G100A or Box G100B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG053.1">Box G100C can only be completed if Box G100A or Box G100B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG053.2">9588</sch:diagnostic>
    <sch:diagnostic id="transactional.SG053.2">Box G100C must equal the sum of Boxes G50C, G55C, G60C, G65C, G70C, G73C, G75C, G80C, G92C and G95C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG053.2">Box G100C must equal the sum of Boxes G50C, G55C, G60C, G65C, G70C, G73C, G75C, G80C, G92C and G95C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG053.3">9589</sch:diagnostic>
    <sch:diagnostic id="transactional.SG053.3">Box G100C must equal Box 295</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG053.3">Box G100C must equal Box 295</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG053.4">9590</sch:diagnostic>
    <sch:diagnostic id="transactional.SG053.4">Box G100C must equal the sum of Boxes G100A and G100B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG053.4">Box G100C must equal the sum of Boxes G100A and G100B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG056.0">9591</sch:diagnostic>
    <sch:diagnostic id="transactional.SG056.0">Box G105C can only be completed if Box 300 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG056.0">Box G105C can only be completed if Box 300 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG056.1">9592</sch:diagnostic>
    <sch:diagnostic id="transactional.SG056.1">Box G105C can only be completed if Box G105A or Box G105B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG056.1">Box G105C can only be completed if Box G105A or Box G105B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG056.2">9593</sch:diagnostic>
    <sch:diagnostic id="transactional.SG056.2">Box G105C must equal Box G45C minus Box G100C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG056.2">Box G105C must equal Box G45C minus Box G100C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG056.3">9594</sch:diagnostic>
    <sch:diagnostic id="transactional.SG056.3">Box G105C must equal Box 300</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG056.3">Box G105C must equal Box 300</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG056.4">9595</sch:diagnostic>
    <sch:diagnostic id="transactional.SG056.4">Box G105C must equal the sum of Boxes G105A and G105B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG056.4">Box G105C must equal the sum of Boxes G105A and G105B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG059.0">9596</sch:diagnostic>
    <sch:diagnostic id="transactional.SG059.0">Box G110C can only be completed if Box 305 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG059.0">Box G110C can only be completed if Box 305 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG059.1">9597</sch:diagnostic>
    <sch:diagnostic id="transactional.SG059.1">Box G110C can only be completed if Box G110A or Box G110B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG059.1">Box G110C can only be completed if Box G110A or Box G110B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG059.2">9598</sch:diagnostic>
    <sch:diagnostic id="transactional.SG059.2">Box G110C must equal the sum of Boxes G110A and G110B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG059.2">Box G110C must equal the sum of Boxes G110A and G110B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG059.3">9599</sch:diagnostic>
    <sch:diagnostic id="transactional.SG059.3">Box G110C must equal Box 305</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG059.3">Box G110C must equal Box 305</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG062.0">9701</sch:diagnostic>
    <sch:diagnostic id="transactional.SG062.0">Box G115C can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG062.0">Box G115C can only be completed if Box 310 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG062.1">9702</sch:diagnostic>
    <sch:diagnostic id="transactional.SG062.1">Box G115C can only be completed if Box G115A or Box G115B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG062.1">Box G115C can only be completed if Box G115A or Box G115B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG062.2">9703</sch:diagnostic>
    <sch:diagnostic id="transactional.SG062.2">Box G115C must equal the sum of Boxes G115A and G115B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG062.2">Box G115C must equal the sum of Boxes G115A and G115B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG062.3">9704</sch:diagnostic>
    <sch:diagnostic id="transactional.SG062.3">Box G115C must equal Box 310</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG062.3">Box G115C must equal Box 310</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG104.0">9705</sch:diagnostic>
    <sch:diagnostic id="transactional.SG104.0">Box G117C can only be completed if Box 312 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG104.0">Box G117C can only be completed if Box 312 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG104.1">9706</sch:diagnostic>
    <sch:diagnostic id="transactional.SG104.1">Box G117C can only be completed if Box G117A or Box G117B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG104.1">Box G117C can only be completed if Box G117A or Box G117B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG104.2">9707</sch:diagnostic>
    <sch:diagnostic id="transactional.SG104.2">Box G117C must equal the sum of Boxes G117A and G117B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG104.2">Box G117C must equal the sum of Boxes G117A and G117B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG104.3">9708</sch:diagnostic>
    <sch:diagnostic id="transactional.SG104.3">Box G117C must equal Box 312</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG104.3">Box G117C must equal Box 312</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG065.1">9709</sch:diagnostic>
    <sch:diagnostic id="transactional.SG065.1">Box G120C can only be completed if Box G120A or Box G120B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG065.1">Box G120C can only be completed if Box G120A or Box G120B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG065.2">9808</sch:diagnostic>
    <sch:diagnostic id="transactional.SG065.2">Box G120C must equal Box G105C minus (the sum of Boxes G110C, G115C and  G117C)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG065.2">Box G120C must equal Box G105C minus (the sum of Boxes G110C, G115C and  G117C)</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG065.3">9809</sch:diagnostic>
    <sch:diagnostic id="transactional.SG065.3">Box G120C must equal Box 315</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG065.3">Box G120C must equal Box 315</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG065.4">9810</sch:diagnostic>
    <sch:diagnostic id="transactional.SG065.4">Box G120C must equal the sum of Boxes G120A and G120B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG065.4">Box G120C must equal the sum of Boxes G120A and G120B</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAXRECONCILIATION.0">9811</sch:diagnostic>
    <sch:diagnostic id="transactional.TAXRECONCILIATION.0">Box G135C must be completed if the sum of Boxes G125C and G130C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAXRECONCILIATION.0">Box G135C must be completed if the sum of Boxes G125C and G130C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.TAXRECONCILIATION.1">9812</sch:diagnostic>
    <sch:diagnostic id="transactional.TAXRECONCILIATION.1">Box G150C must be completed if the sum of Boxes G140C and G145C is greater than zero</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.TAXRECONCILIATION.1">Box G150C must be completed if the sum of Boxes G140C and G145C is greater than zero</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG068.0">9820</sch:diagnostic>
    <sch:diagnostic id="transactional.SG068.0">Box G125C can only be completed if Box 530 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG068.0">Box G125C can only be completed if Box 530 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG068.1">9821</sch:diagnostic>
    <sch:diagnostic id="transactional.SG068.1">Box G125C can only be completed if Box G125A or Box G125B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG068.1">Box G125C can only be completed if Box G125A or Box G125B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG068.2">9822</sch:diagnostic>
    <sch:diagnostic id="transactional.SG068.2">Box G125C must equal the sum of Boxes G125A and G125B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG068.2">Box G125C must equal the sum of Boxes G125A and G125B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG068.3">9823</sch:diagnostic>
    <sch:diagnostic id="transactional.SG068.3">Box G125C must equal Box 530</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG068.3">Box G125C must equal Box 530</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG071.0">9824</sch:diagnostic>
    <sch:diagnostic id="transactional.SG071.0">Box G130C can only be completed if Box 540 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG071.0">Box G130C can only be completed if Box 540 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG071.1">9825</sch:diagnostic>
    <sch:diagnostic id="transactional.SG071.1">Box G130C can only be completed if Box G130A or Box G130B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG071.1">Box G130C can only be completed if Box G130A or Box G130B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG071.2">9826</sch:diagnostic>
    <sch:diagnostic id="transactional.SG071.2">Box G130C must equal the sum of Boxes G130A and G130B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG071.2">Box G130C must equal the sum of Boxes G130A and G130B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG071.3">9827</sch:diagnostic>
    <sch:diagnostic id="transactional.SG071.3">Box G130C must equal Box 540</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG071.3">Box G130C must equal Box 540</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG074.0">9828</sch:diagnostic>
    <sch:diagnostic id="transactional.SG074.0">Box G135C can only be completed if Box 545 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG074.0">Box G135C can only be completed if Box 545 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG074.1">9829</sch:diagnostic>
    <sch:diagnostic id="transactional.SG074.1">Box G135C can only be completed if Box G135A or Box G135B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG074.1">Box G135C can only be completed if Box G135A or Box G135B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG074.2">9830</sch:diagnostic>
    <sch:diagnostic id="transactional.SG074.2">Box G135C must equal the sum of Boxes G125C and G130C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG074.2">Box G135C must equal the sum of Boxes G125C and G130C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG074.3">9831</sch:diagnostic>
    <sch:diagnostic id="transactional.SG074.3">Box G135C must equal Box 545</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG074.3">Box G135C must equal Box 545</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG074.4">9832</sch:diagnostic>
    <sch:diagnostic id="transactional.SG074.4">Box G135C must equal the sum of Boxes G135A and G135B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG074.4">Box G135C must equal the sum of Boxes G135A and G135B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG077.0">9833</sch:diagnostic>
    <sch:diagnostic id="transactional.SG077.0">Box G140C can only be completed if Box 550 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG077.0">Box G140C can only be completed if Box 550 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG077.1">9834</sch:diagnostic>
    <sch:diagnostic id="transactional.SG077.1">Box G140C can only be completed if Box G140A or Box G140B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG077.1">Box G140C can only be completed if Box G140A or Box G140B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG077.2">9835</sch:diagnostic>
    <sch:diagnostic id="transactional.SG077.2">Box G140C must equal the sum of Boxes G140A and G140B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG077.2">Box G140C must equal the sum of Boxes G140A and G140B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG077.3">9957</sch:diagnostic>
    <sch:diagnostic id="transactional.SG077.3">Box G140C must equal Box 550</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG077.3">Box G140C must equal Box 550</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG079.0">9958</sch:diagnostic>
    <sch:diagnostic id="transactional.SG079.0">Box G145C can only be completed if Box 555 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG079.0">Box G145C can only be completed if Box 555 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG079.1">9959</sch:diagnostic>
    <sch:diagnostic id="transactional.SG079.1">Box G145C must equal box G145B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG079.1">Box G145C must equal box G145B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG079.2">9960</sch:diagnostic>
    <sch:diagnostic id="transactional.SG079.2">Box G145C must equal Box 555</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG079.2">Box G145C must equal Box 555</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG080.0">9962</sch:diagnostic>
    <sch:diagnostic id="transactional.SG080.0">Box G150A must equal Box G140A</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG080.0">Box G150A must equal Box G140A</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG082.0">9963</sch:diagnostic>
    <sch:diagnostic id="transactional.SG082.0">Box G150C can only be completed if Box 560 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG082.0">Box G150C can only be completed if Box 560 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG082.1">9967</sch:diagnostic>
    <sch:diagnostic id="transactional.SG082.1">Box G150C can only be completed if Box G150A or Box G150B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG082.1">Box G150C can only be completed if Box G150A or Box G150B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG082.2">9968</sch:diagnostic>
    <sch:diagnostic id="transactional.SG082.2">Box G150C must equal the sum of Boxes G140C and G145C</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG082.2">Box G150C must equal the sum of Boxes G140C and G145C</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG082.3">9969</sch:diagnostic>
    <sch:diagnostic id="transactional.SG082.3">Box G150C must equal Box 560</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG082.3">Box G150C must equal Box 560</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG082.4">9964</sch:diagnostic>
    <sch:diagnostic id="transactional.SG082.4">Box G150C must equal the sum of Boxes G150A and G150B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG082.4">Box G150C must equal the sum of Boxes G150A and G150B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG085.0">9972</sch:diagnostic>
    <sch:diagnostic id="transactional.SG085.0">Box G155C can only be completed if Box 565 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG085.0">Box G155C can only be completed if Box 565 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG085.1">9977</sch:diagnostic>
    <sch:diagnostic id="transactional.SG085.1">Box G155C can only be completed if Box G155A or Box G155B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG085.1">Box G155C can only be completed if Box G155A or Box G155B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG085.2">9978</sch:diagnostic>
    <sch:diagnostic id="transactional.SG085.2">Box G155C must equal the sum of Boxes G155A and G155B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG085.2">Box G155C must equal the sum of Boxes G155A and G155B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG085.3">9979</sch:diagnostic>
    <sch:diagnostic id="transactional.SG085.3">Box G155C must equal Box 565</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG085.3">Box G155C must equal Box 565</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG088.0">9980</sch:diagnostic>
    <sch:diagnostic id="transactional.SG088.0">Box G165C can only be completed if Box 780 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG088.0">Box G165C can only be completed if Box 780 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG088.1">9981</sch:diagnostic>
    <sch:diagnostic id="transactional.SG088.1">Box G165C can only be completed if Box G165A or Box G165B are completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG088.1">Box G165C can only be completed if Box G165A or Box G165B are completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG088.2">9982</sch:diagnostic>
    <sch:diagnostic id="transactional.SG088.2">Box G165C must equal the sum of Boxes G165A and G165B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG088.2">Box G165C must equal the sum of Boxes G165A and G165B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG088.3">9983</sch:diagnostic>
    <sch:diagnostic id="transactional.SG088.3">Box G165C must equal Box 780</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG088.3">Box G165C must equal Box 780</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG090.0">9984</sch:diagnostic>
    <sch:diagnostic id="transactional.SG090.0">Box G170C can only be completed if Box 790 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG090.0">Box G170C can only be completed if Box 790 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG090.1">9985</sch:diagnostic>
    <sch:diagnostic id="transactional.SG090.1">Box G170C must equal Box G170B</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG090.1">Box G170C must equal Box G170B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG090.2">9986</sch:diagnostic>
    <sch:diagnostic id="transactional.SG090.2">Box G170C must equal Box 790</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG090.2">Box G170C must equal Box 790</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG091.0">9987</sch:diagnostic>
    <sch:diagnostic id="transactional.SG091.0">Box G175 can only be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG091.0">Box G175 can only be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.SG093.0">9988</sch:diagnostic>
    <sch:diagnostic id="transactional.SG093.0">Box G185 can only be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SG093.0">Box G185 can only be completed if Box 8 is completed</sch:diagnostic>
    <sch:diagnostic id="errorCode.N102.0">9312</sch:diagnostic>
    <sch:diagnostic id="transactional.N102.0">Supplementary form CT600H is present so Box 130 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N102.0">Supplementary form CT600H is present so Box 130 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N102.0">Mae ffurflen atodol CT600H yn bresennol felly mae'n rhaid i Flwch 130 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SH008.0">9750</sch:diagnostic>
    <sch:diagnostic id="transactional.SH008.0">All 'Amount of tax deducted from payment' amounts in Boxes H5G must equal 'Gross Amount of Royalty paid' in Boxes H5D multiplied by 'Rate of tax deducted from payment' in Boxes H5F divided by 100 and rounded to the nearest penny (round down for fractions less than half a penny and round up for fractions of half a penny or greater).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SH008.0">All 'Amount of tax deducted from payment' amounts in Boxes H5G must equal 'Gross Amount of Royalty paid' in Boxes H5D multiplied by 'Rate of tax deducted from payment' in Boxes H5F divided by 100 and rounded to the nearest penny (round down for fractions less than half a penny and round up for fractions of half a penny or greater).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SH008.0">Mae'n rhaid i'r holl symiau 'Swm o dreth a didynnwyd o'r taliad' ym Mlychau H5G fod yn hafal i 'Swm Gros Breindal a dalwyd' ym Mlychau H5D wedi ei luosi â 'Cyfradd treth a didynnwyd o'r taliad' ym Mlychau H5F wedi ei rhannu â 100 a'i dalgrynnu i'r geiniog agosaf (talgrynwch i lawr ar gyfer ffracsiynau sy'n llai na hanner ceiniog ac i fyny ar gyfer ffracsiynau o hanner ceiniog neu fwy). </sch:diagnostic>
    <sch:diagnostic id="errorCode.global.5">9800</sch:diagnostic>
    <sch:diagnostic id="transactional.global.5">Box I70 must be completed if Box I65 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.global.5">Box I70 must be completed if Box I65 is greater than 0 (zero)</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.global.5">Mae’n rhaid cwblhau Blwch I70 os yw Blwch I65 yn fwy na 0 (sero)</sch:diagnostic>
    <sch:diagnostic id="errorCode.CT600I.0">9801</sch:diagnostic>
    <sch:diagnostic id="transactional.CT600I.0">Box I75 must be completed if Box I15 is completed and Box I5 minus Box I20 is greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.CT600I.0">Box I75 must be completed if Box I15 is completed and Box I5 minus Box I20 is greater than 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.CT600I.0">Mae’n rhaid cwblhau Blwch I75 os yw Blwch I15 wedi ei gwblhau a Blwch I5 llai Blwch I20 yn fwy na 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.N103.0">9313</sch:diagnostic>
    <sch:diagnostic id="transactional.N103.0">Supplementary form CT600I is present so Box 135 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N103.0">Supplementary form CT600I is present so Box 135 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N103.0">Mae ffurflen atodol CT600I yn bresennol felly mae'n rhaid i Flwch 135 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI006.0">9802</sch:diagnostic>
    <sch:diagnostic id="transactional.SI006.0">Box I30 must equal the sum of Boxes I20 and I25</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI006.0">Box I30 must equal the sum of Boxes I20 and I25</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI006.0">Mae’n rhaid i Flwch I30 fod yn hafal i swm Blychau I20 ac I25</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI007.0">9803</sch:diagnostic>
    <sch:diagnostic id="transactional.SI007.0">If Box I10 is completed then Box I35 must equal the sum of Boxes I5 and I30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI007.0">If Box I10 is completed then Box I35 must equal the sum of Boxes I5 and I30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI007.0">Os yw Blwch I10 wedi ei gwblhau yna mae’n rhaid i Flwch I35 fod yn hafal i swm Blychau I5 ac I30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI007.1">9804</sch:diagnostic>
    <sch:diagnostic id="transactional.SI007.1">If Box I5 is completed then Box I35 must equal Box I30 minus Box I5. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI007.1">If Box I5 is completed then Box I35 must equal Box I30 minus Box I5. If the result is negative please enter 0 (zero).</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI007.1">Os yw Blwch I5 wedi ei gwblhau yna mae’n rhaid i Flwch I35 fod yn hafal i Flwch I30 llai Blwch I5. Os yw’r canlyniad yn negatif cofnodwch 0 (sero).</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI008.0">9805</sch:diagnostic>
    <sch:diagnostic id="transactional.SI008.0">Box I50 must not be greater than Box I35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI008.0">Box I50 must not be greater than Box I35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI008.0">Ni ddylai Blwch I50 fod yn fwy na Blwch I35</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI014.1">9816</sch:diagnostic>
    <sch:diagnostic id="transactional.SI014.1">Box I60 must not be greater than Box I35 minus Box I50</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI014.1">Box I60 must not be greater than Box I35 minus Box I50</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI014.1">Ni ddylai Blwch I60 fod yn fwy na Blwch I35 llai Blwch I50</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI009.0">9817</sch:diagnostic>
    <sch:diagnostic id="transactional.SI009.0">Box I65 must equal Box I45 minus the sum of Boxes I50, I55 and I60</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI009.0">Box I65 must equal Box I45 minus the sum of Boxes I50, I55 and I60</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI009.0">Mae’n rhaid i Flwch I65 fod yn hafal i Flwch I45 llai swm Blychau I50, I55 ac I60</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI010.0">9807</sch:diagnostic>
    <sch:diagnostic id="transactional.SI010.0">If Box I70 is completed then Box 505 must be completed and equal to Box I70</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI010.0">If Box I70 is completed then Box 505 must be completed and equal to Box I70</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI010.0">Os yw Blwch I70 wedi ei gwblhau mae’n rhaid i Flwch 505 fod wedi ei gwblhau ac yn hafal i Flwch I70</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI010.4">9819</sch:diagnostic>
    <sch:diagnostic id="transactional.SI010.4">If the ring fence supplementary charge rate changes in the accounting period of the return then Box I70 must be calculated as follows. Part1 equals the number of days from the return period From date in Box 30 to the date the rate changed multiplied by Box I65 and divided by the number of days in the accounting period of the return. If the pence figure is equal to or greater than 50p then round Part1 up otherwise round down, to the nearest whole pound. Part2 equals Box I65 minus Part1. Multiply each Part by the applicable ring fence supplementary charge rate and add together</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI010.4">If the ring fence supplementary charge rate changes in the accounting period of the return then Box I70 must be calculated as follows. Part1 equals the number of days from the return period From date in Box 30 to the date the rate changed multiplied by Box I65 and divided by the number of days in the accounting period of the return. If the pence figure is equal to or greater than 50p then round Part1 up otherwise round down, to the nearest whole pound. Part2 equals Box I65 minus Part1. Multiply each Part by the applicable ring fence supplementary charge rate and add together</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI010.5">9818</sch:diagnostic>
    <sch:diagnostic id="transactional.SI010.5">If the ring fence supplementary charge rate does not change in the accounting period of the return then Box I70 must equal Box I65 multiplied by the ring fence supplementary charge rate for that period</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI010.5">If the ring fence supplementary charge rate does not change in the accounting period of the return then Box I70 must equal Box I65 multiplied by the ring fence supplementary charge rate for that period</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI012.0">9813</sch:diagnostic>
    <sch:diagnostic id="transactional.SI012.0">If Box I80 is completed then Box 585 must be completed and equal to Box I80</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI012.0">If Box I80 is completed then Box 585 must be completed and equal to Box I80</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI012.0">Os yw Blwch I80 wedi ei gwblhau mae’n rhaid i Flwch 585 fod wedi ei gwblhau ac yn hafal i Flwch I80</sch:diagnostic>
    <sch:diagnostic id="errorCode.SI013.0">9814</sch:diagnostic>
    <sch:diagnostic id="transactional.SI013.0">If Box I85 is completed then Box 590 must be completed and equal to Box I85</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SI013.0">If Box I85 is completed then Box 590 must be completed and equal to Box I85</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SI013.0">Os yw Blwch I85 wedi ei gwblhau mae’n rhaid i Flwch 590 fod wedi ei gwblhau ac yn hafal i Flwch I85</sch:diagnostic>
    <sch:diagnostic id="errorCode.N104.0">9314</sch:diagnostic>
    <sch:diagnostic id="transactional.N104.0">Supplementary form CT600J is present so Box 140 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N104.0">Supplementary form CT600J is present so Box 140 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N104.0">Mae ffurflen atodol CT600J yn bresennol felly mae'n rhaid i Flwch 140 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.N113.0">9461</sch:diagnostic>
    <sch:diagnostic id="transactional.N113.0">Supplementary form CT600K is present so Box 141 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N113.0">Supplementary form CT600K is present so Box 141 must be completed</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N113.0">Mae ffurflen atodol CT600K yn bresennol felly mae'n rhaid i Flwch 141 gael ei gwblhau</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK002.0">9462</sch:diagnostic>
    <sch:diagnostic id="transactional.SK002.0">Box K5 must equal Box 525.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK002.0">Box K5 must equal Box 525.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK002.0">Mae’n rhaid i Flwch K5 fod yn hafal i Flwch 525</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK004.0">9220</sch:diagnostic>
    <sch:diagnostic id="transactional.SK004.0">Box K15.2 must be submitted if the return period to date in Box 35 falls in the financial year following the financial year of the return period from date in Box 30.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK004.0">Box K15.2 must be submitted if the return period to date in Box 35 falls in the financial year following the financial year of the return period from date in Box 30.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK006.0">9221</sch:diagnostic>
    <sch:diagnostic id="transactional.SK006.0">Box K15.1A must equal the equivalent financial year of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK006.0">Box K15.1A must equal the equivalent financial year of the return period From date in Box 30</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK006.0">Mae’n rhaid i Flwch K15.1A fod yn hafal i’r flwyddyn ariannol gyfwerth o ddyddiad O cyfnod y ffurflen dreth ym Mlwch 30</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK007.0">9222</sch:diagnostic>
    <sch:diagnostic id="transactional.SK007.0">If Box K15.2 is not completed then Box K15.1B must equal Box K10</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK007.0">If Box K15.2 is not completed then Box K15.1B must equal Box K10</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK007.1">9223</sch:diagnostic>
    <sch:diagnostic id="transactional.SK007.1">If Box K15.2 is completed then Box K15.1B must be less than or equal to Box K10.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK007.1">If Box K15.2 is completed then Box K15.1B must be less than or equal to Box K10.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK008.0">9224</sch:diagnostic>
    <sch:diagnostic id="transactional.SK008.0">Box K15.1C must equal the Restitution interest tax rate</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK008.0">Box K15.1C must equal the Restitution interest tax rate</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK009.0">9225</sch:diagnostic>
    <sch:diagnostic id="transactional.SK009.0">Box K15.1D must equal Box K15.1B multiplied by (Box K15.1C divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK009.0">Box K15.1D must equal Box K15.1B multiplied by (Box K15.1C divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK010.0">9226</sch:diagnostic>
    <sch:diagnostic id="transactional.SK010.0">Box K15.2 must not be completed if the return period date 'From' and 'To' both fall within the same financial year.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK010.0">Box K15.2 must not be completed if the return period date 'From' and 'To' both fall within the same financial year.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK011.0">9227</sch:diagnostic>
    <sch:diagnostic id="transactional.SK011.0">Box K15.2A must equal Box K15.1A plus one</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK011.0">Box K15.2A must equal Box K15.1A plus one</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK011.0">Mae’n rhaid i Flwch K15.2A fod yn hafal i Blwch K15.1A plws un.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK012.0">9228</sch:diagnostic>
    <sch:diagnostic id="transactional.SK012.0">Box K15.2B must equal Box K10 minus Box K15.1B.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK012.0">Box K15.2B must equal Box K10 minus Box K15.1B.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK012.0">Mae’n rhaid i Flwch K15.2B fod yn hafal i Flwch K10 llai Blwch K15.1B</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK013.0">9229</sch:diagnostic>
    <sch:diagnostic id="transactional.SK013.0">Box K15.2C must equal the Restitution interest tax rate</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK013.0">Box K15.2C must equal the Restitution interest tax rate</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK014.0">9230</sch:diagnostic>
    <sch:diagnostic id="transactional.SK014.0">Box K15.2D must equal Box K15.2B multiplied by Box K15.2C divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK014.0">Box K15.2D must equal Box K15.2B multiplied by Box K15.2C divided by 100) rounded to two decimal places (round up if third decimal is greater than or equal to 5, otherwise round down).</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK015.0">9231</sch:diagnostic>
    <sch:diagnostic id="transactional.SK015.0">Box K20 must equal Box K15.1D plus Box K15.2D</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK015.0">Box K20 must equal Box K15.1D plus Box K15.2D</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK015.0">Mae’n rhaid i Flwch K20 fod yn hafal i Blwch K15.1D plws K15.2D.</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK016.0">9232</sch:diagnostic>
    <sch:diagnostic id="transactional.SK016.0">Box K25 must not be greater than Box K20.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK016.0">Box K25 must not be greater than Box K20.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK016.0">Ni ddylai Blwch K25 fod yn fwy na Blwch K20</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK017.0">9233</sch:diagnostic>
    <sch:diagnostic id="transactional.SK017.0">Box K30 must equal Box K5 plus Box K20 minus Box K25</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK017.0">Box K30 must equal Box K5 plus Box K20 minus Box K25</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK017.0">Mae’n rhaid i Flwch K30 fod yn hafal i Blwch K5 plws K20 llai Blwch K25</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK018.0">9235</sch:diagnostic>
    <sch:diagnostic id="transactional.SK018.0">Box K35 must equal Box K20 minus Box K25</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK018.0">Box K35 must equal Box K20 minus Box K25</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK018.0">Mae’n rhaid i Flwch K35 fod yn hafal i Flwch K20 llai Blwch K25</sch:diagnostic>
    <sch:diagnostic id="errorCode.SK018.1">9239</sch:diagnostic>
    <sch:diagnostic id="transactional.SK018.1">If Box K35 is completed then Box 527 must be completed and equal to Box K35</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.SK018.1">If Box K35 is completed then Box 527 must be completed and equal to Box K35</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.SK018.1">Os yw Blwch K35 wedi ei gwblhau mae’n rhaid i Flwch 527 fod wedi ei gwblhau ac yn hafal i Flwch K35</sch:diagnostic>
    <sch:diagnostic id="errorCode.N107.1">9315</sch:diagnostic>
    <sch:diagnostic id="transactional.N107.1">If Box 90 'No accounts reason' is absent then accounts must be attached</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N107.1">If Box 90 'No accounts reason' is absent then accounts must be attached</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N107.1">Os yw Blwch 90 'Rheswm dim cyfrifon'  yn absennol yna mae'n rhaid atodi cyfrifon</sch:diagnostic>
    <sch:diagnostic id="errorCode.N107.2">9316</sch:diagnostic>
    <sch:diagnostic id="transactional.N107.2">If Box 90 'No computations reason' is absent then computations must be attached</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.N107.2">If Box 90 'No computations reason' is absent then computations must be attached</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.N107.2">Os yw Blwch 90 'Rheswm dim cyfrifiannau' yn absennol yna mae'n rhaid atodi cyfrifiannau</sch:diagnostic>
    <sch:diagnostic id="errorCode.ENCODEDINLINEXBRLDOCUMENT.1">9900</sch:diagnostic>
    <sch:diagnostic id="transactional.ENCODEDINLINEXBRLDOCUMENT.1">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ENCODEDINLINEXBRLDOCUMENT.1">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.ENCODEDINLINEXBRLDOCUMENT.1">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi'r prif dudalen gyda phriodoledd Pwynt Mynediad.</sch:diagnostic>
    <sch:diagnostic id="errorCode.INLINEXBRLDOCUMENT.1">9901</sch:diagnostic>
    <sch:diagnostic id="transactional.INLINEXBRLDOCUMENT.1">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INLINEXBRLDOCUMENT.1">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.INLINEXBRLDOCUMENT.1">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi'r prif dudalen gyda phriodoledd Pwynt Mynediad.</sch:diagnostic>
    <sch:diagnostic id="errorCode.ENCODEDINLINEXBRLDOCUMENT.2">9970</sch:diagnostic>
    <sch:diagnostic id="transactional.ENCODEDINLINEXBRLDOCUMENT.2">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ENCODEDINLINEXBRLDOCUMENT.2">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.ENCODEDINLINEXBRLDOCUMENT.2">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi priodoleddau enw'r ffeil ar gyfer pob un o'r tudalennau</sch:diagnostic>
    <sch:diagnostic id="errorCode.INLINEXBRLDOCUMENT.2">9970</sch:diagnostic>
    <sch:diagnostic id="transactional.INLINEXBRLDOCUMENT.2">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INLINEXBRLDOCUMENT.2">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.INLINEXBRLDOCUMENT.2">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi priodoleddau enw'r ffeil ar gyfer pob un o'r tudalennau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EXTENSION.0">9902</sch:diagnostic>
    <sch:diagnostic id="transactional.EXTENSION.0">An extension taxonomy must not be provided if raw XBRL is submitted. Please contact your software supplier.  </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EXTENSION.0">An extension taxonomy must not be provided if raw XBRL is submitted. Please contact your software supplier.  </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.EXTENSION.0">Ni ddylai estyniad tacsonomeg cael ei rhoi os yw XBRL crai yn cael ei chyflwyno. Cysylltwch â'ch darparwr meddalwedd.  </sch:diagnostic>
    <sch:diagnostic id="errorCode.ENCODEDINLINEXBRLDOCUMENT.1.0">9900</sch:diagnostic>
    <sch:diagnostic id="transactional.ENCODEDINLINEXBRLDOCUMENT.1.0">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ENCODEDINLINEXBRLDOCUMENT.1.0">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.ENCODEDINLINEXBRLDOCUMENT.1.0">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi'r prif dudalen gyda phriodoledd Pwynt Mynediad.</sch:diagnostic>
    <sch:diagnostic id="errorCode.INLINEXBRLDOCUMENT.1.0">9901</sch:diagnostic>
    <sch:diagnostic id="transactional.INLINEXBRLDOCUMENT.1.0">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INLINEXBRLDOCUMENT.1.0">You have tried to submit multi page accounts or computations but have not identified the main or primary page with an Entry Point attribute.</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.INLINEXBRLDOCUMENT.1.0">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi'r prif dudalen gyda phriodoledd Pwynt Mynediad.</sch:diagnostic>
    <sch:diagnostic id="errorCode.ENCODEDINLINEXBRLDOCUMENT.2.0">9970</sch:diagnostic>
    <sch:diagnostic id="transactional.ENCODEDINLINEXBRLDOCUMENT.2.0">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.ENCODEDINLINEXBRLDOCUMENT.2.0">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.ENCODEDINLINEXBRLDOCUMENT.2.0">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi priodoleddau enw'r ffeil ar gyfer pob un o'r tudalennau</sch:diagnostic>
    <sch:diagnostic id="errorCode.INLINEXBRLDOCUMENT.2.0">9970</sch:diagnostic>
    <sch:diagnostic id="transactional.INLINEXBRLDOCUMENT.2.0">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.INLINEXBRLDOCUMENT.2.0">You have tried to submit multi page accounts or computations but have not provided file name attributes for each of the pages</sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.INLINEXBRLDOCUMENT.2.0">Rydych wedi ceisio cyflwyno cyfrifon neu gyfrifiannau aml dudalen ond nid ydych wedi nodi priodoleddau enw'r ffeil ar gyfer pob un o'r tudalennau.</sch:diagnostic>
    <sch:diagnostic id="errorCode.EXTENSION.0.0">9902</sch:diagnostic>
    <sch:diagnostic id="transactional.EXTENSION.0.0">An extension taxonomy must not be provided if raw XBRL is submitted. Please contact your software supplier.  </sch:diagnostic>
    <sch:diagnostic xml:lang="en" id="transactional.en.EXTENSION.0.0">An extension taxonomy must not be provided if raw XBRL is submitted. Please contact your software supplier.  </sch:diagnostic>
    <sch:diagnostic xml:lang="cy" id="transactional.cy.EXTENSION.0.0">Ni ddylai estyniad tacsonomeg cael ei rhoi os yw XBRL crai yn cael ei chyflwyno. Cysylltwch â'ch darparwr meddalwedd.  </sch:diagnostic>
  </sch:diagnostics>
</sch:schema>
